2004-10-31  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Klasses.jar.bootstrap:
	Regenerated.

	* libraries/javalib/bootstrap.classlist:
	Added missing files for kjc build with pthreads.

	Reported by: Riccardo Mottola <rmottola@users.sf.net>

2004-10-31  Helmer Kraemer  <hkraemer@freenet.de>

	Moved complete handling of thread interruption down to jthread layer:
	
	* kaffe/kaffevm/systems/unix-jthreads/jthread.h
	(THREAD_FLAGS_INTERRUPTED_READ) removed
	* kaffe/kaffevm/systems/unix-jthreads/jthread.c
	(suspendOnQThread): don't clear interrupted flag
	(jthread_interrupt): set interrupted flag if a thread interrupts
	itself; only resume threads not waiting for a mutex

	* kaffe/kaffevm/systems/unix-pthreads/lock-impl.c
	(jcondvar_wait): don't mess around with interrupted flag, it's
	set correctly by the interrupting thread
	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(jthread_interrupt): if thread is waiting for its semaphore, signal that
	one instead of sending a signal
	(jthread_is_interrupted, jthread_interrupted): add comments
	(jthread_suspendall): lock thread's suspendLock before reading its
	suspendState

	* include/errors.h: added define for java.lang.InterruptedException
	
	* libraries/clib/native/Object.c, libraries/javalib/java/lang/VMObject.java
	(nativeWait): removed
	(wait): moved to native code

	* libraries/clib/native/Thread.c, libraries/javalib/java/lang/VMThread.java
	(nativeInterrupt, nativeIsInterrupted, nativeInterrupted): removed
	(interrupt, isInterrupted, interrupted, sleep): moved to native code

	Some other minor fixes:

	* libraries/javalib/kaffe/lang/ThreadStack.java
	(getCallersClassLoader): return AppClassLoader if there're no java methods
	on the stack

	* kaffe/kaffevm/jni/jni.c (tryClassForName): removed
	(Kaffe_FindClass): simply call Class.forName and let ThreadStack find the
	correct ClassLoader
	
	* libraries/javalib/Klasses.jar.bootstrap: regenerated
	
	* kaffe/kaffevm/stackTrace.c (getStackTraceElements): adapted to
	changes of field names of java.lang.StackTraceElement
	
	* kaffe/kaffevm/thread.c (thread_malloc, thread_free,
	thread_realloc): removed
	Added debug messages and removed unused variables
	
2004-10-30  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/xml/xpath/VariableReference.java,
	libraries/javalib/gnu/xml/xpath/XPathFactoryImpl.java,
	libraries/javalib/gnu/xml/xpath/XPathImpl.java:
	New files taken from GNU JAXP.

	* m4/libxslt.m4: Updated to match the version in GNU JAXP.

	* configure.ac:
	Updated the minimum libxml2 and libxslt requirements.

	* configure,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regerated.

	* libraries/clib/libxmlj/xmlj_transform.c,
	libraries/clib/libxmlj/xmlj_util.c,
	libraries/clib/libxmlj/xmlj_util.h,
	libraries/javalib/gnu/xml/libxmlj/RawData.java,
	libraries/javalib/gnu/xml/libxmlj/RawData32.java,
	libraries/javalib/gnu/xml/libxmlj/RawData64.java,
	libraries/javalib/gnu/xml/libxmlj/transform/GnomeTransformer.java,
	libraries/javalib/gnu/xml/libxmlj/transform/GnomeTransformerFactory.java,
	libraries/javalib/gnu/xml/libxmlj/transform/TransformTest.java,
	libraries/javalib/gnu/xml/libxmlj/util/XMLJ.java,
	libraries/javalib/gnu/xml/util/SAXNullTransformerFactory.java,
	libraries/javalib/gnu/xml/xpath/Expr.java,
	libraries/javalib/gnu/xml/xpath/FunctionCall.java,
	libraries/javalib/gnu/xml/xpath/XPathParser.java,
	libraries/javalib/gnu/xml/xpath/XPathParser.y,
	libraries/javalib/javax/xml/XMLConstants.java,
	libraries/javalib/javax/xml/datatype/DatatypeConfigurationException.java,
	libraries/javalib/javax/xml/datatype/DatatypeConstants.java,
	libraries/javalib/javax/xml/datatype/DatatypeFactory.java,
	libraries/javalib/javax/xml/datatype/Duration.java,
	libraries/javalib/javax/xml/datatype/XMLGregorianCalendar.java,
	libraries/javalib/javax/xml/namespace/NamespaceContext.java,
	libraries/javalib/javax/xml/namespace/QName.java,
	libraries/javalib/javax/xml/parsers/ClassStuff.java,
	libraries/javalib/javax/xml/parsers/DocumentBuilder.java,
	libraries/javalib/javax/xml/parsers/DocumentBuilderFactory.java,
	libraries/javalib/javax/xml/parsers/FactoryConfigurationError.java,
	libraries/javalib/javax/xml/parsers/ParserConfigurationException.java,
	libraries/javalib/javax/xml/parsers/SAXParser.java,
	libraries/javalib/javax/xml/parsers/SAXParserFactory.java,
	libraries/javalib/javax/xml/transform/ClassStuff.java,
	libraries/javalib/javax/xml/transform/ErrorListener.java,
	libraries/javalib/javax/xml/transform/OutputKeys.java,
	libraries/javalib/javax/xml/transform/Result.java,
	libraries/javalib/javax/xml/transform/Source.java,
	libraries/javalib/javax/xml/transform/SourceLocator.java,
	libraries/javalib/javax/xml/transform/Templates.java,
	libraries/javalib/javax/xml/transform/Transformer.java,
	libraries/javalib/javax/xml/transform/TransformerConfigurationException.java,
	libraries/javalib/javax/xml/transform/TransformerException.java,
	libraries/javalib/javax/xml/transform/TransformerFactory.java,
	libraries/javalib/javax/xml/transform/TransformerFactoryConfigurationError.java,
	libraries/javalib/javax/xml/transform/URIResolver.java,
	libraries/javalib/javax/xml/transform/dom/DOMLocator.java,
	libraries/javalib/javax/xml/transform/dom/DOMResult.java,
	libraries/javalib/javax/xml/transform/dom/DOMSource.java,
	libraries/javalib/javax/xml/transform/sax/SAXResult.java,
	libraries/javalib/javax/xml/transform/sax/SAXSource.java,
	libraries/javalib/javax/xml/transform/sax/SAXTransformerFactory.java,
	libraries/javalib/javax/xml/transform/sax/TemplatesHandler.java,
	libraries/javalib/javax/xml/transform/sax/TransformerHandler.java,
	libraries/javalib/javax/xml/transform/stream/StreamResult.java,
	libraries/javalib/javax/xml/transform/stream/StreamSource.java,
	libraries/javalib/javax/xml/validation/Schema.java,
	libraries/javalib/javax/xml/validation/SchemaFactory.java,
	libraries/javalib/javax/xml/validation/TypeInfoProvider.java,
	libraries/javalib/javax/xml/validation/Validator.java,
	libraries/javalib/javax/xml/validation/ValidatorHandler.java,
	libraries/javalib/javax/xml/xpath/XPathConstants.java,
	libraries/javalib/javax/xml/xpath/XPathException.java,
	libraries/javalib/javax/xml/xpath/XPathExpression.java,
	libraries/javalib/javax/xml/xpath/XPathExpressionException.java,
	libraries/javalib/javax/xml/xpath/XPathFactory.java,
	libraries/javalib/javax/xml/xpath/XPathFactoryConfigurationException.java,
	libraries/javalib/javax/xml/xpath/XPathFunction.java,
	libraries/javalib/javax/xml/xpath/XPathFunctionException.java,
	libraries/javalib/javax/xml/xpath/XPathFunctionResolver.java:
	Resynced with GNU JAXP.

	2004-10-27  Chris Burdess       <dog@gnu.org>

        * parsers, transform, dom, sax, stream: API rewritten from
        scratch to satisfy copyright assignment.

	2004-10-28  Chris Burdess  <dog@gnu.org>

        * xpath: Implemented XPathFactory.newInstance(); added missing
        imports in GNU implementation.

	2004-10-27  Chris Burdess  <dog@gnu.org>

        * xpath: Added JAXP XPath implementation. Variable references and
        function calls now use JAXP resolver callback interfaces.

	2004-10-06  Chris Burdess <dog@gnu.org>

        * RawData.java, RawData32.java, RawData64.java: Added copyright.

	2004-10-25  Chris Burdess <dog@gnu.org>

        * xmlj_transform.c: Experimental code to load external entities
        (xsl:import, xsl:include, and document()) from Java URL.
        * configure.ac: Minimum version of libxslt is 1.1.11.

	2004-10-08  Chris Burdess <dog@gnu.org>

        * xmlj_util.c: String caching only by setting macro.

2004-10-30  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/inet/comsat/ComsatClient.java,
	libraries/javalib/gnu/inet/comsat/ComsatInfo.java,
	libraries/javalib/gnu/inet/finger/FingerConnection.java,
	libraries/javalib/gnu/inet/finger/FingerURLConnection.java,
	libraries/javalib/gnu/inet/finger/Handler.java,
	libraries/javalib/gnu/inet/ftp/ActiveModeDTP.java,
	libraries/javalib/gnu/inet/ftp/BlockInputStream.java,
	libraries/javalib/gnu/inet/ftp/BlockOutputStream.java,
	libraries/javalib/gnu/inet/ftp/CompressedInputStream.java,
	libraries/javalib/gnu/inet/ftp/CompressedOutputStream.java,
	libraries/javalib/gnu/inet/ftp/DTP.java,
	libraries/javalib/gnu/inet/ftp/DTPInputStream.java,
	libraries/javalib/gnu/inet/ftp/DTPOutputStream.java,
	libraries/javalib/gnu/inet/ftp/FTPConnection.java,
	libraries/javalib/gnu/inet/ftp/FTPException.java,
	libraries/javalib/gnu/inet/ftp/FTPResponse.java,
	libraries/javalib/gnu/inet/ftp/FTPURLConnection.java,
	libraries/javalib/gnu/inet/ftp/Handler.java,
	libraries/javalib/gnu/inet/ftp/PassiveModeDTP.java,
	libraries/javalib/gnu/inet/ftp/StreamInputStream.java,
	libraries/javalib/gnu/inet/ftp/StreamOutputStream.java,
	libraries/javalib/gnu/inet/gopher/DirectoryEntry.java,
	libraries/javalib/gnu/inet/gopher/DirectoryListing.java,
	libraries/javalib/gnu/inet/gopher/GopherConnection.java,
	libraries/javalib/gnu/inet/gopher/GopherContentHandler.java,
	libraries/javalib/gnu/inet/gopher/GopherURLConnection.java,
	libraries/javalib/gnu/inet/gopher/Handler.java,
	libraries/javalib/gnu/inet/http/Authenticator.java,
	libraries/javalib/gnu/inet/http/ByteArrayRequestBodyWriter.java,
	libraries/javalib/gnu/inet/http/ByteArrayResponseBodyReader.java,
	libraries/javalib/gnu/inet/http/ChunkedInputStream.java,
	libraries/javalib/gnu/inet/http/Cookie.java,
	libraries/javalib/gnu/inet/http/CookieManager.java,
	libraries/javalib/gnu/inet/http/Credentials.java,
	libraries/javalib/gnu/inet/http/HTTPConnection.java,
	libraries/javalib/gnu/inet/http/HTTPDateFormat.java,
	libraries/javalib/gnu/inet/http/HTTPURLConnection.java,
	libraries/javalib/gnu/inet/http/Handler.java,
	libraries/javalib/gnu/inet/http/Headers.java,
	libraries/javalib/gnu/inet/http/Request.java,
	libraries/javalib/gnu/inet/http/RequestBodyWriter.java,
	libraries/javalib/gnu/inet/http/Response.java,
	libraries/javalib/gnu/inet/http/ResponseBodyReader.java,
	libraries/javalib/gnu/inet/http/ResponseHeaderHandler.java,
	libraries/javalib/gnu/inet/http/SimpleCookieManager.java,
	libraries/javalib/gnu/inet/http/event/ConnectionEvent.java,
	libraries/javalib/gnu/inet/http/event/ConnectionListener.java,
	libraries/javalib/gnu/inet/http/event/RequestEvent.java,
	libraries/javalib/gnu/inet/http/event/RequestListener.java,
	libraries/javalib/gnu/inet/https/Handler.java,
	libraries/javalib/gnu/inet/imap/IMAPConnection.java,
	libraries/javalib/gnu/inet/imap/IMAPConstants.java,
	libraries/javalib/gnu/inet/imap/IMAPException.java,
	libraries/javalib/gnu/inet/imap/IMAPResponse.java,
	libraries/javalib/gnu/inet/imap/IMAPResponseTokenizer.java,
	libraries/javalib/gnu/inet/imap/ListEntry.java,
	libraries/javalib/gnu/inet/imap/MailboxStatus.java,
	libraries/javalib/gnu/inet/imap/MessageStatus.java,
	libraries/javalib/gnu/inet/imap/Namespaces.java,
	libraries/javalib/gnu/inet/imap/Pair.java,
	libraries/javalib/gnu/inet/imap/Quota.java,
	libraries/javalib/gnu/inet/imap/UTF7imap.java,
	libraries/javalib/gnu/inet/ldap/AttributeValues.java,
	libraries/javalib/gnu/inet/ldap/BERConstants.java,
	libraries/javalib/gnu/inet/ldap/BERDecoder.java,
	libraries/javalib/gnu/inet/ldap/BEREncoder.java,
	libraries/javalib/gnu/inet/ldap/BERException.java,
	libraries/javalib/gnu/inet/ldap/LDAPConnection.java,
	libraries/javalib/gnu/inet/ldap/LDAPResult.java,
	libraries/javalib/gnu/inet/ldap/Modification.java,
	libraries/javalib/gnu/inet/ldap/ResultHandler.java,
	libraries/javalib/gnu/inet/nntp/ActiveTime.java,
	libraries/javalib/gnu/inet/nntp/ActiveTimesIterator.java,
	libraries/javalib/gnu/inet/nntp/ArticleNumberIterator.java,
	libraries/javalib/gnu/inet/nntp/ArticleResponse.java,
	libraries/javalib/gnu/inet/nntp/ArticleStream.java,
	libraries/javalib/gnu/inet/nntp/FileNewsrc.java,
	libraries/javalib/gnu/inet/nntp/Group.java,
	libraries/javalib/gnu/inet/nntp/GroupIterator.java,
	libraries/javalib/gnu/inet/nntp/GroupResponse.java,
	libraries/javalib/gnu/inet/nntp/HeaderEntry.java,
	libraries/javalib/gnu/inet/nntp/HeaderIterator.java,
	libraries/javalib/gnu/inet/nntp/LineIterator.java,
	libraries/javalib/gnu/inet/nntp/NNTPConnection.java,
	libraries/javalib/gnu/inet/nntp/NNTPConstants.java,
	libraries/javalib/gnu/inet/nntp/NNTPException.java,
	libraries/javalib/gnu/inet/nntp/Newsrc.java,
	libraries/javalib/gnu/inet/nntp/Overview.java,
	libraries/javalib/gnu/inet/nntp/OverviewIterator.java,
	libraries/javalib/gnu/inet/nntp/Pair.java,
	libraries/javalib/gnu/inet/nntp/PairIterator.java,
	libraries/javalib/gnu/inet/nntp/PendingData.java,
	libraries/javalib/gnu/inet/nntp/PostStream.java,
	libraries/javalib/gnu/inet/nntp/Range.java,
	libraries/javalib/gnu/inet/nntp/StatusResponse.java,
	libraries/javalib/gnu/inet/pop3/POP3Connection.java,
	libraries/javalib/gnu/inet/smtp/Parameter.java,
	libraries/javalib/gnu/inet/smtp/ParameterList.java,
	libraries/javalib/gnu/inet/smtp/SMTPConnection.java,
	libraries/javalib/gnu/inet/util/BASE64.java,
	libraries/javalib/gnu/inet/util/CRLFInputStream.java,
	libraries/javalib/gnu/inet/util/CRLFOutputStream.java,
	libraries/javalib/gnu/inet/util/EmptyX509TrustManager.java,
	libraries/javalib/gnu/inet/util/GetLocalHostAction.java,
	libraries/javalib/gnu/inet/util/GetSystemPropertyAction.java,
	libraries/javalib/gnu/inet/util/LineInputStream.java,
	libraries/javalib/gnu/inet/util/Logger.java,
	libraries/javalib/gnu/inet/util/MessageInputStream.java,
	libraries/javalib/gnu/inet/util/MessageOutputStream.java,
	libraries/javalib/gnu/inet/util/SaslCallbackHandler.java,
	libraries/javalib/gnu/inet/util/SaslCramMD5.java,
	libraries/javalib/gnu/inet/util/SaslInputStream.java,
	libraries/javalib/gnu/inet/util/SaslLogin.java,
	libraries/javalib/gnu/inet/util/SaslOutputStream.java,
	libraries/javalib/gnu/inet/util/SaslPlain.java,
	libraries/javalib/gnu/inet/util/StderrLogger.java:
	Resynced with GNU inetlib.

	License of GNU inetlib has been clarified.

2004-10-30  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/image/ColorConvertOp.java:
	New file taken from GNU Classpath.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/java/awt/image/ColorModel.java:
	Resynced with GNU Classpath.

	2004-10-29  Jerry Quinn  <jlquinn@optonline.net>

        * java/awt/image/ColorConvertOp.java: New class.
        * java/awt/image/ColorModel.java (cloneColorModel): New method.

2004-10-29  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkScrollPanePeer.java:
        Resynced with GNU Classpath.

	2004-10-29  Michael Koch  <konqueror@gmx.de>

        * gnu/java/awt/peer/gtk/GtkComponentPeer.java
        (gtkWidgetSetVisible): Unused. Removed.
        (connectJObject): Likewise.
        * gnu/java/awt/peer/gtk/GtkScrollPanePeer.java
        (gtkScrolledWindowSetScrollPosition): Commented out.

2004-10-29  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c
	(objectStatsPrint) Fixed crash.

2004-10-29  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c:
	Resynced with GNU Classpath.

	2004-10-29  Michael Koch  <konqueror@gmx.de>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
        (cairoShowGlyphs) Removed.

2004-10-28  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkCanvasPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxGroupPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkGenericPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuBarPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.c:
	Resynced with GNU Classpath.

	2004-10-28  Michael Koch  <konqueror@gmx.de>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCanvasPeer.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkCheckboxGroupPeer.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkGenericPeer.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuBarPeer.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuItemPeer.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMenuPeer.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPopupMenuPeer.c:
        Fixed method names to start at begin of line. This is desired by GNU
        coding style guide.

2004-10-28  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/gnu/java/awt/color/CieXyzConverter.java,
	libraries/javalib/gnu/java/awt/color/ClutProfileConverter.java,
	libraries/javalib/gnu/java/awt/color/ColorLookUpTable.java,
	libraries/javalib/gnu/java/awt/color/ColorSpaceConverter.java,
	libraries/javalib/gnu/java/awt/color/GrayProfileConverter.java,
	libraries/javalib/gnu/java/awt/color/GrayScaleConverter.java,
	libraries/javalib/gnu/java/awt/color/LinearRGBConverter.java,
	libraries/javalib/gnu/java/awt/color/ProfileHeader.java,
	libraries/javalib/gnu/java/awt/color/PyccConverter.java,
	libraries/javalib/gnu/java/awt/color/RgbProfileConverter.java,
	libraries/javalib/gnu/java/awt/color/SrgbConverter.java,
	libraries/javalib/gnu/java/awt/color/TagEntry.java,
	libraries/javalib/gnu/java/awt/color/ToneReproductionCurve.java:
	New files taken from GNU Classpath.

	* libraries/javalib/java/awt/color/ICC_ColorSpace.java,
	libraries/javalib/java/awt/color/ICC_Profile.java,
	libraries/javalib/java/awt/color/ICC_ProfileGray.java,
	libraries/javalib/java/awt/color/ICC_ProfileRGB.java:
	Resynced with GNU Classpath.

	2004-10-28  Sven de Marothy  <sven@physto.se>

        * gnu/java/awt/color/CieXyzConverter.java,
        gnu/java/awt/color/GrayScaleConverter.java,
        gnu/java/awt/color/SrgbConverter.java,
        gnu/java/awt/color/ClutProfileConverter.java,
        gnu/java/awt/color/LinearRGBConverter.java,
        gnu/java/awt/color/TagEntry.java,
        gnu/java/awt/color/ColorLookUpTable.java,
        gnu/java/awt/color/ProfileHeader.java,
        gnu/java/awt/color/ToneReproductionCurve.java,
        gnu/java/awt/color/ColorSpaceConverter.java,
        gnu/java/awt/color/PyccConverter.java,
        gnu/java/awt/color/GrayProfileConverter.java,
        gnu/java/awt/color/RgbProfileConverter.java:
        New files.
        * java/awt/color/ICC_ColorSpace.java,
        java/awt/color/ICC_Profile.java,
        java/awt/color/ICC_ProfileGray.java,
        java/awt/color/ICC_ProfileRGB.java:
        Implemented (sans PhotoYCC color space).

2004-10-28  Dalibor Topic  <robilad@kaffe.org>

	*  libraries/javalib/java/awt/font/TextAttribute.java:
        Resynced with GNU Classpath.

	2004-10-28  Michael Koch  <konqueror@gmx.de>

        * java/awt/font/TextAttribute.java
        (RUN_DIRECTION_LTR): Initialie with static value instead of
        calculating it.
        (RUN_DIRECTION_RTL): Likewise.
        (STRIKETHROUGH_ON): Likewise.
        (SWAP_COLORS_ON): Likewise.

2004-10-28  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/awt/peer/gtk/GdkFontPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphics2D.java:
        Resynced with GNU Classpath.
	
	2004-10-28  Michael Koch  <konqueror@gmx.de>

        * gnu/java/awt/peer/gtk/GdkGraphics2D.java
        (releasePeerGraphicsResource): Fixed typo in method name.
        * gnu/java/awt/peer/gtk/GdkFontPeer.java
        (finalize): Fixed typo in releasePeerGraphicsResource.
        * include/gnu_java_awt_peer_gtk_GdkGraphics2D.h:
        Regenerated.

2004-10-28  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/geom/GeneralPath.java:
        Resynced with GNU Classpath.

	2004-10-28  Noa Resare  <noa@resare.com>

        * java/awt/geom/GeneralPath.java (currentSegment):
        Fix typo in transform.transform() invocation.

2004-10-28  Helmer Kraemer  <hkraemer@freenet.de>

	* config/powerpc/sysdepCallMethod.h,
	config/powerpc/common.h: moved defintion of NO_HOLES to common.h,
	since support.c doesn't include sysdepCallMethod.h

2004-10-27  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/cert/X509Certificate.java:
        Resynced with GNU Classpath.

	2004-10-27  Mark Wielaard  <mark@klomp.org>

        * java/security/cert/X509Certificate.java: Fully qualify extends to
        java.security.cert.Certificate.

2004-10-27  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkFramePeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gtkpeer.h:
	Resynced with GNU Classpath.

	2004-10-27  Mark Wielaard  <mark@klomp.org>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c
        (Java_gnu_java_awt_peer_gtk_GdkTextLayout_setText): Installed and
        and renamed from Java_gnu_java_awt_peer_gtk_GdkGlyphVector_setText.

	2004-10-26  Mark Wielaard  <mark@klomp.org>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c
        (Java_gnu_java_awt_peer_gtk_GdkGlyphVector_setText): Removed.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c
        (init_dpi_conversion_factor): Correct prototype.

	2004-10-26  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFramePeer.c
        (nativeSetIconImage): Rename to nativeSetIconImageFromDecoder.

	2004-10-26  Andreas Tobler  <a.tobler@schweiz.ch>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.c
        (Java_gnu_java_awt_peer_gtk_GThreadNativeMethodRunner_nativeRun):
        Fix pointer warning.

	2004-10-26  Andreas Tobler  <a.tobler@schweiz.ch>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c
        (Java_gnu_java_awt_peer_gtk_GtkFileDialogPeer_nativeSetFilenameFilter):
        Fix pointer warning.

        * native/jni/gtk-peer/gtkpeer.h: Introduce widget_union to fix type
        punned warnings.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c
        (Java_gnu_java_awt_peer_gtk_GdkGraphics_clearRect): Use widget_union
        to fix type punned pointer warning.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
        (pre_event_handler): Likewise.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
        (window_get_new_state): Introduce unions to fix warnings as above.
        (window_property_changed_cb): Likewise.
        (window_active_state_change_cb): Mark unused variables unused.
        (window_focus_state_change_cb): Likewise.
        (window_focus_in_cb): Likewise.
        (window_focus_out_cb): Likewise.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c
        (Java_gnu_java_awt_peer_gtk_GdkFontPeer_setFont): Convert
        PangoFontMap correctly with PANGO_FT2FONT_MAP macro.

	2004-10-26  Andreas Tobler  <a.tobler@schweiz.ch>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkTextAreaPeer.c
        (Java_gnu_java_awt_peer_gtk_GtkTextAreaPeer_create): Use the
        GTK_TEXT_VIEW macro.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
        (connect_awt_hook_cb): Mark unused variable unused.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkClipboard.c
        (selection_get): Do the cast right.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkChoicePeer.c
        (Java_gnu_java_awt_peer_gtk_GtkChoicePeer_create): According to
        the gtk API gtk_combo_box_new_text actually returns a GtkWidget.
        Remove unused var menu.
        (selection_changed): Remove unused value.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
        (Java_gnu_java_awt_peer_gtk_GtkButtonPeer_setNativeBounds): Fix pointer
        warning with using an intermediate variable.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c
        (area_updated): Fix unused var warning for BE archs.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c
        (Java_gnu_java_awt_peer_gtk_GdkGraphics_connectSignals): Remove unused
        var.
        (realize_cb): Mark unused variable unused.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c
        (seek_glyphstring_idx): Fix a C90 warning.

2004-10-27  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c:
	Resynced with GNU Classpath.

	2004-10-26  Andreas Tobler  <a.tobler@schweiz.ch>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GThreadNativeMethodRunner.c
        (Java_gnu_java_awt_peer_gtk_GThreadNativeMethodRunner_nativeRun):
        Mark unused arguments unused.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGlyphVector.c
        (Java_gnu_java_awt_peer_gtk_GdkGlyphVector_initState),
        (Java_gnu_java_awt_peer_gtk_GdkGlyphVector_setGlyphCodes),
        (Java_gnu_java_awt_peer_gtk_GdkGlyphVector_glyphCharIndex),
        (Java_gnu_java_awt_peer_gtk_GdkGlyphVector_glyphIsHorizontal):
        Likewise.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c
        (Java_gnu_java_awt_peer_gtk_GdkFontMetrics_getPeerFontMetrics),
        (Java_gnu_java_awt_peer_gtk_GdkFontMetrics_getPeerTextMetrics):
        Likewise.

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c
        (Java_gnu_java_awt_peer_gtk_GtkFileDialogPeer_nativeSetFilenameFilter):
        Likewise.
        (filenameFilterCallback): Remove unused var.
        (handle_response): Declare str_fileName and remove last else statement.

2004-10-27  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/Choice.java:
        Resynced with GNU Classpath.

	2004-10-25  Noa Resare  <noa@resare.com>

        * java/awt/Choice.java (add):
        Implement correct selection behavior when peer == null.
        (insert): Likewise.
        (remove): Likewise.

2004-10-27  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/awt/peer/gtk/GtkChoicePeer.java:
        Resynced with GNU Classpath.

	2004-10-25  Mark Wielaard  <mark@klomp.org>

        * gnu/java/awt/peer/gtk/GtkChoicePeer.java (GtkChoicePeer):
        Call select() when Choice has a selected item.

2004-10-27  Riccardo Mottola <rmottola@users.sf.net>

        * config/powerpc/common.h,
        config/powerpc/aix/md.h
        config/powerpc/darwin/md.h
        config/powerpc/linux/md.h
        config/powerpc/machten/md.h
        config/powerpc/netbsd1/md.h
        Set size of alignment (ALIGNMENT_OF_SIZE) for each PPC os differently

2004-10-27  Helmer Kraemer  <hkraemer@freenet.de>

	* kaffe/kaffevm/thread.c (standardGroup): removed
	(attachFakedThreadInstance): use ThreadGroup.root for the new
	thread

2004-10-26  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/net/protocol/http/Connection.java:
        Resynced with GNU Classpath.

	2004-10-26  Michael Koch  <konqueror@gmx.de>

        * gnu/java/net/protocol/http/Connection.java
        (getOutputStream): Implicitely switch to POST method.

2004-10-25  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/text/BaseBreakIterator.java,
	libraries/javalib/gnu/java/text/CharacterBreakIterator.java,
	libraries/javalib/gnu/java/text/LineBreakIterator.java,
	libraries/javalib/gnu/java/text/SentenceBreakIterator.java,
	libraries/javalib/gnu/java/text/WordBreakIterator.java,
	libraries/javalib/java/text/BreakIterator.java:
        Resynced with GNU Classpath.

	2004-10-25  Tom Tromey  <tromey@redhat.com>

        * gnu/java/text/WordBreakIterator.java (WordBreakIterator): Don't
        initialize `iter'.
        * gnu/java/text/SentenceBreakIterator.java
        (SentenceBreakIterator): Don't initialize `iter'.
        * gnu/java/text/LineBreakIterator.java (LineBreakIterator): Don't
        initialize `iter'.
        * gnu/java/text/CharacterBreakIterator.java
        (CharacterBreakIterator): Don't initialize `iter'.
        * gnu/java/text/BaseBreakIterator.java (BaseBreakIterator): New
        constructor.
        * java/text/BreakIterator.java: Updated documentation.

2004-10-25  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JMenuBar.java,
	libraries/javalib/javax/swing/tree/DefaultTreeSelectionModel.java:
        Resynced with GNU Classpath.

	2004-10-25  Michael Koch  <konqueror@gmx.de>

        * javax/swing/JMenuBar.java
        (updateUI): Simplified.
        * javax/swing/tree/DefaultTreeSelectionModel.java:
        Reorganized import statements.

2004-10-25  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/net/InetAddress.java:
        Resynced with GNU Classpath.

	2004-10-25  Michael Koch  <konqueror@gmx.de>

        * java/net/InetAddress.java
        (toString): Rename 'address' to 'addr'.

2004-10-25  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/font/TextAttribute.java,
	libraries/javalib/javax/security/auth/spi/package.html,
	libraries/javalib/javax/swing/JComponent.java,
	libraries/javalib/javax/swing/JInternalFrame.java,
	libraries/javalib/javax/swing/table/TableColumn.java,
	libraries/javalib/javax/swing/text/StyleConstants.java:
        Resynced with GNU Classpath.

	2004-10-25  Michael Koch  <konqueror@gmx.de>

        * java/awt/font/TextAttribute.java,
        javax/swing/JComponent.java,
        javax/swing/JInternalFrame.java,
        javax/swing/table/TableColumn.java,
        javax/swing/text/StyleConstants.java:
        Replaced "new Boolean(boolean)" with "Boolean.valueOf(boolean)".

2004-10-25  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/security/auth/spi/package.html:
        Resynced with GNU Classpath.

	2004-10-25  Michael Koch  <konqueror@gmx.de>

        * javax/security/auth/spi/package.html: New file.

2004-10-25  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/security/action/GetSecurityPropertyAction.java:
	New file taken from GNU Classpath.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/javax/security/auth/login/Configuration.java,
	libraries/javalib/javax/security/auth/login/LoginContext.java,
	libraries/javalib/javax/security/auth/spi/LoginModule.java:
	Resynced with GNU Classpath.

	2004-10-24  Casey Marshall  <csm@gnu.org>

        * gnu/java/security/action/GetSecurityPropertyAction.java: new file.
        * javax/security/auth/login/Configuration.java
        (getConfig): new method.
        * javax/security/auth/login/LoginContext.java: implemented.
        * javax/security/auth/spi/LoginModule.java: new file.

2004-10-25  Riccardo Mottola <rmottola@users.sf.net>

        * kaffe/kaffevm/kaffe-gc/gc-incremental.c : split assertion for finer
        debug grain

2004-10-24  Noa Resare  <noa@resare.com>

       * libraries/clib/io/ObjectInputStream.c:
       Update fields in superclasses as well in deserialization.

2004-10-24  Eric Anholt  <eta@lclark.edu>

	* config/x86_64/common.h,
	config/x86_64/sysdepCallMethod.h: Move PROMOTE_* / NO_HOLES to common.h
	instead of sysdepCallMethod.h (sysdepCallMethod isn't always included by
	common.h)

2004-10-24  Eric Anholt  <eta@lclark.edu>

	* kaffe/kaffevm/support.c: Fixup for the commit to avoid undefined
	macro warnings for PROMOTE_* an NO_HOLES, because defined(MACRO) is true
	even if MACRO is 0.  Set the macros to 0 when they're unset rather than
	using defined().

2004-10-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/javax/xml/XMLConstants.java,
	libraries/javalib/javax/xml/datatype/DatatypeConfigurationException.java,
	libraries/javalib/javax/xml/datatype/DatatypeConstants.java,
	libraries/javalib/javax/xml/datatype/DatatypeFactory.java,
	libraries/javalib/javax/xml/datatype/Duration.java,
	libraries/javalib/javax/xml/datatype/XMLGregorianCalendar.java,
	libraries/javalib/javax/xml/datatype/package.html,
	libraries/javalib/javax/xml/namespace/NamespaceContext.java,
	libraries/javalib/javax/xml/namespace/QName.java,
	libraries/javalib/javax/xml/namespace/package.html,
	libraries/javalib/javax/xml/validation/Schema.java,
	libraries/javalib/javax/xml/validation/SchemaFactory.java,
	libraries/javalib/javax/xml/validation/TypeInfoProvider.java,
	libraries/javalib/javax/xml/validation/Validator.java,
	libraries/javalib/javax/xml/validation/ValidatorHandler.java,
	libraries/javalib/javax/xml/validation/package.html,
	libraries/javalib/javax/xml/xpath/XPath.java,
	libraries/javalib/javax/xml/xpath/XPathConstants.java,
	libraries/javalib/javax/xml/xpath/XPathException.java,
	libraries/javalib/javax/xml/xpath/XPathExpression.java,
	libraries/javalib/javax/xml/xpath/XPathExpressionException.java,
	libraries/javalib/javax/xml/xpath/XPathFactory.java,
	libraries/javalib/javax/xml/xpath/XPathFactoryConfigurationException.java,
	libraries/javalib/javax/xml/xpath/XPathFunction.java,
	libraries/javalib/javax/xml/xpath/XPathFunctionException.java,
	libraries/javalib/javax/xml/xpath/XPathFunctionResolver.java,
	libraries/javalib/javax/xml/xpath/XPathVariableResolver.java,
	libraries/javalib/javax/xml/xpath/package.html:
	New files taken from GNU JAXP.

	* libraries/javalib/gnu/xml/dom/DomImpl.java,
	libraries/javalib/gnu/xml/libxmlj/transform/GnomeTransformer.java,
	libraries/javalib/javax/xml/parsers/ClassStuff.java,
	libraries/javalib/javax/xml/parsers/DocumentBuilder.java,
	libraries/javalib/javax/xml/parsers/DocumentBuilderFactory.java,
	libraries/javalib/javax/xml/parsers/FactoryConfigurationError.java,
	libraries/javalib/javax/xml/parsers/ParserConfigurationException.java,
	libraries/javalib/javax/xml/parsers/SAXParser.java,
	libraries/javalib/javax/xml/parsers/SAXParserFactory.java,
	libraries/javalib/javax/xml/transform/ClassStuff.java,
	libraries/javalib/javax/xml/transform/ErrorListener.java,
	libraries/javalib/javax/xml/transform/OutputKeys.java,
	libraries/javalib/javax/xml/transform/Result.java,
	libraries/javalib/javax/xml/transform/Source.java,
	libraries/javalib/javax/xml/transform/SourceLocator.java,
	libraries/javalib/javax/xml/transform/Templates.java,
	libraries/javalib/javax/xml/transform/Transformer.java,
	libraries/javalib/javax/xml/transform/TransformerException.java,
	libraries/javalib/javax/xml/transform/TransformerFactory.java,
	libraries/javalib/javax/xml/transform/TransformerFactoryConfigurationError.java,
	libraries/javalib/javax/xml/transform/URIResolver.java,
	libraries/javalib/javax/xml/transform/dom/DOMLocator.java,
	libraries/javalib/javax/xml/transform/dom/DOMResult.java,
	libraries/javalib/javax/xml/transform/dom/DOMSource.java,
	libraries/javalib/javax/xml/transform/sax/SAXResult.java,
	libraries/javalib/javax/xml/transform/sax/SAXSource.java,
	libraries/javalib/javax/xml/transform/sax/TemplatesHandler.java,
	libraries/javalib/javax/xml/transform/sax/TransformerHandler.java,
	libraries/javalib/javax/xml/transform/stream/StreamResult.java,
	libraries/javalib/javax/xml/transform/stream/StreamSource.java:
	Resynced with GNU JAXP.

	2004-10-20  Chris Burdess  <dog@gnu.org>

        * all: Updates to bring API in line with JAXP 1.3: introduction of
        datatype, namespace, validation, and xpath JAXP packages and
        miscellaneous updates to other packages. Style corrections.

2004-10-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/tree/DefaultTreeCellEditor.java,
	libraries/javalib/javax/swing/tree/DefaultTreeModel.java,
	libraries/javalib/javax/swing/tree/DefaultTreeSelectionModel.java:
        Resynced with GNU Classpath.

	2004-10-24  Michael Koch  <konqueror@gmx.de>

        * javax/swing/tree/DefaultTreeCellEditor.java,
        javax/swing/tree/DefaultTreeModel.java,
        javax/swing/tree/DefaultTreeSelectionModel.java:
        Jalopied.

2004-10-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/print/DocFlavor.java,
	libraries/javalib/javax/print/attribute/standard/JobStateReason.java,
	libraries/javalib/javax/print/attribute/standard/MultipleDocumentHandling.java:
        Resynced with GNU Classpath.

	2004-10-23  Michael Koch  <konqueror@gmx.de>

        * javax/print/DocFlavor.java,
        javax/print/attribute/standard/JobStateReason.java,
        javax/print/attribute/standard/MultipleDocumentHandling.java:
        Added missing constants.

2004-10-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/Character.java:
	Resynced with GNU Classpath.

	2004-10-22  Michael Koch  <konqueror@gmx.de>

        * java/lang/Character.java,
        scripts/unicode-blocks.pl:
        Reordered modifiers.

2004-10-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/lang/StackTraceElement.java,
	libraries/javalib/java/lang/StringBuffer.java,
	libraries/javalib/java/lang/Throwable.java,
	libraries/javalib/java/nio/Buffer.java,
	libraries/javalib/java/nio/ByteBuffer.java,
	libraries/javalib/java/nio/CharBuffer.java,
	libraries/javalib/java/nio/DoubleBuffer.java,
	libraries/javalib/java/nio/FloatBuffer.java,
	libraries/javalib/java/nio/IntBuffer.java,
	libraries/javalib/java/nio/LongBuffer.java,
	libraries/javalib/java/nio/ShortBuffer.java,
	libraries/javalib/java/nio/charset/Charset.java,
	libraries/javalib/java/text/ChoiceFormat.java,
	libraries/javalib/java/text/CollationElementIterator.java,
	libraries/javalib/java/text/DateFormat.java,
	libraries/javalib/java/text/DecimalFormat.java,
	libraries/javalib/java/text/DecimalFormatSymbols.java,
	libraries/javalib/java/text/MessageFormat.java,
	libraries/javalib/java/text/NumberFormat.java,
	libraries/javalib/java/text/RuleBasedCollator.java,
	libraries/javalib/java/text/SimpleDateFormat.java,
	libraries/javalib/java/util/BitSet.java,
	libraries/javalib/java/util/Calendar.java,
	libraries/javalib/java/util/IdentityHashMap.java,
	libraries/javalib/java/util/Locale.java,
	libraries/javalib/java/util/ResourceBundle.java,
	libraries/javalib/java/util/TreeMap.java,
	libraries/javalib/java/util/prefs/AbstractPreferences.java,
	libraries/javalib/java/util/prefs/Preferences.java,
	libraries/javalib/javax/security/auth/Subject.java:
	Resynced with GNU Classpath.

	2004-10-22  Michael Koch  <konqueror@gmx.de>

        * java/lang/Math.java,
        java/lang/StackTraceElement.java,
        java/nio/Buffer.java,
        java/nio/ByteBuffer.java,
        java/nio/CharBuffer.java,
        java/nio/DoubleBuffer.java,
        java/nio/FloatBuffer.java,
        java/nio/IntBuffer.java,
        java/nio/LongBuffer.java,
        java/nio/ShortBuffer.java,
        java/nio/charset/Charset.java,
        java/rmi/server/RMIClassLoader.java,
        java/rmi/server/RMISocketFactory.java,
        java/security/Policy.java,
        java/text/ChoiceFormat.java,
        java/text/CollationElementIterator.java,
        java/text/DateFormat.java,
        java/text/DecimalFormat.java,
        java/text/DecimalFormatSymbols.java,
        java/text/MessageFormat.java,
        java/text/NumberFormat.java,
        java/text/RuleBasedCollator.java,
        java/text/SimpleDateFormat.java,
        java/util/BitSet.java,
        java/util/Calendar.java,
        java/util/Collections.java,
        java/util/IdentityHashMap.java,
        java/util/Locale.java,
        java/util/TreeMap.java,
        java/util/logging/LogRecord.java,
        java/util/logging/XMLFormatter.java,
        java/util/prefs/AbstractPreferences.java,
        java/util/prefs/Preferences.java,
        javax/crypto/interfaces/DHPrivateKey.java,
        javax/crypto/interfaces/DHPublicKey.java,
        javax/crypto/interfaces/PBEKey.java,
        javax/net/ssl/HandshakeCompletedEvent.java,
        javax/security/auth/Subject.java:
        Removed redundant and reordered modifiers.

2004-10-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/AbstractAction.java,
	libraries/javalib/javax/swing/AbstractCellEditor.java,
	libraries/javalib/javax/swing/AbstractListModel.java,
	libraries/javalib/javax/swing/AbstractSpinnerModel.java,
	libraries/javalib/javax/swing/ActionMap.java,
	libraries/javalib/javax/swing/BorderFactory.java,
	libraries/javalib/javax/swing/Box.java,
	libraries/javalib/javax/swing/ButtonModel.java,
	libraries/javalib/javax/swing/CellEditor.java,
	libraries/javalib/javax/swing/CellRendererPane.java,
	libraries/javalib/javax/swing/DefaultBoundedRangeModel.java,
	libraries/javalib/javax/swing/DefaultButtonModel.java,
	libraries/javalib/javax/swing/DefaultCellEditor.java,
	libraries/javalib/javax/swing/DefaultDesktopManager.java,
	libraries/javalib/javax/swing/DefaultListCellRenderer.java,
	libraries/javalib/javax/swing/DefaultListSelectionModel.java,
	libraries/javalib/javax/swing/DefaultSingleSelectionModel.java,
	libraries/javalib/javax/swing/GrayFilter.java,
	libraries/javalib/javax/swing/InputMap.java,
	libraries/javalib/javax/swing/JApplet.java,
	libraries/javalib/javax/swing/JCheckBoxMenuItem.java,
	libraries/javalib/javax/swing/JColorChooser.java,
	libraries/javalib/javax/swing/JComboBox.java,
	libraries/javalib/javax/swing/JDialog.java,
	libraries/javalib/javax/swing/JEditorPane.java,
	libraries/javalib/javax/swing/JFileChooser.java,
	libraries/javalib/javax/swing/JFormattedTextField.java,
	libraries/javalib/javax/swing/JFrame.java,
	libraries/javalib/javax/swing/JLabel.java,
	libraries/javalib/javax/swing/JLayeredPane.java,
	libraries/javalib/javax/swing/JList.java,
	libraries/javalib/javax/swing/JMenu.java,
	libraries/javalib/javax/swing/JMenuBar.java,
	libraries/javalib/javax/swing/JMenuItem.java,
	libraries/javalib/javax/swing/JOptionPane.java,
	libraries/javalib/javax/swing/JPanel.java,
	libraries/javalib/javax/swing/JPasswordField.java,
	libraries/javalib/javax/swing/JPopupMenu.java,
	libraries/javalib/javax/swing/JRadioButtonMenuItem.java,
	libraries/javalib/javax/swing/JRootPane.java,
	libraries/javalib/javax/swing/JSpinner.java,
	libraries/javalib/javax/swing/JSplitPane.java,
	libraries/javalib/javax/swing/JTabbedPane.java,
	libraries/javalib/javax/swing/JTable.java,
	libraries/javalib/javax/swing/JTextArea.java,
	libraries/javalib/javax/swing/JTextPane.java,
	libraries/javalib/javax/swing/JToggleButton.java,
	libraries/javalib/javax/swing/JToolBar.java,
	libraries/javalib/javax/swing/JToolTip.java,
	libraries/javalib/javax/swing/JTree.java,
	libraries/javalib/javax/swing/JWindow.java,
	libraries/javalib/javax/swing/ListModel.java,
	libraries/javalib/javax/swing/LookAndFeel.java,
	libraries/javalib/javax/swing/MenuSelectionManager.java,
	libraries/javalib/javax/swing/ProgressMonitorInputStream.java,
	libraries/javalib/javax/swing/RepaintManager.java,
	libraries/javalib/javax/swing/RootPaneContainer.java,
	libraries/javalib/javax/swing/ScrollPaneLayout.java,
	libraries/javalib/javax/swing/SpinnerModel.java,
	libraries/javalib/javax/swing/SpringLayout.java,
	libraries/javalib/javax/swing/SwingUtilities.java,
	libraries/javalib/javax/swing/Timer.java,
	libraries/javalib/javax/swing/ToolTipManager.java,
	libraries/javalib/javax/swing/UIDefaults.java,
	libraries/javalib/javax/swing/UIManager.java,
	libraries/javalib/javax/swing/border/MatteBorder.java,
	libraries/javalib/javax/swing/colorchooser/AbstractColorChooserPanel.java,
	libraries/javalib/javax/swing/colorchooser/ColorSelectionModel.java,
	libraries/javalib/javax/swing/colorchooser/DefaultColorSelectionModel.java,
	libraries/javalib/javax/swing/colorchooser/DefaultHSBChooserPanel.java,
	libraries/javalib/javax/swing/colorchooser/DefaultPreviewPanel.java,
	libraries/javalib/javax/swing/colorchooser/DefaultRGBChooserPanel.java,
	libraries/javalib/javax/swing/colorchooser/DefaultSwatchChooserPanel.java,
	libraries/javalib/javax/swing/event/AncestorEvent.java,
	libraries/javalib/javax/swing/event/HyperlinkEvent.java,
	libraries/javalib/javax/swing/event/InternalFrameEvent.java,
	libraries/javalib/javax/swing/event/MenuDragMouseEvent.java,
	libraries/javalib/javax/swing/event/MenuKeyEvent.java,
	libraries/javalib/javax/swing/event/TableColumnModelEvent.java,
	libraries/javalib/javax/swing/event/TableModelEvent.java,
	libraries/javalib/javax/swing/event/TreeExpansionEvent.java,
	libraries/javalib/javax/swing/event/TreeModelEvent.java,
	libraries/javalib/javax/swing/event/TreeSelectionEvent.java,
	libraries/javalib/javax/swing/event/TreeWillExpandListener.java,
	libraries/javalib/javax/swing/event/UndoableEditEvent.java,
	libraries/javalib/javax/swing/filechooser/FileView.java,
	libraries/javalib/javax/swing/plaf/BorderUIResource.java,
	libraries/javalib/javax/swing/plaf/ComponentUI.java,
	libraries/javalib/javax/swing/plaf/FileChooserUI.java,
	libraries/javalib/javax/swing/plaf/IconUIResource.java,
	libraries/javalib/javax/swing/plaf/ListUI.java,
	libraries/javalib/javax/swing/plaf/PopupMenuUI.java,
	libraries/javalib/javax/swing/plaf/SplitPaneUI.java,
	libraries/javalib/javax/swing/plaf/TabbedPaneUI.java,
	libraries/javalib/javax/swing/plaf/TextUI.java,
	libraries/javalib/javax/swing/plaf/TreeUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicArrowButton.java,
	libraries/javalib/javax/swing/plaf/basic/BasicBorders.java,
	libraries/javalib/javax/swing/plaf/basic/BasicButtonUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicCheckBoxMenuItemUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicColorChooserUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicComboBoxEditor.java,
	libraries/javalib/javax/swing/plaf/basic/BasicComboBoxRenderer.java,
	libraries/javalib/javax/swing/plaf/basic/BasicComboBoxUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicComboPopup.java,
	libraries/javalib/javax/swing/plaf/basic/BasicDesktopIconUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicIconFactory.java,
	libraries/javalib/javax/swing/plaf/basic/BasicInternalFrameTitlePane.java,
	libraries/javalib/javax/swing/plaf/basic/BasicListUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicLookAndFeel.java,
	libraries/javalib/javax/swing/plaf/basic/BasicMenuBarUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicMenuItemUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicMenuUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicOptionPaneUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicPopupMenuSeparatorUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicPopupMenuUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicProgressBarUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicRadioButtonMenuItemUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicRootPaneUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicScrollBarUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSeparatorUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSliderUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSpinnerUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSplitPaneDivider.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTableHeaderUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTableUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTextAreaUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTextFieldUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTextUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicToolBarSeparatorUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicToolBarUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicToolTipUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTreeUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicViewportUI.java,
	libraries/javalib/javax/swing/plaf/basic/ComboPopup.java,
	libraries/javalib/javax/swing/plaf/metal/MetalLookAndFeel.java,
	libraries/javalib/javax/swing/table/AbstractTableModel.java,
	libraries/javalib/javax/swing/table/DefaultTableCellRenderer.java,
	libraries/javalib/javax/swing/table/DefaultTableColumnModel.java,
	libraries/javalib/javax/swing/table/DefaultTableModel.java,
	libraries/javalib/javax/swing/table/JTableHeader.java,
	libraries/javalib/javax/swing/table/TableCellEditor.java,
	libraries/javalib/javax/swing/table/TableCellRenderer.java,
	libraries/javalib/javax/swing/table/TableColumn.java,
	libraries/javalib/javax/swing/table/TableColumnModel.java,
	libraries/javalib/javax/swing/text/AbstractDocument.java,
	libraries/javalib/javax/swing/text/AttributeSet.java,
	libraries/javalib/javax/swing/text/Caret.java,
	libraries/javalib/javax/swing/text/DefaultCaret.java,
	libraries/javalib/javax/swing/text/DefaultEditorKit.java,
	libraries/javalib/javax/swing/text/DefaultHighlighter.java,
	libraries/javalib/javax/swing/text/Document.java,
	libraries/javalib/javax/swing/text/EditorKit.java,
	libraries/javalib/javax/swing/text/Highlighter.java,
	libraries/javalib/javax/swing/text/JTextComponent.java,
	libraries/javalib/javax/swing/text/LayeredHighlighter.java,
	libraries/javalib/javax/swing/text/PasswordView.java,
	libraries/javalib/javax/swing/text/SimpleAttributeSet.java,
	libraries/javalib/javax/swing/text/StyleConstants.java,
	libraries/javalib/javax/swing/text/StyleContext.java,
	libraries/javalib/javax/swing/text/StyledEditorKit.java,
	libraries/javalib/javax/swing/text/TextAction.java,
	libraries/javalib/javax/swing/text/View.java,
	libraries/javalib/javax/swing/text/html/HTML.java,
	libraries/javalib/javax/swing/tree/AbstractLayoutCache.java,
	libraries/javalib/javax/swing/tree/DefaultTreeCellRenderer.java,
	libraries/javalib/javax/swing/tree/DefaultTreeModel.java,
	libraries/javalib/javax/swing/tree/DefaultTreeSelectionModel.java,
	libraries/javalib/javax/swing/tree/FixedHeightLayoutCache.java,
	libraries/javalib/javax/swing/tree/TreeCellEditor.java,
	libraries/javalib/javax/swing/tree/TreeCellRenderer.java,
	libraries/javalib/javax/swing/tree/TreeSelectionModel.java,
	libraries/javalib/javax/swing/tree/VariableHeightLayoutCache.java,
	libraries/javalib/javax/swing/undo/AbstractUndoableEdit.java,
	libraries/javalib/javax/swing/undo/UndoableEditSupport.java:
	Resynced with GNU Classpath.

	2004-10-23  Michael Koch  <konqueror@gmx.de>

        * javax/swing/text/JTextComponent.java
        (getKeymap): Made public.

	2004-10-22  Michael Koch  <konqueror@gmx.de>

        * javax/swing/JEditorPane.java
        (getStream): Throws IOException.
        (read): Likewise.
        * javax/swing/JRootPane.java
        (createContentPane): Fixed return type.
        * javax/swing/JSpinner.java
        (commitEdit): Throws ParseException.
        * javax/swing/plaf/metal/MetalLookAndFeel.java
        (serialVersionUID): New field.
        * javax/swing/table/TableColumn.java
        (resizedPostingDisableCount): Added @deprecated tag.
        (disableResizedPosting): Likewise.
        (enableResizedPosting): Likewise.
        * javax/swing/text/Document.java
        (TitleProperty): Fixed value.
        * javax/swing/tree/TreeCellEditor.java
        (TreeCellEditor): Extends CellEditor.

	2004-10-22  Michael Koch  <konqueror@gmx.de>

        * javax/swing/plaf/basic/BasicToolTipUI.java:
        Reformatted copyright header.

	2004-10-22  Michael Koch  <konqueror@gmx.de>

        * javax/swing/JWindow.java
        javax/swing/SpinnerModel.java
        javax/swing/Timer.java
        javax/swing/event/MenuKeyEvent.java
        javax/swing/plaf/basic/BasicButtonUI.java
        javax/swing/plaf/basic/BasicIconFactory.java
        javax/swing/plaf/basic/BasicTabbedPaneUI.java
        javax/swing/text/AttributeSet.java
        javax/swing/text/Highlighter.java
        javax/swing/text/StyleConstants.java
        javax/swing/tree/TreeCellEditor.java:
        Removed redundant and reordered modifiers.

	2004-10-22  Michael Koch  <konqueror@gmx.de>

        * javax/swing/AbstractAction.java,
        javax/swing/AbstractButton.java,
        javax/swing/AbstractCellEditor.java,
        javax/swing/AbstractListModel.java,
        javax/swing/AbstractSpinnerModel.java,
        javax/swing/ActionMap.java,
        javax/swing/BorderFactory.java,
        javax/swing/Box.java,
        javax/swing/ButtonModel.java,
        javax/swing/CellEditor.java,
        javax/swing/CellRendererPane.java,
        javax/swing/DefaultBoundedRangeModel.java,
        javax/swing/DefaultButtonModel.java,
        javax/swing/DefaultCellEditor.java,
        javax/swing/DefaultDesktopManager.java,
        javax/swing/DefaultListCellRenderer.java,
        javax/swing/DefaultListSelectionModel.java,
        javax/swing/DefaultSingleSelectionModel.java,
        javax/swing/GrayFilter.java,
        javax/swing/InputMap.java,
        javax/swing/JApplet.java,
        javax/swing/JCheckBoxMenuItem.java,
        javax/swing/JColorChooser.java,
        javax/swing/JComboBox.java,
        javax/swing/JComponent.java,
        javax/swing/JDesktopPane.java,
        javax/swing/JDialog.java,
        javax/swing/JEditorPane.java,
        javax/swing/JFileChooser.java,
        javax/swing/JFormattedTextField.java,
        javax/swing/JFrame.java,
        javax/swing/JInternalFrame.java,
        javax/swing/JLabel.java,
        javax/swing/JLayeredPane.java,
        javax/swing/JList.java,
        javax/swing/JMenu.java,
        javax/swing/JMenuBar.java,
        javax/swing/JMenuItem.java,
        javax/swing/JOptionPane.java,
        javax/swing/JPanel.java,
        javax/swing/JPasswordField.java,
        javax/swing/JPopupMenu.java,
        javax/swing/JRadioButtonMenuItem.java,
        javax/swing/JRootPane.java,
        javax/swing/JSpinner.java,
        javax/swing/JSplitPane.java,
        javax/swing/JTabbedPane.java,
        javax/swing/JTable.java,
        javax/swing/JTextArea.java,
        javax/swing/JTextPane.java,
        javax/swing/JToggleButton.java,
        javax/swing/JToolBar.java,
        javax/swing/JToolTip.java,
        javax/swing/JTree.java,
        javax/swing/JViewport.java,
        javax/swing/ListModel.java,
        javax/swing/LookAndFeel.java,
        javax/swing/MenuSelectionManager.java,
        javax/swing/ProgressMonitorInputStream.java,
        javax/swing/RepaintManager.java,
        javax/swing/RootPaneContainer.java,
        javax/swing/ScrollPaneLayout.java,
        javax/swing/SpringLayout.java,
        javax/swing/SwingUtilities.java,
        javax/swing/Timer.java,
        javax/swing/ToolTipManager.java,
        javax/swing/UIDefaults.java,
        javax/swing/UIManager.java,
        javax/swing/border/MatteBorder.java,
        javax/swing/colorchooser/AbstractColorChooserPanel.java,
        javax/swing/colorchooser/ColorSelectionModel.java,
        javax/swing/colorchooser/DefaultColorSelectionModel.java,
        javax/swing/colorchooser/DefaultHSBChooserPanel.java,
        javax/swing/colorchooser/DefaultPreviewPanel.java,
        javax/swing/colorchooser/DefaultRGBChooserPanel.java,
        javax/swing/colorchooser/DefaultSwatchChooserPanel.java,
        javax/swing/event/AncestorEvent.java,
        javax/swing/event/HyperlinkEvent.java,
        javax/swing/event/InternalFrameEvent.java,
        javax/swing/event/MenuDragMouseEvent.java,
        javax/swing/event/TableColumnModelEvent.java,
        javax/swing/event/TableModelEvent.java,
        javax/swing/event/TreeExpansionEvent.java,
        javax/swing/event/TreeModelEvent.java,
        javax/swing/event/TreeSelectionEvent.java,
        javax/swing/event/TreeWillExpandListener.java,
        javax/swing/event/UndoableEditEvent.java,
        javax/swing/filechooser/FileView.java,
        javax/swing/plaf/BorderUIResource.java,
        javax/swing/plaf/ComponentUI.java,
        javax/swing/plaf/FileChooserUI.java,
        javax/swing/plaf/IconUIResource.java,
        javax/swing/plaf/ListUI.java,
        javax/swing/plaf/PopupMenuUI.java,
        javax/swing/plaf/SplitPaneUI.java,
        javax/swing/plaf/TabbedPaneUI.java,
        javax/swing/plaf/TextUI.java,
        javax/swing/plaf/TreeUI.java,
        javax/swing/plaf/basic/BasicArrowButton.java,
        javax/swing/plaf/basic/BasicBorders.java,
        javax/swing/plaf/basic/BasicButtonUI.java,
        javax/swing/plaf/basic/BasicCheckBoxMenuItemUI.java,
        javax/swing/plaf/basic/BasicColorChooserUI.java,
        javax/swing/plaf/basic/BasicComboBoxEditor.java,
        javax/swing/plaf/basic/BasicComboBoxRenderer.java,
        javax/swing/plaf/basic/BasicComboBoxUI.java,
        javax/swing/plaf/basic/BasicComboPopup.java,
        javax/swing/plaf/basic/BasicDesktopIconUI.java,
        javax/swing/plaf/basic/BasicDesktopPaneUI.java,
        javax/swing/plaf/basic/BasicIconFactory.java,
        javax/swing/plaf/basic/BasicInternalFrameTitlePane.java,
        javax/swing/plaf/basic/BasicInternalFrameUI.java,
        javax/swing/plaf/basic/BasicListUI.java,
        javax/swing/plaf/basic/BasicLookAndFeel.java,
        javax/swing/plaf/basic/BasicMenuBarUI.java,
        javax/swing/plaf/basic/BasicMenuItemUI.java,
        javax/swing/plaf/basic/BasicMenuUI.java,
        javax/swing/plaf/basic/BasicOptionPaneUI.java,
        javax/swing/plaf/basic/BasicPopupMenuSeparatorUI.java,
        javax/swing/plaf/basic/BasicPopupMenuUI.java,
        javax/swing/plaf/basic/BasicProgressBarUI.java,
        javax/swing/plaf/basic/BasicRadioButtonMenuItemUI.java,
        javax/swing/plaf/basic/BasicRootPaneUI.java,
        javax/swing/plaf/basic/BasicScrollBarUI.java,
        javax/swing/plaf/basic/BasicSeparatorUI.java,
        javax/swing/plaf/basic/BasicSliderUI.java,
        javax/swing/plaf/basic/BasicSpinnerUI.java,
        javax/swing/plaf/basic/BasicSplitPaneDivider.java,
        javax/swing/plaf/basic/BasicSplitPaneUI.java,
        javax/swing/plaf/basic/BasicTabbedPaneUI.java,
        javax/swing/plaf/basic/BasicTableHeaderUI.java,
        javax/swing/plaf/basic/BasicTableUI.java,
        javax/swing/plaf/basic/BasicTextAreaUI.java,
        javax/swing/plaf/basic/BasicTextFieldUI.java,
        javax/swing/plaf/basic/BasicTextUI.java,
        javax/swing/plaf/basic/BasicToolBarSeparatorUI.java,
        javax/swing/plaf/basic/BasicToolBarUI.java,
        javax/swing/plaf/basic/BasicToolTipUI.java,
        javax/swing/plaf/basic/BasicTreeUI.java,
        javax/swing/plaf/basic/BasicViewportUI.java,
        javax/swing/plaf/basic/ComboPopup.java,
        javax/swing/table/AbstractTableModel.java,
        javax/swing/table/DefaultTableCellRenderer.java,
        javax/swing/table/DefaultTableColumnModel.java,
        javax/swing/table/DefaultTableModel.java,
        javax/swing/table/JTableHeader.java,
        javax/swing/table/TableCellEditor.java,
        javax/swing/table/TableCellRenderer.java,
        javax/swing/table/TableColumn.java,
        javax/swing/table/TableColumnModel.java,
        javax/swing/text/AbstractDocument.java,
        javax/swing/text/Caret.java,
        javax/swing/text/DefaultCaret.java,
        javax/swing/text/DefaultEditorKit.java,
        javax/swing/text/DefaultHighlighter.java,
        javax/swing/text/EditorKit.java,
        javax/swing/text/JTextComponent.java,
        javax/swing/text/LayeredHighlighter.java,
        javax/swing/text/PasswordView.java,
        javax/swing/text/SimpleAttributeSet.java,
        javax/swing/text/StyleConstants.java,
        javax/swing/text/StyleContext.java,
        javax/swing/text/StyledEditorKit.java,
        javax/swing/text/TextAction.java,
        javax/swing/text/View.java,
        javax/swing/tree/AbstractLayoutCache.java,
        javax/swing/tree/DefaultTreeCellRenderer.java,
        javax/swing/tree/DefaultTreeModel.java,
        javax/swing/tree/DefaultTreeSelectionModel.java,
        javax/swing/tree/FixedHeightLayoutCache.java,
        javax/swing/tree/TreeCellRenderer.java,
        javax/swing/tree/TreeSelectionModel.java,
        javax/swing/tree/VariableHeightLayoutCache.java,
        javax/swing/undo/AbstractUndoableEdit.java,
        javax/swing/undo/UndoableEditSupport.java:
        Imports cleaned up.

2004-10-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JDesktopPane.java:
	Added workaround for kjc back.

2004-10-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.c:
	New file taken from GNU Classpath.

	* include/Makefile.am:
	Added gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.h.

	* libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.am:
	Added gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.c.

	* include/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in:
	Regeneated.

	* libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java:
        Resynced with GNU Classpath.

	2004-10-22  Andreas Tobler  <a.tobler@schweiz.ch>

        * jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.c:
        New File.
        (nativeGetNumFontsFamilies) New function.
        (nativeGetFontFamilies) Likewise.
        * gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java
        (getAvailableFontFamilyNames): Implement.

	2004-10-22  Michael Koch  <konqueror@gmx.de>

        * include/Makefile.am:
        Added gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.h.
        * native/jni/gtk-peer/Makefile.am:
        Added gnu_java_awt_peer_gtk_GdkGraphicsEnvironment.c.

2004-10-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/awt/peer/ClasspathFontPeer.java:
        Resynced with GNU Classpath.

	2004-10-22  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/ClasspathFontPeer.java
        (setStandardAttributes(String,Map)): If size attribute doesn't
        exist, default to size 12.  Clamp size value to a minimum of 1.

2004-10-24  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/AbstractButton.java,
	libraries/javalib/javax/swing/FocusManager.java,
	libraries/javalib/javax/swing/JComponent.java,
	libraries/javalib/javax/swing/JDesktopPane.java,
	libraries/javalib/javax/swing/JInternalFrame.java,
	libraries/javalib/javax/swing/JViewport.java,
	libraries/javalib/javax/swing/plaf/basic/BasicDesktopPaneUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicInternalFrameUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSplitPaneUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicTabbedPaneUI.java:
	Resynced with GNU Classpath.

	2004-10-22  Michael Koch  <konqueror@gmx.de>

        * javax/swing/AbstractButton.java
        (getLabel): Added @deprecated tag.
        (setLabel): Likewise.
        * javax/swing/FocusManager.java
        (disableSwingFocusManager): Likewise.
        (isFocusManagerEnabled): Likewise.
        * javax/swing/JComponent.java
        (isManagingFocus): Added version to @deprecated tag.
        (getNextFocusableComponent): Moved @deprecated tag to bottom of
        javadoc.
        (getConditionForKeyStroke): Likewise.
        (getActionForKeyStroke): Likewise.
        * javax/swing/JDesktopPane.java
        (LIVE_DRAG_MODE): Added @specnote tag.
        (OUTLINE_DRAG_MODE): Likewise.
        * javax/swing/JInternalFrame.java
        (MENU_BAR_PROPERTY): Fixed value.
        (getMenuBar): Added @deprecated tag.
        (setMenuBar): Likewise.
        * javax/swing/JViewport.java
        (isBackingStoreEnabled): Likewise.
        (setBackingStoreEnabled): Likewise.
        * javax/swing/plaf/basic/BasicDesktopPaneUI.java
        (closeKey): Likewise.
        (maximizeKey): Likewise.
        (minimizeKey): Likewise.
        (navigateKey): Likewise.
        (navigateKey2): Likewise.
        * javax/swing/plaf/basic/BasicInternalFrameUI.java
        (openMenuKey): Likewise.
        * javax/swing/plaf/basic/BasicSplitPaneUI.java
        (keyboardDownRightListener): Likewise.
        (keyboardEndListener): Likewise.
        (keyboardHomeListener): Likewise.
        (keyboardResizeToggleListener): Likewise.
        (keyboardUpLeftListener): Likewise.
        (dividerResizeToggleKey): Likewise.
        (downKey): Likewise.
        (endKey): Likewise.
        (homeKey): Likewise.
        (leftKey): Likewise.
        (rightKey): Likewise.
        (upKey): Likewise.
        (createKeyboardUpLeftListener): Likewise.
        (createKeyboardDownRightListener): Likewise.
        (createKeyboardHomeListener): Likewise.
        (createKeyboardEndListener): Likewise.
        (createKeyboardResizeToggleListener): Likewise.
        (getDividerBorderSize): Likewise.
        * javax/swing/plaf/basic/BasicTabbedPaneUI.java
        (downKey): Likewise.
        (leftKey): Likewise.
        (rightKey): Likewise.
        (upKey): Likewise.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/net/NetworkInterface.java:
	Added missing import.

	* libraries/javalib/java/util/Date.java:
        Resynced with GNU Classpath.

	2004-10-22  Andrew John Hughes  <gnu_andrew@member.fsf.org>

        * java/util/Date.java
        Added missing documentation.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/Container.java,
	libraries/javalib/java/awt/Font.java,
	libraries/javalib/java/awt/font/TextLayout.java,
	libraries/javalib/java/util/zip/CheckedInputStream.java,
	libraries/javalib/java/util/zip/InflaterInputStream.java:
	Resynced with GNU Classpath.

	2004-10-21  Michael Koch  <konqueror@gmx.de>

        * java/awt/Container.java,
        java/awt/Font.java,
        java/awt/font/TextLayout.java,
        java/util/zip/CheckedInputStream.java,
        java/util/zip/InflaterInputStream.java:
        Import cleanups.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/net/NetworkInterface.java,
	libraries/javalib/javax/security/auth/x500/X500PrivateCredential.java,
	libraries/javalib/javax/security/cert/X509CertBridge.java,
	libraries/javalib/javax/sql/XAConnection.java:
        Resynced with GNU Classpath.

	2004-10-21  Michael Koch  <konqueror@gmx.de>

        * java/net/NetworkInterface.java,
        javax/security/auth/x500/X500PrivateCredential.java,
        javax/security/cert/X509CertBridge.java,
        javax/sql/XAConnection.java:
        Import cleanup.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/net/ssl/HandshakeCompletedEvent.java,
	libraries/javalib/javax/net/ssl/KeyManagerFactory.java,
	libraries/javalib/javax/net/ssl/SSLContext.java,
	libraries/javalib/javax/net/ssl/SSLServerSocketFactory.java,
	libraries/javalib/javax/net/ssl/SSLSession.java,
	libraries/javalib/javax/net/ssl/TrustManagerFactory.java:
	Resynced with GNU Classpath.

	2004-10-21  Michael Koch  <konqueror@gmx.de>

        * javax/net/ssl/HandshakeCompletedEvent.java,
        javax/net/ssl/KeyManagerFactory.java,
        javax/net/ssl/SSLContext.java,
        javax/net/ssl/SSLServerSocketFactory.java,
        javax/net/ssl/SSLSession.java,
        javax/net/ssl/SSLSocketFactory.java,
        javax/net/ssl/TrustManagerFactory.java:
        Import cleanup.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/naming/directory/BasicAttribute.java,
	libraries/javalib/javax/naming/directory/BasicAttributes.java,
	libraries/javalib/javax/naming/directory/InitialDirContext.java,
	libraries/javalib/javax/naming/event/NamingEvent.java,
	libraries/javalib/javax/naming/ldap/ControlFactory.java,
	libraries/javalib/javax/naming/ldap/ExtendedRequest.java,
	libraries/javalib/javax/naming/ldap/InitialLdapContext.java,
	libraries/javalib/javax/naming/ldap/LdapReferralException.java,
	libraries/javalib/javax/naming/spi/DirObjectFactory.java,
	libraries/javalib/javax/naming/spi/DirStateFactory.java,
	libraries/javalib/javax/naming/spi/DirectoryManager.java,
	libraries/javalib/javax/naming/spi/InitialContextFactory.java,
	libraries/javalib/javax/naming/spi/InitialContextFactoryBuilder.java,
	libraries/javalib/javax/naming/spi/NamingManager.java,
	libraries/javalib/javax/naming/spi/ObjectFactory.java,
	libraries/javalib/javax/naming/spi/ObjectFactoryBuilder.java,
	libraries/javalib/javax/naming/spi/StateFactory.java:
	Resynced with GNU Classpath.

	2004-10-21  Michael Koch  <konqueror@gmx.de>

        * javax/naming/directory/BasicAttribute.java,
        javax/naming/directory/BasicAttributes.java,
        javax/naming/directory/InitialDirContext.java,
        javax/naming/event/NamingEvent.java,
        javax/naming/ldap/ControlFactory.java,
        javax/naming/ldap/ExtendedRequest.java,
        javax/naming/ldap/InitialLdapContext.java,
        javax/naming/ldap/LdapReferralException.java,
        javax/naming/spi/DirObjectFactory.java,
        javax/naming/spi/DirStateFactory.java,
        javax/naming/spi/DirectoryManager.java,
        javax/naming/spi/InitialContextFactory.java,
        javax/naming/spi/InitialContextFactoryBuilder.java,
        javax/naming/spi/NamingManager.java,
        javax/naming/spi/ObjectFactory.java,
        javax/naming/spi/ObjectFactoryBuilder.java,
        javax/naming/spi/StateFactory.java:
        Import cleanup.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/imageio/metadata/package.html:
	New file taken from GNU Classpath.

	* libraries/javalib/javax/imageio/event/IIOReadProgressListener.java,
	libraries/javalib/javax/imageio/event/IIOReadUpdateListener.java,
	libraries/javalib/javax/imageio/event/IIOReadWarningListener.java,
	libraries/javalib/javax/imageio/event/IIOWriteProgressListener.java,
	libraries/javalib/javax/imageio/event/IIOWriteWarningListener.java,
	libraries/javalib/javax/imageio/metadata/IIOMetadataFormat.java,
	libraries/javalib/javax/imageio/stream/ImageInputStreamImpl.java:
	Resynced with GNU Classpath.

	2004-10-21  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/event/IIOReadProgressListener.java,
        javax/imageio/event/IIOReadUpdateListener.java,
        javax/imageio/event/IIOReadWarningListener.java,
        javax/imageio/event/IIOWriteProgressListener.java,
        javax/imageio/event/IIOWriteWarningListener.java,
        javax/imageio/metadata/IIOMetadataFormat.java,
        javax/imageio/stream/FileCacheImageInputStream.java,
        javax/imageio/stream/FileCacheImageOutputStream.java,
        javax/imageio/stream/ImageInputStreamImpl.java:
        Import cleanup.
        * javax/imageio/metadata/package.html: New file.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/crypto/BadPaddingException.java,
	libraries/javalib/javax/crypto/CipherInputStream.java,
	libraries/javalib/javax/crypto/CipherOutputStream.java,
	libraries/javalib/javax/crypto/CipherSpi.java,
	libraries/javalib/javax/crypto/EncryptedPrivateKeyInfo.java,
	libraries/javalib/javax/crypto/ExemptionMechanism.java,
	libraries/javalib/javax/crypto/ExemptionMechanismSpi.java,
	libraries/javalib/javax/crypto/IllegalBlockSizeException.java,
	libraries/javalib/javax/crypto/KeyAgreement.java,
	libraries/javalib/javax/crypto/KeyAgreementSpi.java,
	libraries/javalib/javax/crypto/KeyGenerator.java,
	libraries/javalib/javax/crypto/KeyGeneratorSpi.java,
	libraries/javalib/javax/crypto/Mac.java,
	libraries/javalib/javax/crypto/NoSuchPaddingException.java,
	libraries/javalib/javax/crypto/NullCipher.java,
	libraries/javalib/javax/crypto/NullCipherImpl.java,
	libraries/javalib/javax/crypto/SealedObject.java,
	libraries/javalib/javax/crypto/SecretKeyFactorySpi.java,
	libraries/javalib/javax/crypto/ShortBufferException.java,
	libraries/javalib/javax/crypto/interfaces/DHKey.java,
	libraries/javalib/javax/crypto/interfaces/DHPrivateKey.java,
	libraries/javalib/javax/crypto/interfaces/DHPublicKey.java,
	libraries/javalib/javax/crypto/interfaces/PBEKey.java,
	libraries/javalib/javax/crypto/spec/DESKeySpec.java,
	libraries/javalib/javax/crypto/spec/DESedeKeySpec.java,
	libraries/javalib/javax/crypto/spec/DHGenParameterSpec.java,
	libraries/javalib/javax/crypto/spec/DHParameterSpec.java,
	libraries/javalib/javax/crypto/spec/DHPrivateKeySpec.java,
	libraries/javalib/javax/crypto/spec/DHPublicKeySpec.java,
	libraries/javalib/javax/crypto/spec/IvParameterSpec.java,
	libraries/javalib/javax/crypto/spec/PBEKeySpec.java,
	libraries/javalib/javax/crypto/spec/PBEParameterSpec.java,
	libraries/javalib/javax/crypto/spec/RC2ParameterSpec.java,
	libraries/javalib/javax/crypto/spec/RC5ParameterSpec.java,
	libraries/javalib/javax/crypto/spec/SecretKeySpec.java:
	Resynced with GNU Classpath.

	2004-10-21  Michael Koch  <konqueror@gmx.de>

        * javax/crypto/Cipher.java,
        javax/crypto/EncryptedPrivateKeyInfo.java,
        javax/crypto/ExemptionMechanism.java,
        javax/crypto/KeyAgreement.java,
        javax/crypto/KeyGenerator.java,
        javax/crypto/Mac.java,
        javax/crypto/SecretKeyFactory.java,
        javax/crypto/SecretKeyFactorySpi.java,
        javax/crypto/spec/SecretKeySpec.java:
        Import cleanup.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/AlgorithmParametersSpi.java,
	libraries/javalib/java/security/AllPermission.java,
	libraries/javalib/java/security/BasicPermission.java,
	libraries/javalib/java/security/Certificate.java,
	libraries/javalib/java/security/CodeSource.java,
	libraries/javalib/java/security/DigestOutputStream.java,
	libraries/javalib/java/security/GuardedObject.java,
	libraries/javalib/java/security/KeyFactorySpi.java,
	libraries/javalib/java/security/KeyStoreSpi.java,
	libraries/javalib/java/security/Permissions.java,
	libraries/javalib/java/security/Signer.java,
	libraries/javalib/java/security/UnresolvedPermission.java,
	libraries/javalib/java/security/cert/X509CRLSelector.java,
	libraries/javalib/java/security/cert/X509CertSelector.java,
	libraries/javalib/java/security/spec/DSAParameterSpec.java:
	Resynced with GNU Classpath.

	2004-10-21  Michael Koch  <konqueror@gmx.de>

        * java/security/AlgorithmParameterGenerator.java,
        java/security/AlgorithmParameters.java,
        java/security/AlgorithmParametersSpi.java,
        java/security/AllPermission.java,
        java/security/BasicPermission.java,
        java/security/Certificate.java,
        java/security/CodeSource.java,
        java/security/DigestInputStream.java,
        java/security/DigestOutputStream.java,
        java/security/GuardedObject.java,
        java/security/KeyFactory.java,
        java/security/KeyFactorySpi.java,
        java/security/KeyPairGenerator.java,
        java/security/KeyStore.java,
        java/security/KeyStoreSpi.java,
        java/security/Permissions.java,
        java/security/Security.java,
        java/security/Signature.java,
        java/security/UnresolvedPermission.java,
        java/security/cert/CertPathBuilder.java,
        java/security/cert/CertPathValidator.java,
        java/security/cert/CertStore.java,
        java/security/cert/Certificate.java,
        java/security/cert/CertificateFactory.java,
        java/security/cert/PolicyQualifierInfo.java,
        java/security/cert/TrustAnchor.java,
        java/security/cert/X509CRL.java,
        java/security/cert/X509CRLSelector.java,
        java/security/cert/X509CertSelector.java:
        Import cleanup.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/rmi/MarshalledObject.java,
	libraries/javalib/java/rmi/Naming.java,
	libraries/javalib/java/rmi/activation/Activatable.java,
	libraries/javalib/java/rmi/activation/ActivationGroup.java,
	libraries/javalib/java/rmi/activation/ActivationGroupDesc.java,
	libraries/javalib/java/rmi/activation/ActivationInstantiator.java,
	libraries/javalib/java/rmi/activation/ActivationMonitor.java,
	libraries/javalib/java/rmi/activation/ActivationSystem.java,
	libraries/javalib/java/rmi/activation/Activator.java,
	libraries/javalib/java/rmi/registry/LocateRegistry.java,
	libraries/javalib/java/rmi/registry/Registry.java,
	libraries/javalib/java/rmi/server/LogStream.java,
	libraries/javalib/java/rmi/server/ObjID.java,
	libraries/javalib/java/rmi/server/RMIClassLoader.java,
	libraries/javalib/java/rmi/server/RMIClientSocketFactory.java,
	libraries/javalib/java/rmi/server/RMIServerSocketFactory.java,
	libraries/javalib/java/rmi/server/RMISocketFactory.java,
	libraries/javalib/java/rmi/server/RemoteCall.java,
	libraries/javalib/java/rmi/server/RemoteServer.java,
	libraries/javalib/java/rmi/server/ServerRef.java,
	libraries/javalib/java/rmi/server/UID.java,
	libraries/javalib/java/rmi/server/UnicastRemoteObject.java:
	Resynced with GNU Classpath.

	2004-10-21  Michael Koch  <konqueror@gmx.de>

        * java/rmi/MarshalledObject.java,
        java/rmi/Naming.java,
        java/rmi/activation/Activatable.java,
        java/rmi/activation/ActivationGroup.java,
        java/rmi/activation/ActivationGroupDesc.java,
        java/rmi/activation/ActivationInstantiator.java,
        java/rmi/activation/ActivationMonitor.java,
        java/rmi/activation/ActivationSystem.java,
        java/rmi/activation/Activator.java,
        java/rmi/registry/LocateRegistry.java,
        java/rmi/registry/Registry.java,
        java/rmi/server/LogStream.java,
        java/rmi/server/ObjID.java,
        java/rmi/server/RMIClientSocketFactory.java,
        java/rmi/server/RMIServerSocketFactory.java,
        java/rmi/server/RMISocketFactory.java,
        java/rmi/server/RemoteCall.java,
        java/rmi/server/RemoteServer.java,
        java/rmi/server/ServerRef.java,
        java/rmi/server/UID.java,
        java/rmi/server/UnicastRemoteObject.java:
        Import cleanup.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/Collections.java,
	libraries/javalib/java/util/Currency.java,
	libraries/javalib/java/util/SortedMap.java,
	libraries/javalib/java/util/SortedSet.java:
	Resynced with GNU Classpath.

	2004-10-20  Andrew John Hughes <gnu_andrew@member.fsf.org>

        * java/util/Currency.java
        Documented variables and methods more fully.
        Caches the currency instances, so that a request
        for a locale, l, only ever returns the same
        instance (i.e. successive calls to getInstance(l)
        are reference equivalent (==)).

	2004-10-20  Andrew John Hughes <gnu_andrew@member.fsf.org>

        * java/util/Collections.java
        Added documentation.
        * java/util/SortedMap.java
        Clarified some method examples.
        * java/util/SortedSet.java
        Clarified some method examples.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/print/attribute/standard/ColorSupported.java,
	libraries/javalib/javax/print/attribute/standard/Compression.java,
	libraries/javalib/javax/print/attribute/standard/Copies.java,
	libraries/javalib/javax/print/attribute/standard/CopiesSupported.java,
	libraries/javalib/javax/print/attribute/standard/DateTimeAtCompleted.java,
	libraries/javalib/javax/print/attribute/standard/DateTimeAtCreation.java,
	libraries/javalib/javax/print/attribute/standard/DateTimeAtProcessing.java,
	libraries/javalib/javax/print/attribute/standard/DocumentName.java,
	libraries/javalib/javax/print/attribute/standard/Fidelity.java,
	libraries/javalib/javax/print/attribute/standard/Finishings.java,
	libraries/javalib/javax/print/attribute/standard/JobHoldUntil.java,
	libraries/javalib/javax/print/attribute/standard/JobImpressions.java,
	libraries/javalib/javax/print/attribute/standard/JobImpressionsCompleted.java,
	libraries/javalib/javax/print/attribute/standard/JobImpressionsSupported.java,
	libraries/javalib/javax/print/attribute/standard/JobKOctets.java,
	libraries/javalib/javax/print/attribute/standard/JobKOctetsProcessed.java,
	libraries/javalib/javax/print/attribute/standard/JobKOctetsSupported.java,
	libraries/javalib/javax/print/attribute/standard/JobMediaSheets.java,
	libraries/javalib/javax/print/attribute/standard/JobMediaSheetsCompleted.java,
	libraries/javalib/javax/print/attribute/standard/JobMediaSheetsSupported.java,
	libraries/javalib/javax/print/attribute/standard/JobMessageFromOperator.java,
	libraries/javalib/javax/print/attribute/standard/JobName.java,
	libraries/javalib/javax/print/attribute/standard/JobOriginatingUserName.java,
	libraries/javalib/javax/print/attribute/standard/JobPriority.java,
	libraries/javalib/javax/print/attribute/standard/JobPrioritySupported.java,
	libraries/javalib/javax/print/attribute/standard/JobSheets.java,
	libraries/javalib/javax/print/attribute/standard/JobState.java,
	libraries/javalib/javax/print/attribute/standard/JobStateReason.java,
	libraries/javalib/javax/print/attribute/standard/JobStateReasons.java,
	libraries/javalib/javax/print/attribute/standard/Media.java,
	libraries/javalib/javax/print/attribute/standard/MultipleDocumentHandling.java,
	libraries/javalib/javax/print/attribute/standard/NumberOfDocuments.java,
	libraries/javalib/javax/print/attribute/standard/NumberOfInterveningJobs.java,
	libraries/javalib/javax/print/attribute/standard/NumberUp.java,
	libraries/javalib/javax/print/attribute/standard/NumberUpSupported.java,
	libraries/javalib/javax/print/attribute/standard/OrientationRequested.java,
	libraries/javalib/javax/print/attribute/standard/OutputDeviceAssigned.java,
	libraries/javalib/javax/print/attribute/standard/PDLOverrideSupported.java,
	libraries/javalib/javax/print/attribute/standard/PageRanges.java,
	libraries/javalib/javax/print/attribute/standard/PagesPerMinute.java,
	libraries/javalib/javax/print/attribute/standard/PagesPerMinuteColor.java,
	libraries/javalib/javax/print/attribute/standard/PrintQuality.java,
	libraries/javalib/javax/print/attribute/standard/PrinterInfo.java,
	libraries/javalib/javax/print/attribute/standard/PrinterIsAcceptingJobs.java,
	libraries/javalib/javax/print/attribute/standard/PrinterLocation.java,
	libraries/javalib/javax/print/attribute/standard/PrinterMakeAndModel.java,
	libraries/javalib/javax/print/attribute/standard/PrinterMessageFromOperator.java,
	libraries/javalib/javax/print/attribute/standard/PrinterMoreInfo.java,
	libraries/javalib/javax/print/attribute/standard/PrinterMoreInfoManufacturer.java,
	libraries/javalib/javax/print/attribute/standard/PrinterName.java,
	libraries/javalib/javax/print/attribute/standard/PrinterStateReason.java,
	libraries/javalib/javax/print/attribute/standard/PrinterStateReasons.java,
	libraries/javalib/javax/print/attribute/standard/PrinterURI.java,
	libraries/javalib/javax/print/attribute/standard/ReferenceUriSchemesSupported.java,
	libraries/javalib/javax/print/attribute/standard/RequestingUserName.java:
	Resynced with GNU Classpath.

	2004-10-20  Michael Koch  <konqueror@gmx.de>

        * javax/print/attribute/standard/ColorSupported.java,
        javax/print/attribute/standard/Compression.java,
        javax/print/attribute/standard/Copies.java,
        javax/print/attribute/standard/CopiesSupported.java,
        javax/print/attribute/standard/DateTimeAtCompleted.java,
        javax/print/attribute/standard/DateTimeAtCreation.java,
        javax/print/attribute/standard/DateTimeAtProcessing.java,
        javax/print/attribute/standard/DocumentName.java,
        javax/print/attribute/standard/Fidelity.java,
        javax/print/attribute/standard/Finishings.java,
        javax/print/attribute/standard/JobHoldUntil.java,
        javax/print/attribute/standard/JobImpressions.java,
        javax/print/attribute/standard/JobImpressionsCompleted.java,
        javax/print/attribute/standard/JobImpressionsSupported.java,
        javax/print/attribute/standard/JobKOctets.java,
        javax/print/attribute/standard/JobKOctetsProcessed.java,
        javax/print/attribute/standard/JobKOctetsSupported.java,
        javax/print/attribute/standard/JobMediaSheets.java,
        javax/print/attribute/standard/JobMediaSheetsCompleted.java,
        javax/print/attribute/standard/JobMediaSheetsSupported.java,
        javax/print/attribute/standard/JobMessageFromOperator.java,
        javax/print/attribute/standard/JobName.java,
        javax/print/attribute/standard/JobOriginatingUserName.java,
        javax/print/attribute/standard/JobPriority.java,
        javax/print/attribute/standard/JobPrioritySupported.java,
        javax/print/attribute/standard/JobSheets.java,
        javax/print/attribute/standard/JobState.java,
        javax/print/attribute/standard/JobStateReason.java,
        javax/print/attribute/standard/JobStateReasons.java,
        javax/print/attribute/standard/Media.java,
        javax/print/attribute/standard/MultipleDocumentHandling.java,
        javax/print/attribute/standard/NumberOfDocuments.java,
        javax/print/attribute/standard/NumberOfInterveningJobs.java,
        javax/print/attribute/standard/NumberUp.java,
        javax/print/attribute/standard/NumberUpSupported.java,
        javax/print/attribute/standard/OrientationRequested.java,
        javax/print/attribute/standard/OutputDeviceAssigned.java,
        javax/print/attribute/standard/PDLOverrideSupported.java,
        javax/print/attribute/standard/PageRanges.java,
        javax/print/attribute/standard/PagesPerMinute.java,
        javax/print/attribute/standard/PagesPerMinuteColor.java,
        javax/print/attribute/standard/PrintQuality.java,
        javax/print/attribute/standard/PrinterInfo.java,
        javax/print/attribute/standard/PrinterIsAcceptingJobs.java,
        javax/print/attribute/standard/PrinterLocation.java,
        javax/print/attribute/standard/PrinterMakeAndModel.java,
        javax/print/attribute/standard/PrinterMessageFromOperator.java,
        javax/print/attribute/standard/PrinterMoreInfo.java,
        javax/print/attribute/standard/PrinterMoreInfoManufacturer.java,
        javax/print/attribute/standard/PrinterName.java,
        javax/print/attribute/standard/PrinterStateReason.java,
        javax/print/attribute/standard/PrinterStateReasons.java,
        javax/print/attribute/standard/PrinterURI.java,
        javax/print/attribute/standard/ReferenceUriSchemesSupported.java,
        javax/print/attribute/standard/RequestingUserName.java:
        Reorganized imports and removed redundant final modifiers.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/imageio/spi/ImageReaderSpi.java,
	libraries/javalib/javax/imageio/spi/ImageWriterSpi.java:
	Resynced with GNU Classpath.

	2004-10-20  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/spi/ImageReaderSpi.java
        (isOwnReader): New method.
        * javax/imageio/spi/ImageWriterSpi.java
        (isOwnWriter): Likewise.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/security/auth/login/NullConfiguration.java,
	libraries/javalib/javax/security/auth/x500/X500Principal.java,
	libraries/javalib/javax/security/cert/X509Certificate.java,
	libraries/javalib/javax/security/sasl/AuthenticationException.java,
	libraries/javalib/javax/security/sasl/AuthorizeCallback.java,
	libraries/javalib/javax/security/sasl/RealmCallback.java,
	libraries/javalib/javax/security/sasl/RealmChoiceCallback.java,
	libraries/javalib/javax/security/sasl/Sasl.java,
	libraries/javalib/javax/security/sasl/SaslClient.java,
	libraries/javalib/javax/security/sasl/SaslClientFactory.java,
	libraries/javalib/javax/security/sasl/SaslException.java,
	libraries/javalib/javax/security/sasl/SaslServer.java,
	libraries/javalib/javax/security/sasl/SaslServerFactory.java:
	Resynced with GNU Classpath.

	2004-10-20  Michael Koch  <konqueror@gmx.de>

        * javax/security/sasl/SaslClient.java,
        javax/security/sasl/SaslClientFactory.java,
        javax/security/sasl/SaslException.java,
        javax/security/sasl/SaslServer.java,
        javax/security/sasl/SaslServerFactory.java:
        Remvoed CVS tags.

	2004-10-20  Michael Koch  <konqueror@gmx.de>

        * javax/security/auth/login/NullConfiguration.java,
        javax/security/auth/x500/X500Principal.java,
        javax/security/cert/X509Certificate.java,
        javax/security/sasl/AuthenticationException.java,
        javax/security/sasl/AuthorizeCallback.java,
        javax/security/sasl/RealmCallback.java,
        javax/security/sasl/RealmChoiceCallback.java,
        javax/security/sasl/Sasl.java,
        javax/security/sasl/SaslClient.java,
        javax/security/sasl/SaslClientFactory.java,
        javax/security/sasl/SaslException.java,
        javax/security/sasl/SaslServer.java,
        javax/security/sasl/SaslServerFactory.java:
        Cleaned up import statements and copyright notices.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/imageio/ImageWriter.java,
	libraries/javalib/javax/imageio/stream/FileCacheImageInputStream.java:
	Resynced with GNU Classpath.

	2004-10-20  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/ImageWriter.java
        (convertImageMetadata): New abstract method.
        (convertStreamMetadata): Likewise.
        (write): Likewise.
        * javax/imageio/stream/FileCacheImageInputStream.java
        (close): Fixed setting of stream to null.
        (checkStreamClosed): Throws IOException.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/rmi/rmic/RMIC.java:
	Resynced with GNU Classpath.

	2004-10-20  Michael Koch  <konqueror@gmx.de>

        * gnu/java/rmi/rmic/RMIC.java: Reformatted.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/imageio/stream/FileCacheImageInputStream.java,
	libraries/javalib/javax/imageio/stream/FileCacheImageOutputStream.java,
	libraries/javalib/javax/imageio/stream/FileImageInputStream.java,
	libraries/javalib/javax/imageio/stream/FileImageOutputStream.java,
	libraries/javalib/javax/imageio/stream/MemoryCacheImageInputStream.java,
	libraries/javalib/javax/imageio/stream/MemoryCacheImageOutputStream.java:
	New files taken from GNU Classpath.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	2004-10-20  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/stream/FileCacheImageInputStream.java,
        javax/imageio/stream/FileCacheImageOutputStream.java,
        javax/imageio/stream/FileImageInputStream.java,
        javax/imageio/stream/FileImageOutputStream.java,
        javax/imageio/stream/MemoryCacheImageInputStream.java,
        javax/imageio/stream/MemoryCacheImageOutputStream.java:
        New files.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/io/File.java,
	libraries/javalib/java/sql/Timestamp.java,
	libraries/javalib/java/text/AttributedCharacterIterator.java,
	libraries/javalib/java/text/AttributedString.java,
	libraries/javalib/java/util/zip/CheckedOutputStream.java,
	libraries/javalib/java/util/zip/GZIPInputStream.java,
	libraries/javalib/javax/crypto/Cipher.java,
	libraries/javalib/javax/crypto/ExemptionMechanismException.java,
	libraries/javalib/javax/crypto/SecretKey.java,
	libraries/javalib/javax/crypto/SecretKeyFactory.java,
	libraries/javalib/javax/naming/directory/ModificationItem.java,
	libraries/javalib/javax/naming/directory/SearchControls.java,
	libraries/javalib/javax/naming/event/NamingListener.java,
	libraries/javalib/javax/naming/ldap/Control.java,
	libraries/javalib/javax/naming/ldap/ExtendedResponse.java,
	libraries/javalib/javax/net/ssl/SSLSocketFactory.java:
	Resynced with GNU Classpath.

	2004-10-20  Michael Koch  <konqueror@gmx.de>

        * java/io/File.java:
        Fixed @author tag to be HTML compatible.
        * java/sql/Timestamp.java,
        java/text/AttributedCharacterIterator.java,
        java/text/AttributedString.java,
        java/util/zip/CheckedOutputStream.java,
        java/util/zip/DeflaterOutputStream.java,
        java/util/zip/GZIPInputStream.java,
        java/util/zip/ZipFile.java,
        javax/crypto/Cipher.java,
        javax/crypto/ExemptionMechanismException.java,
        javax/crypto/SecretKey.java,
        javax/crypto/SecretKeyFactory.java,
        javax/naming/directory/ModificationItem.java,
        javax/naming/directory/SearchControls.java,
        javax/naming/event/NamingListener.java,
        javax/naming/ldap/Control.java,
        javax/naming/ldap/ExtendedResponse.java,
        javax/net/ssl/SSLSocketFactory.java:
        Reorganized imports and fixed copyright headers.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/logging/ConsoleHandler.java,
	libraries/javalib/java/util/logging/ErrorManager.java,
	libraries/javalib/java/util/logging/FileHandler.java,
	libraries/javalib/java/util/logging/Filter.java,
	libraries/javalib/java/util/logging/Formatter.java,
	libraries/javalib/java/util/logging/Handler.java,
	libraries/javalib/java/util/logging/Level.java,
	libraries/javalib/java/util/logging/LogManager.java,
	libraries/javalib/java/util/logging/LogRecord.java,
	libraries/javalib/java/util/logging/Logger.java,
	libraries/javalib/java/util/logging/LoggingPermission.java,
	libraries/javalib/java/util/logging/MemoryHandler.java,
	libraries/javalib/java/util/logging/SimpleFormatter.java,
	libraries/javalib/java/util/logging/SocketHandler.java,
	libraries/javalib/java/util/logging/StreamHandler.java,
	libraries/javalib/java/util/logging/XMLFormatter.java:
	Resynced with GNU Classpath.

	2004-10-20  Michael Koch  <konqueror@gmx.de>

        * java/util/logging/ConsoleHandler.java,
        java/util/logging/ErrorManager.java,
        java/util/logging/FileHandler.java,
        java/util/logging/Filter.java,
        java/util/logging/Formatter.java,
        java/util/logging/Handler.java,
        java/util/logging/Level.java,
        java/util/logging/LogManager.java,
        java/util/logging/LogRecord.java,
        java/util/logging/Logger.java,
        java/util/logging/LoggingPermission.java,
        java/util/logging/MemoryHandler.java,
        java/util/logging/SimpleFormatter.java,
        java/util/logging/SocketHandler.java,
        java/util/logging/StreamHandler.java,
        java/util/logging/XMLFormatter.java:
        Standardized copyrigth header.

2004-10-23  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/security/Identity.java:
	Replaced by implementation from GNU Classpath.

	* libraries/javalib/java/security/AlgorithmParameterGenerator.java,
	libraries/javalib/java/security/AlgorithmParameters.java,
	libraries/javalib/java/security/DigestInputStream.java,
	libraries/javalib/java/security/KeyFactory.java,
	libraries/javalib/java/security/KeyPairGenerator.java,
	libraries/javalib/java/security/KeyStore.java,
	libraries/javalib/java/security/MessageDigest.java,
	libraries/javalib/java/security/MessageDigestSpi.java,
	libraries/javalib/java/security/Policy.java,
	libraries/javalib/java/security/SecureRandom.java,
	libraries/javalib/java/security/Security.java,
	libraries/javalib/java/security/Signature.java,
	libraries/javalib/java/security/SignatureSpi.java,
	libraries/javalib/java/security/cert/CertPathBuilder.java,
	libraries/javalib/java/security/cert/CertPathValidator.java,
	libraries/javalib/java/security/cert/CertStore.java,
	libraries/javalib/java/security/cert/Certificate.java,
	libraries/javalib/java/security/cert/CertificateFactory.java,
	libraries/javalib/java/security/cert/PolicyQualifierInfo.java,
	libraries/javalib/java/security/cert/TrustAnchor.java,
	libraries/javalib/java/security/cert/X509CRL.java,
	libraries/javalib/java/security/cert/X509CRLEntry.java,
	libraries/javalib/java/security/cert/X509Certificate.java,
	libraries/javalib/java/security/spec/RSAMultiPrimePrivateCrtKeySpec.java:
	Resynced with GNU Classpath.

	2004-10-20  Michael Koch  <konqueror@gmx.de>

        * java/security/AlgorithmParameterGenerator.java,
        java/security/AlgorithmParameters.java,
        java/security/DigestInputStream.java,
        java/security/Identity.java,
        java/security/KeyFactory.java,
        java/security/KeyPairGenerator.java,
        java/security/KeyStore.java,
        java/security/MessageDigest.java,
        java/security/MessageDigestSpi.java,
        java/security/Policy.java,
        java/security/SecureRandom.java,
        java/security/Security.java,
        java/security/Signature.java,
        java/security/SignatureSpi.java,
        java/security/cert/CertPathBuilder.java,
        java/security/cert/CertPathValidator.java,
        java/security/cert/CertStore.java,
        java/security/cert/Certificate.java,
        java/security/cert/CertificateFactory.java,
        java/security/cert/PolicyQualifierInfo.java,
        java/security/cert/TrustAnchor.java,
        java/security/cert/X509CRL.java,
        java/security/cert/X509CRLEntry.java,
        java/security/cert/X509Certificate.java,
        java/security/spec/RSAMultiPrimePrivateCrtKeySpec.java:
        Import statements reorganized, some little formatting issues,
        used java-style array declarations, added comments in empty catch
        blocks.

2004-10-22  Eric Anholt  <eta@lclark.edu>

	* config/alpha/threads.h,
	config/arm/threads.h,
	config/i386/threads.h,
	config/ia64/threads.h,
	config/m68k/threads.h,
	config/mips/threads.h,
	config/mips/ultrix4/md.h,
	config/parisc/threads.h,
	config/powerpc/threads.h,
	config/s390/threads.h,
	config/sh/threads.h,
	config/sparc/threads.h,
	config/x86_64/threads.h:
	(USE_INTERNAL_THREADS) Removed, since it's unused.

2004-10-22  Eric Anholt  <eta@lclark.edu>

	* kaffe/kaffevm/verifier/verify3a.c:
	Added missing includes.

2004-10-22  Eric Anholt  <eta@lclark.edu>

	* kaffe/kaffevm/support.h (replacechar): It's defined only 
	statically, so removed from public header.

2004-10-22  Eric Anholt  <eta@lclark.edu>

	* kaffe/kaffevm/stackTrace.c,
	kaffe/kaffevm/stackTrace.h:
	Made printStackTrace an exported function.

2004-10-22  Noa Resare  <noa@resare.com>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c:
	Move KaffeVM_unlinkNativeAndJavaThread() to after KGC_rmRef()

2004-10-22  Eric Anholt  <eta@lclark.edu>

	* libraries/clib/native/Double.c,
	libraries/clib/native/Float.c:
	(toCharArrayWithPrecision): Added len parameter.
	Use snprintf instead of sprintf. Take care not to
	erase last decimal digit if necessary. 
	(java_lang_Double_toStringWithPrecision,
	java_lang_Float_toStringWithPrecision) Make sure 
	that max_precision is always smaller than MAXNUMLEN.
	Pass buffer length to toCharArrayWithPrecision.

2004-10-22  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libraries/javalib/kaffe/io/CharToByteConverter.java,
	libraries/javalib/kaffe/io/ByteToCharConverter.java:
	(getConverterInternal) Continue if getByteToCharIconv returns null.

2004-10-21  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/gc.h:
	(GarbageCollectorInterface_Ops) Added getHeapFree.
	(KGC_getHeapFree) New macro.

	* kaffe/kaffevm/boehm-gc/gc2.c:
	(KaffeGC_HeapFree) New static function.
	(GarbageCollectorInterface_) Added KaffeGC_HeapFree.

	* kaffe/kaffevm/kaffe-gc/gc-incremental.c:
	(gcGetHeapFree) New static function.
	(GarbageCollectorInterface_) Added gcGetHeapFree.

	* libraries/clib/native/Runtime.c:
	(java_lang_Runtime_freeMemory) Use KGC_getHeapFree.
	(java_lang_Runtime_maxMemory) Return Long.MAX_VALUE if
	memory is unlimited.

	Reported by:  Matthew Toseland <mtoseland@blueyonder.co.uk>

2004-10-21  Dalibor Topic  <robilad@kaffe.org>

	* README: Added ports to x86_64-freebsd and
	i386-darwin.

2004-10-21  Eric Anholt  <eta@lclark.edu>

	* config/x86_64/freebsd2/config.frag,
	config/x86_64/freebsd2/md.c,
	config/x86_64/freebsd2/md.h:
	Added port to amd64-freebsd.

2004-10-21  Eric Anholt  <eta@lclark.edu>

	* kaffe/kaffevm/intrp/methodcalls.c:
	Added missing extern.h include to fix crash on amd64.

2004-10-21  Eric Anholt  <eta@lclark.edu>

	* config/config.alias:
	Added amd64 alias for x86-64.

2004-10-20  Dalibor Topic  <robilad@kaffe.org>

	* tools/gjdoc/javalib/doctranslets/html/allclasses.xsl,
	tools/gjdoc/javalib/doctranslets/html/allpackages.xsl,
	tools/gjdoc/javalib/doctranslets/html/classdoc.xsl,
	tools/gjdoc/javalib/doctranslets/html/descriptor.xsl,
	tools/gjdoc/javalib/doctranslets/html/doctranslet.xsl,
	tools/gjdoc/javalib/doctranslets/html/fulltree.xsl,
	tools/gjdoc/javalib/doctranslets/html/gjdoc.xsl,
	tools/gjdoc/javalib/doctranslets/html/index.xsl,
	tools/gjdoc/javalib/doctranslets/html/index_noframes.xsl,
	tools/gjdoc/javalib/doctranslets/html/packageclasses.xsl,
	tools/gjdoc/javalib/doctranslets/html/packagedoc.xsl,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/ClassDocProxy.java,
	tools/gjdoc/javalib/gnu/classpath/tools/gjdoc/SerialFieldTagImpl.java:
	Resynced with gjdoc.

	2004-10-11  Arnaud Vandyck <avdyk@gnu.org>

        * src/gnu/classpath/tools/gjdoc/ClassDocProxy: removed unnecessary
        assignation (see patch#1964 at Savannah's cp-tools project).
        * src/gnu/classpath/tools/gjdoc/SerialFieldTagImpl: added not null
        test against fieldName, fieldType and description.
        * src/resources/doctranslets/html/allclasses.xsl, allpackages.xsl,
        classdoc.xsl, descriptor.xsl, doctranslet.xsl, fulltree.xsl,
        gjdoc.xsl, index.xsl, index_noframes.xsl, packageclasses.xsl,
        packagedoc.xsl: I18n patch by Takashi Okamoto (see patch#3013 at
        Savannah's cp-tools project) (it's utf-8, not utf8).

2004-10-20  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/xml/xpath/XPathParser.y:
	New file taken from GNU JAXP.

	* libraries/javalib/gnu/xml/dom/DomXPathExpression.java,
	libraries/javalib/gnu/xml/dom/DomXPathResult.java,
	libraries/javalib/gnu/xml/xpath/Expr.java,
	libraries/javalib/gnu/xml/xpath/FunctionCall.java,
	libraries/javalib/gnu/xml/xpath/Index.java,
	libraries/javalib/gnu/xml/xpath/NameTest.java,
	libraries/javalib/gnu/xml/xpath/XPathParser.java,
	libraries/javalib/gnu/xml/xpath/XPathTokenizer.java:
	Resynced with GNU JAXP.

	2004-10-18  Chris Burdess  <dog@gnu.org>

        * xpath: Number parsing fixes.

	2004-10-17  Chris Burdess  <dog@gnu.org>

        * xpath: XPath function calls.

	2004-10-18  Dalibor Topic  <robilad@kaffe.org>

       * sources/gnu/xml/xpath/Index.java: Added missing include.
          (toString) Convert left and right hand side to strings
          explicitely.

2004-10-20  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/gc.h
	(KGC_ALLOC_STATIC_THREADDATA): New type.

	* kaffe/kaffevm/gcFuncs.c
	(initCollector): KGC_ALLOC_THREADCTX is now collectable. Register
	KGC_ALLOC_STATIC_THREADDATA.

	* kaffe/kaffevm/ksem.c
	(ksemGet): Doxified ksemGet.

	* kaffe/kaffevm/thread.c
	(thread_start_lock): Removed.
	(createThread): Take the argument of the thread.
	(startThread, createDaemon):
	Use directly ksems to handle the start synchronization.
	(startSpecialThread, firstStartThread): Updated the start
	synchronization to use ksem (retrieve the creating thread from the
	arguments).
	(initNativeThreads): Pass a pointer to the global garbage
	collector directly.

	Synchronization problem reported by Helmer Kraemer
	<hkraemer@freenet.de>.
	
	* kaffe/kaffevm/systems/unix-jthreads/jthread.c
	(threadCollector): New reference to the collector to use for
	thread handling.
	(allocator, deallocator): Removed.
	(newThreadCtx): Use the collector to allocate the thread context
	and add a static reference to it.
	(jthread_destroy): Remove the static reference to the thread
	context.
	(thread_static_allocator, thread_static_free, thread_reallocator):
	Fixed memory block allocators.
	(jthread_init): Updated prototype.
	Removed various warnings.

	* kaffe/kaffevm/systems/unix-jthreads/jthread.h
	(jthread_init): Updated prototype.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(threadCollector): New reference to the collector to use for
	thread handling.
	(threadDestructor): Handle thread destruction advertising.
	(thread_malloc): Allocate a collectable memory region.
	(tSetupFirstNative, jthread_create): Add a static reference to the
	thread context.
	(jthread_init): Updated prototype.
	(tRun): Signal thread destruction.
	(tDispose): Do not free explicitly the thread context, just delete
	the reference to it.

	* kaffe/kaffevm/systems/unix-pthreads/thread-internal.h
	(jthread_init): Updated prototype.
	
2004-10-20  Helmer Kraemer  <hkraemer@freenet.de>

	* config/arm/sysdepCallMethod.h (sysdepCallMethod): fix
	asm statement for soft float

2004-10-20  Timothy S. Stack <stack@cs.utah.edu>

	* FAQ/FAQ.debugging: Added information for
	manually running the jit tests.

2004-10-19  Helmer Kraemer  <hkraemer@freenet.de>

	* config/arm/sysdepCallMethod.h
	(sysdepCallMethod) Use f0 only if we're not using
	soft-float. Fixes ICE in gcc.

	Reported by:  Jari Korva <jpkorva@iki.fi>

2004-10-18  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/text/RuleBasedCollator.java:
        Resynced with GNU Classpath.

	2004-10-18  Michael Koch  <konqueror@gmx.de>

        * java/text/RuleBasedCollator.java:
        Reorganized import statements.

2004-10-18  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/gnu/xml/dom/DomXPathResult.java,
	libraries/javalib/gnu/xml/xpath/AndExpr.java,
	libraries/javalib/gnu/xml/xpath/ArithmeticExpr.java,
	libraries/javalib/gnu/xml/xpath/Constant.java,
	libraries/javalib/gnu/xml/xpath/EqualityExpr.java,
	libraries/javalib/gnu/xml/xpath/Expr.java,
	libraries/javalib/gnu/xml/xpath/ExpressionTest.java,
	libraries/javalib/gnu/xml/xpath/FunctionCall.java,
	libraries/javalib/gnu/xml/xpath/Index.java,
	libraries/javalib/gnu/xml/xpath/NameTest.java,
	libraries/javalib/gnu/xml/xpath/NegativeExpr.java,
	libraries/javalib/gnu/xml/xpath/NodeTypeTest.java,
	libraries/javalib/gnu/xml/xpath/OrExpr.java,
	libraries/javalib/gnu/xml/xpath/ParenthesizedExpr.java,
	libraries/javalib/gnu/xml/xpath/RelationalExpr.java,
	libraries/javalib/gnu/xml/xpath/Root.java,
	libraries/javalib/gnu/xml/xpath/Selector.java,
	libraries/javalib/gnu/xml/xpath/Step.java,
	libraries/javalib/gnu/xml/xpath/Test.java,
	libraries/javalib/gnu/xml/xpath/UnionExpr.java,
	libraries/javalib/gnu/xml/xpath/XPathParser.java,
	libraries/javalib/gnu/xml/xpath/XPathTokenizer.java:
	New files taken from GNU JAXP.

	* libraries/javalib/META-INF/MANIFEST.MF,
	libraries/javalib/gnu/xml/aelfred2/SAXDriver.java,
	libraries/javalib/gnu/xml/dom/DomImpl.java,
	libraries/javalib/gnu/xml/dom/DomXPathExpression.java,
	libraries/javalib/org/xml/sax/SAXNotRecognizedException.java,
	libraries/javalib/org/xml/sax/SAXNotSupportedException.java:
	Resynced with GNU JAXP.

	2004-10-13  Arnaud Vandyck  <avdyk@gnu.org>

        Reported by John Kristian <jk2004@engineer.com>:
        * manifest.mf: added Implementation Version field.

	2004-10-17  Chris Burdess  <dog@gnu.org>

        * xpath: Added experimental XPath 1.0 engine.

2004-10-18  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/security/provider/DSAParameters.java:
        Resynced with GNU Classpath.

	2004-10-18  Michael Koch  <konqueror@gmx.de>

        * gnu/java/security/provider/DSAParameters.java:
        Fixed copyright years.

2004-10-18  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/util/Calendar.java,
	libraries/javalib/java/util/Date.java,
	libraries/javalib/java/util/GregorianCalendar.java:
	Resynced with GNU Classpath.

	2004-10-17  Jeroen Frijters  <jeroen@frijters.net>

        * java/util/Calendar.java
        (setTimeInMillis): Added call to clear, removed computeFields call.
        * java/util/Date.java
        (Date(int,int,int,int,int,int)): Removed workaround for
        GregorianCalendar bug.
        * java/util/GregorianCalendar.java
        (GregorianCalendar): Chained all constructors to a (new)
        common constructor.
        (computeTime): Fixed support for lenient month treatment.
        (getLinearDay): Return long instead of int.
        (calculateDay): Added fields argument and changed day argument
        to long.

2004-10-18  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/thread.c
	(firstStartThread, createThread): Improved thread start
	synchronization.
	(createDaemon): Switched linkNativeAndJavaThread with waitStaticCond
	to prevent inconsistencies. 
	(Reported by Helmer Kraemer <hkraemer@freenet.de>)

2004-10-17  Dalibor Topic  <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(tDump): Fixed format warning.
	(tWatchdogRun): Made static.

2004-10-17  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/crypto/jce/key/AnubisSecretKeyFactoryImpl.java,
	libraries/javalib/gnu/crypto/jce/key/BlowfishSecretKeyFactoryImpl.java,
	libraries/javalib/gnu/crypto/jce/key/Cast5SecretKeyFactoryImpl.java,
	libraries/javalib/gnu/crypto/jce/key/DESSecretKeyFactoryImpl.java,
	libraries/javalib/gnu/crypto/jce/key/DESedeSecretKeyFactoryImpl.java,
	libraries/javalib/gnu/crypto/jce/key/KhazadSecretKeyFactoryImpl.java,
	libraries/javalib/gnu/crypto/jce/key/RijndaelSecretKeyFactoryImpl.java,
	libraries/javalib/gnu/crypto/jce/key/SecretKeyFactoryImpl.java,
	libraries/javalib/gnu/crypto/jce/key/SerpentSecretKeyFactoryImpl.java,
	libraries/javalib/gnu/crypto/jce/key/SquareSecretKeyFactoryImpl.java,
	libraries/javalib/gnu/crypto/jce/key/TwofishSecretKeyFactoryImpl.java,
	libraries/javalib/gnu/crypto/jce/mac/OMacAnubisImpl.java,
	libraries/javalib/gnu/crypto/jce/mac/OMacBlowfishImpl.java,
	libraries/javalib/gnu/crypto/jce/mac/OMacCast5Impl.java,
	libraries/javalib/gnu/crypto/jce/mac/OMacDESImpl.java,
	libraries/javalib/gnu/crypto/jce/mac/OMacKhazadImpl.java,
	libraries/javalib/gnu/crypto/jce/mac/OMacRijndaelImpl.java,
	libraries/javalib/gnu/crypto/jce/mac/OMacSerpentImpl.java,
	libraries/javalib/gnu/crypto/jce/mac/OMacSquareImpl.java,
	libraries/javalib/gnu/crypto/jce/mac/OMacTripleDESImpl.java,
	libraries/javalib/gnu/crypto/jce/mac/OMacTwofishImpl.java,
	libraries/javalib/gnu/crypto/prng/Fortuna.java,
	libraries/javalib/gnu/crypto/prng/RandomEvent.java,
	libraries/javalib/gnu/crypto/prng/RandomEventListener.java:
	New files taken from GNU Crypto.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/gnu/crypto/Registry.java,
	libraries/javalib/gnu/crypto/auth/callback/GnuCallbacks.java,
	libraries/javalib/gnu/crypto/hash/BaseHash.java,
	libraries/javalib/gnu/crypto/hash/IMessageDigest.java,
	libraries/javalib/gnu/crypto/jce/GnuCrypto.java,
	libraries/javalib/gnu/crypto/jce/mac/HMacMD2Spi.java,
	libraries/javalib/gnu/crypto/jce/mac/HMacMD4Spi.java,
	libraries/javalib/gnu/crypto/jce/mac/HMacMD5Spi.java,
	libraries/javalib/gnu/crypto/jce/mac/HMacRipeMD128Spi.java,
	libraries/javalib/gnu/crypto/jce/mac/HMacRipeMD160Spi.java,
	libraries/javalib/gnu/crypto/jce/mac/HMacSHA160Spi.java,
	libraries/javalib/gnu/crypto/jce/mac/HMacSHA256Spi.java,
	libraries/javalib/gnu/crypto/jce/mac/HMacSHA384Spi.java,
	libraries/javalib/gnu/crypto/jce/mac/HMacSHA512Spi.java,
	libraries/javalib/gnu/crypto/jce/mac/HMacWhirlpoolSpi.java,
	libraries/javalib/gnu/crypto/jce/mac/MacAdapter.java,
	libraries/javalib/gnu/crypto/jce/mac/TMMH16Spi.java,
	libraries/javalib/gnu/crypto/jce/mac/UHash32Spi.java,
	libraries/javalib/gnu/crypto/jce/mac/UMac32Spi.java,
	libraries/javalib/gnu/crypto/mac/BaseMac.java,
	libraries/javalib/gnu/crypto/mac/HMac.java,
	libraries/javalib/gnu/crypto/mac/HMacFactory.java,
	libraries/javalib/gnu/crypto/mac/IMac.java,
	libraries/javalib/gnu/crypto/mac/MacFactory.java,
	libraries/javalib/gnu/crypto/mac/MacInputStream.java,
	libraries/javalib/gnu/crypto/mac/MacOutputStream.java,
	libraries/javalib/gnu/crypto/mac/OMAC.java,
	libraries/javalib/gnu/crypto/mac/TMMH16.java,
	libraries/javalib/gnu/crypto/mac/UHash32.java,
	libraries/javalib/gnu/crypto/mac/UMac32.java,
	libraries/javalib/gnu/crypto/mode/EAX.java,
	libraries/javalib/gnu/crypto/pad/SSL3.java,
	libraries/javalib/gnu/crypto/prng/ARCFour.java,
	libraries/javalib/gnu/crypto/prng/BasePRNG.java,
	libraries/javalib/gnu/crypto/prng/CSPRNG.java,
	libraries/javalib/gnu/crypto/prng/EntropySource.java,
	libraries/javalib/gnu/crypto/prng/ICMGenerator.java,
	libraries/javalib/gnu/crypto/prng/IPBE.java,
	libraries/javalib/gnu/crypto/prng/IRandom.java,
	libraries/javalib/gnu/crypto/prng/LimitReachedException.java,
	libraries/javalib/gnu/crypto/prng/MDGenerator.java,
	libraries/javalib/gnu/crypto/prng/PBKDF2.java,
	libraries/javalib/gnu/crypto/prng/PRNGFactory.java,
	libraries/javalib/gnu/crypto/prng/UMacGenerator.java:
	Resynced with GNU Crypto.

	* libraries/javalib/org/metastatic/jessie/provider/SSLRandom.java,
	libraries/javalib/org/metastatic/jessie/provider/SynchronizedRandom.java,
	libraries/javalib/org/metastatic/jessie/provider/TLSRandom.java:
	Adapted for GNU Classspath IRandom fixes.

	2004-10-12  Casey Marshall  <csm@gnu.org>

        * source/gnu/crypto/auth/callback/GnuCallbacks.java
        (<init>): don't reference AWT callbacks statically.

        * source/gnu/crypto/mac/TMMH16.java
        (<init>): removed copying constructor.
        (clone): removed.

        * build.xml: added gcjlib targets.

	2004-10-11  Casey Marshall  <csm@gnu.org>

        * source/gnu/crypto/jce/GnuCrypto.java
        (<init>): added more Hmac aliases.

	2004-10-10  Casey Marshall  <csm@gnu.org>

        * source/gnu/crypto/jce/GnuCrypto.java
        (<init>): added SecretKeyFactoryImpl classes; Hmac aliases.
        * source/gnu/crypto/jce/mac/MacAdapter.java: implement Cloneable.
        (<init>): removed 'copying' constructor.
        (clone): call 'super.clone'; declare to throw
        CloneNotSupportedException.
        * source/gnu/crypto/mac/BaseMac.java
        (clone): implemented using 'Object.clone'.
        * source/gnu/crypto/mac/HMac.java: implement Cloneable.
        (clone): removed.
        * source/gnu/crypto/mac/IMac.java: don't extend Cloneable.
        (clone): declare to throw CloneNotSupportedException.
        * source/gnu/crypto/prng/ARCFour.java: implement Cloneable.
        (clone): removed.
        * source/gnu/crypto/prng/BasePRNG.java
        (clone): implement using 'Object.clone'.
        * source/gnu/crypto/prng/Fortuna.java
        (clone): removed.
        (Generator.clone): removed.
        * source/gnu/crypto/prng/ICMGenerator.java: implement Cloneable.
        (<init>): removed copying constructor.
        (clone): removed.
        * source/gnu/crypto/prng/IRandom.java
        (clone): declare to throw CloneNotSupportedException.
        * source/gnu/crypto/prng/MDGenerator.java: implement Cloneable.
        (<init>): removed copying constructor.
        (clone): removed.
        * source/gnu/crypto/prng/PBKDF2.java
        (clone): removed.
        * source/gnu/crypto/prng/UMacGenerator.java: implement Cloneable.
        (<init>): removed copying constructor.
        (clone): removed.
        * source/gnu/crypto/mode/EAX.java
        (<init>): don't use IMac.clone to create mac instances.

        * source/gnu/crypto/jce/key/AnubisSecretKeyFactoryImpl.java
        * source/gnu/crypto/jce/key/RijndaelSecretKeyFactoryImpl.java
        * source/gnu/crypto/jce/key/BlowfishSecretKeyFactoryImpl.java
        * source/gnu/crypto/jce/key/SecretKeyFactoryImpl.java
        * source/gnu/crypto/jce/key/Cast5SecretKeyFactoryImpl.java
        * source/gnu/crypto/jce/key/SerpentSecretKeyFactoryImpl.java
        * source/gnu/crypto/jce/key/DESSecretKeyFactoryImpl.java
        * source/gnu/crypto/jce/key/SquareSecretKeyFactoryImpl.java
        * source/gnu/crypto/jce/key/DESedeSecretKeyFactoryImpl.java
        * source/gnu/crypto/jce/key/TwofishSecretKeyFactoryImpl.java
        * source/gnu/crypto/jce/key/KhazadSecretKeyFactoryImpl.java
        New files.

	2004-08-19  Casey Marshall <csm@gnu.org>

        * source/gnu/crypto/prng/BasePRNG.java
        (nextBytes): fix bounds check. Use `while' not `do-while' loop.

	2004-08-19  Casey Marshall <csm@gnu.org>

        * source/gnu/crypto/Registry.java.in
        (FORTUNA_PRNG): new constant.
        (FORTUNA_GENERATOR_PRNG): new constant.
        * source/gnu/crypto/hash/BaseHash.java
        (update(byte[])): new method.
        * source/gnu/crypto/hash/IMessageDigest.java
        (update(byte[])): new method.
        * source/gnu/crypto/prng/BasePRNG.java
        (addRandomBytes(byte[])): new method.
        * source/gnu/crypto/prng/Fortuna.java: new file.
        * source/gnu/crypto/prng/IRandom.java
        (addRandomBytes(byte[])): new method.
        * source/gnu/crypto/prng/RandomEvent.java: new file.
        * source/gnu/crypto/prng/RandomEventListener.java: new file.

	2004-08-18  Casey Marshall <csm@gnu.org>

        * source/gnu/crypto/pad/SSL3.java
        (pad): commented out call to `PRNG.nextBytes'; this seems to cause
        `make check' to hang for some reason.
        * source/gnu/crypto/prng/CSPRNG.java
        (SPINNER_COUNT): new constant.
        (SPINNER_THREADS): new constant.
        (<clinit>): initialize `SPINNER_THREADS' along with `SPINNERS'.
        (fastPoll): use `SPINNER_COUNT'. Access Spinner.counter directly.
        (Spinner): implement Runnable; don't extend Thread.
        (Poller.run): kill-and-wait-on the process if we get an
        exception.

	2004-08-18  Casey Marshall <csm@gnu.org>

        * source/gnu/crypto/jce/GnuCrypto.java
        (<init>): use new OMac classes.
        * source/gnu/crypto/jce/mac/OMacAnubisImpl.java,
        * source/gnu/crypto/jce/mac/OMacBlowfishImpl.java,
        * source/gnu/crypto/jce/mac/OMacCast5Impl.java,
        * source/gnu/crypto/jce/mac/OMacDESImpl.java,
        * source/gnu/crypto/jce/mac/OMacImpl.java,
        * source/gnu/crypto/jce/mac/OMacKhazadImpl.java,
        * source/gnu/crypto/jce/mac/OMacRijndaelImpl.java,
        * source/gnu/crypto/jce/mac/OMacSerpentImpl.java,
        * source/gnu/crypto/jce/mac/OMacSquareImpl.java,
        * source/gnu/crypto/jce/mac/OMacTripleDESImpl.java,
        * source/gnu/crypto/jce/mac/OMacTwofishImpl.java
        new files.

2004-10-17  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/thread.c
	(startSpecialThread): Save the content of pointer_args before
	locking.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(protectThreadList, unprotectThreadList, tDump):
	In debug mode, we store the thread which is locking the thread list.
	
2004-10-16  Dalibor Topic <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkLabelPeer.java:
	Resynced with GNU Classpath.

	2004-10-16  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkButtonPeer.java,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
        (setNativeBounds): Set GtkEventBox, GtkButton and GtkLabel size
        requests.
        * gnu/java/awt/peer/gtk/GtkComponentPeer.java,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
        (setNativeBounds): Make package private.  Set size request even
        if GTK parent is NULL.
        * gnu/java/awt/peer/gtk/GtkLabelPeer.java,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GtkLabelPeer.c
        (setNativeBounds): Set GtkEventBox and GtkLabel size requests.

2004-10-16  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/rmi/RMISecurityManager.java:
	Replaced by implementation from GNU Classpath.

	* libraries/javalib/java/rmi/MarshalledObject.java,
	libraries/javalib/java/rmi/Naming.java,
	libraries/javalib/java/rmi/Remote.java,
	libraries/javalib/java/rmi/activation/Activatable.java,
	libraries/javalib/java/rmi/activation/ActivationDesc.java,
	libraries/javalib/java/rmi/activation/ActivationGroup.java,
	libraries/javalib/java/rmi/activation/ActivationGroupDesc.java,
	libraries/javalib/java/rmi/activation/ActivationGroupID.java,
	libraries/javalib/java/rmi/activation/ActivationID.java,
	libraries/javalib/java/rmi/activation/ActivationInstantiator.java,
	libraries/javalib/java/rmi/activation/ActivationMonitor.java,
	libraries/javalib/java/rmi/activation/ActivationSystem.java,
	libraries/javalib/java/rmi/activation/Activator.java,
	libraries/javalib/java/rmi/dgc/DGC.java,
	libraries/javalib/java/rmi/dgc/Lease.java,
	libraries/javalib/java/rmi/dgc/VMID.java,
	libraries/javalib/java/rmi/registry/LocateRegistry.java,
	libraries/javalib/java/rmi/registry/Registry.java,
	libraries/javalib/java/rmi/registry/RegistryHandler.java,
	libraries/javalib/java/rmi/server/LoaderHandler.java,
	libraries/javalib/java/rmi/server/LogStream.java,
	libraries/javalib/java/rmi/server/ObjID.java,
	libraries/javalib/java/rmi/server/Operation.java,
	libraries/javalib/java/rmi/server/RMIClassLoader.java,
	libraries/javalib/java/rmi/server/RMIClassLoaderSpi.java,
	libraries/javalib/java/rmi/server/RMIClientSocketFactory.java,
	libraries/javalib/java/rmi/server/RMIFailureHandler.java,
	libraries/javalib/java/rmi/server/RMIServerSocketFactory.java,
	libraries/javalib/java/rmi/server/RMISocketFactory.java,
	libraries/javalib/java/rmi/server/RemoteCall.java,
	libraries/javalib/java/rmi/server/RemoteObject.java,
	libraries/javalib/java/rmi/server/RemoteRef.java,
	libraries/javalib/java/rmi/server/RemoteServer.java,
	libraries/javalib/java/rmi/server/RemoteStub.java,
	libraries/javalib/java/rmi/server/ServerRef.java,
	libraries/javalib/java/rmi/server/Skeleton.java,
	libraries/javalib/java/rmi/server/SkeletonMismatchException.java,
	libraries/javalib/java/rmi/server/UID.java,
	libraries/javalib/java/rmi/server/UnicastRemoteObject.java,
	libraries/javalib/java/rmi/server/Unreferenced.java:
	Resynced with GNU Classpath.

	2004-10-15  Michael Koch  <konqueror@gmx.de>

        * java/rmi/activation/ActivationSystem.java
        (SYSTEM_PORT): Initialize with correct port number.

	2004-10-15  Michael Koch  <konqueror@gmx.de>

        * java/rmi/server/RemoteRef.java
        (serialVersionUID): Revert latest change to it.
        * java/rmi/server/ServerRef.java
        (serialVersionUID): Revert latest change to it.

	2004-10-15  Michael Koch  <konqueror@gmx.de>

        * java/rmi/MarshalledObject.java,
        java/rmi/Naming.java,
        java/rmi/RMISecurityManager.java,
        java/rmi/Remote.java,
        java/rmi/activation/Activatable.java,
        java/rmi/activation/ActivationDesc.java,
        java/rmi/activation/ActivationGroup.java,
        java/rmi/activation/ActivationGroupDesc.java,
        java/rmi/activation/ActivationGroupID.java,
        java/rmi/activation/ActivationID.java,
        java/rmi/activation/ActivationInstantiator.java,
        java/rmi/activation/ActivationMonitor.java,
        java/rmi/activation/ActivationSystem.java,
        java/rmi/activation/Activator.java,
        java/rmi/dgc/DGC.java,
        java/rmi/dgc/Lease.java,
        java/rmi/dgc/VMID.java,
        java/rmi/registry/LocateRegistry.java,
        java/rmi/registry/Registry.java,
        java/rmi/registry/RegistryHandler.java,
        java/rmi/server/LoaderHandler.java,
        java/rmi/server/LogStream.java,
        java/rmi/server/ObjID.java,
        java/rmi/server/Operation.java,
        java/rmi/server/RMIClassLoader.java,
        java/rmi/server/RMIClassLoaderSpi.java,
        java/rmi/server/RMIClientSocketFactory.java,
        java/rmi/server/RMIFailureHandler.java,
        java/rmi/server/RMIServerSocketFactory.java,
        java/rmi/server/RMISocketFactory.java,
        java/rmi/server/RemoteCall.java,
        java/rmi/server/RemoteObject.java,
        java/rmi/server/RemoteRef.java,
        java/rmi/server/RemoteServer.java,
        java/rmi/server/RemoteStub.java,
        java/rmi/server/ServerRef.java,
        java/rmi/server/Skeleton.java,
        java/rmi/server/SkeletonMismatchException.java,
        java/rmi/server/UID.java,
        java/rmi/server/UnicastRemoteObject.java,
        java/rmi/server/Unreferenced.java:
        Fixed file headers and import statements.

2004-10-16  Dalibor Topic <robilad@kaffe.org>

	*  libraries/javalib/java/net/InetAddress.java:
	Resynced with GNU Classpath.

	2004-10-15  Michael Koch  <konqueror@gmx.de>

        * java/net/InetAddress.java
        (InetAddress): Don't initialize address field. Its only used during
        serialization.
        (toString): Simplified.

2004-10-16  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/net/HttpURLConnection.java,
	libraries/javalib/java/net/MimeTypeMapper.java,
	libraries/javalib/java/net/NetworkInterface.java,
	libraries/javalib/java/net/PasswordAuthentication.java,
	libraries/javalib/java/net/ServerSocket.java,
	libraries/javalib/java/net/Socket.java,
	libraries/javalib/java/net/SocketPermission.java,
	libraries/javalib/java/net/URI.java,
	libraries/javalib/java/net/URL.java,
	libraries/javalib/java/net/URLStreamHandler.java:
	Resynced with GNU Classpath.

	2004-10-15  Michael Koch  <konqueror@gmx.de>

        * java/net/HttpURLConnection.java: Removed redundant parenthesis.
        * java/net/MimeTypeMapper.java: Reformatted.
        * java/net/NetworkInterface.java: Added comment to empty catch block.
        * java/net/PasswordAuthentication.java: Reformatted.
        * java/net/ServerSocket.java: Added comment to empty catch block.
        * java/net/Socket.java: Reworked import statements.
        * java/net/SocketPermission.java: Removed redundant parenthesis.
        * java/net/URI.java: Removed redundant parenthesis.
        * java/net/URL.java: Reworked import statements.
        * java/net/URLStreamHandler.java: Removed redundant semicolon.

2004-10-15  Dalibor Topic <robilad@kaffe.org>

	* libraries/clib/net/PlainDatagramSocketImpl.c:
	(gnu_java_net_PlainDatagramSocketImpl_receive0) Adapted
	to use public constructor.

	* libraries/javalib/java/net/Inet4Address.java,
	libraries/javalib/java/net/Inet6Address.java,
	libraries/javalib/java/net/InetAddress.java:
	Resynced with GNU Classpath.

	2004-10-15  Michael Koch  <konqueror@gmx.de>

        * java/net/Inet4Address.java
        (writeReplace): Use two-argument constructor of InetAddress.
        (Inet4Address): Remove unused constructors. Use two-argument
        constructor of InetAddress in remaining constructor.
        * java/net/Inet6Address.java
        (Inet6Address): Use two-argument constructor of InetAddress.
        * java/net/InetAddress.java
        (LOCALHOST): New static field to store object for localhost.
        (static): Initialize LOCALHOST.
        (hostname_alias): Removed.
        (InetAdress): Removed hostname_alias argument.
        (getHostName): Don't handle alias anymore.
        (getCanonicalHostName): New method.
        (toString): Don't handle alias anymore.
        (getByName): Simply call getAllByName() and return its first result
        entry.
        (getAllByName): Handle null argument properly.

2004-10-15  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/gnu/java/nio/charset/UTF_16Encoder.java:
        Resynced with GNU Classpath.

	2004-10-15  Michael Koch  <konqueror@gmx.de>

        * gnu/java/nio/charset/UTF_16Encoder.java
        (UTF_16Encoder): Fixed maxBytesPerChar handling.

2004-10-15  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/lang/Object.java,
	libraries/javalib/java/lang/Thread.java,
	libraries/javalib/java/lang/ThreadLocal.java:
	Resynced with GNU Classpath.

	* libraries/javalib/java/lang/Void.java:
	Replaced by implementation from GNU Classpath.

	2004-10-15  Michael Koch  <konqueror@gmx.de>

        * java/lang/Object.java (equals): Rename 'o' to 'obj'.
        * java/lang/Thread.java,
        java/lang/ThreadLocal.java, java/lang/Void.java:
        Improved javadocs to be valid XHTML.

2004-10-15  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/lang/reflect/AccessibleObject.java,
	libraries/javalib/java/lang/reflect/ReflectPermission.java:
	Resynced with GNU Classpath.

	2004-10-15  Michael Koch  <konqueror@gmx.de>

        * java/lang/reflect/AccessibleObject.java
        (checkPermission): Removed redundant final modifier.
        (secureSetAccessible): Likewise.
        * java/lang/reflect/ReflectPermission.java:
        Reorder package declaration and import statement.

2004-10-15  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/nio/ByteOrder.java,
	libraries/javalib/java/nio/MappedByteBuffer.java,
	libraries/javalib/java/nio/MappedByteBufferImpl.java,
	libraries/javalib/java/nio/channels/Channels.java,
	libraries/javalib/java/nio/channels/spi/SelectorProvider.java,
	libraries/javalib/java/nio/charset/Charset.java:
	Resynced with GNU Classpath.

	2004-10-15  Michael Koch  <konqueror@gmx.de>

        * java/nio/ByteOrder.java,
        java/nio/MappedByteBuffer.java,
        java/nio/MappedByteBufferImpl.java,
        java/nio/channels/Channels.java,
        java/nio/channels/spi/SelectorProvider.java,
        java/nio/charset/Charset.java:
        Cleanup.

2004-10-15  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/awt/image/ByteLookupTable.java,
	libraries/javalib/java/awt/image/ShortLookupTable.java:
	Resynced with GNU Classpath.

	2004-10-13  Michael Koch  <konqueror@gmx.de>

        * java/awt/image/ByteLookupTable.java
        (ByteLookupTable) :Fixed HTML entities in javadocs.
        (lookupPixel): Fix case when dst is null.
        * java/awt/image/ShortLookupTable.java
        (ShortLookupTable) :Fixed HTML entities in javadocs.
        (lookupPixel): Fix case when dst is null.

2004-10-15  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/gnu/java/awt/BitwiseXORComposite.java,
	libraries/javalib/gnu/java/awt/ClasspathToolkit.java,
	libraries/javalib/gnu/java/awt/image/XBMDecoder.java,
	libraries/javalib/gnu/java/awt/peer/GLightweightPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGlyphVector.java,
	libraries/javalib/gnu/java/net/protocol/http/Connection.java,
	libraries/javalib/gnu/java/nio/NIODatagramSocket.java,
	libraries/javalib/gnu/java/nio/ServerSocketChannelImpl.java,
	libraries/javalib/gnu/java/nio/charset/UTF_16.java,
	libraries/javalib/gnu/java/nio/charset/UTF_16BE.java,
	libraries/javalib/gnu/java/nio/charset/UTF_16LE.java,
	libraries/javalib/gnu/java/rmi/RMIMarshalledObjectOutputStream.java,
	libraries/javalib/gnu/java/rmi/rmic/RMIC.java,
	libraries/javalib/gnu/java/rmi/server/RMIHashes.java,
	libraries/javalib/gnu/java/rmi/server/RMIObjectInputStream.java,
	libraries/javalib/gnu/java/rmi/server/RMIObjectOutputStream.java,
	libraries/javalib/gnu/java/rmi/server/UnicastConnection.java,
	libraries/javalib/gnu/java/rmi/server/UnicastConnectionManager.java,
	libraries/javalib/gnu/java/rmi/server/UnicastRemoteCall.java,
	libraries/javalib/gnu/java/rmi/server/UnicastServer.java,
	libraries/javalib/gnu/java/rmi/server/UnicastServerRef.java,
	libraries/javalib/gnu/java/security/OID.java,
	libraries/javalib/gnu/java/security/provider/DSAParameters.java,
	libraries/javalib/gnu/java/security/provider/DSASignature.java,
	libraries/javalib/gnu/java/security/x509/X500DistinguishedName.java,
	libraries/javalib/gnu/java/security/x509/X509CRL.java,
	libraries/javalib/gnu/javax/rmi/PortableServer.java,
	libraries/javalib/gnu/javax/rmi/CORBA/DelegateFactory.java,
	libraries/javalib/gnu/javax/rmi/CORBA/GetDelegateInstanceException.java,
	libraries/javalib/gnu/javax/rmi/CORBA/PortableRemoteObjectDelegateImpl.java,
	libraries/javalib/gnu/javax/rmi/CORBA/StubDelegateImpl.java:
	Resynced with GNU Classpath.

	2004-10-13  Michael Koch  <konqueror@gmx.de>

        * gnu/java/awt/BitwiseXORComposite.java,
        gnu/java/awt/ClasspathToolkit.java,
        gnu/java/awt/image/XBMDecoder.java,
        gnu/java/awt/peer/GLightweightPeer.java,
        gnu/java/awt/peer/gtk/GdkGlyphVector.java,
        gnu/java/net/protocol/http/Connection.java,
        gnu/java/nio/NIODatagramSocket.java,
        gnu/java/nio/ServerSocketChannelImpl.java,
        gnu/java/nio/charset/UTF_16.java,
        gnu/java/nio/charset/UTF_16BE.java,
        gnu/java/nio/charset/UTF_16LE.java,
        gnu/java/rmi/RMIMarshalledObjectOutputStream.java,
        gnu/java/rmi/rmic/RMIC.java,
        gnu/java/rmi/server/RMIHashes.java,
        gnu/java/rmi/server/RMIObjectInputStream.java,
        gnu/java/rmi/server/RMIObjectOutputStream.java,
        gnu/java/rmi/server/UnicastConnection.java,
        gnu/java/rmi/server/UnicastConnectionManager.java,
        gnu/java/rmi/server/UnicastRemoteCall.java,
        gnu/java/rmi/server/UnicastServer.java,
        gnu/java/rmi/server/UnicastServerRef.java,
        gnu/java/security/OID.java,
        gnu/java/security/provider/DSAParameters.java,
        gnu/java/security/provider/DSASignature.java,
        gnu/java/security/x509/X500DistinguishedName.java,
        gnu/java/security/x509/X509CRL.java,
        gnu/javax/rmi/CORBA/DelegateFactory.java,
        gnu/javax/rmi/CORBA/GetDelegateInstanceException.java,
        gnu/javax/rmi/CORBA/PortableRemoteObjectDelegateImpl.java,
        gnu/javax/rmi/CORBA/StubDelegateImpl.java,
        gnu/javax/rmi/PortableServer.java:
        Reorganized import statements.

2004-10-15  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/gnu/java/beans/ExplicitBeanInfo.java:
        Resynced with GNU Classpath.

	2004-10-13  Michael Koch  <konqueror@gmx.de>

        * gnu/java/beans/ExplicitBeanInfo.java:
        Explicitely import java.awt.Image.
        (getIcon): Fixed off-by-one error.

2004-10-14  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/awt/image/DataBufferByte.java,
	libraries/javalib/java/awt/image/DataBufferDouble.java,
	libraries/javalib/java/awt/image/DataBufferFloat.java,
	libraries/javalib/java/awt/image/DataBufferInt.java,
	libraries/javalib/java/awt/image/DataBufferShort.java,
	libraries/javalib/java/awt/image/DataBufferUShort.java:
	Resynced with GNU Classpath.

	2004-10-13  Michael Koch  <konqueror@gmx.de>

        * java/awt/image/DataBufferByte.java,
        java/awt/image/DataBufferDouble.java,
        java/awt/image/DataBufferFloat.java,
        java/awt/image/DataBufferInt.java,
        java/awt/image/DataBufferShort.java,
        java/awt/image/DataBufferUShort.java:
        Fix initialization of bankData in constructors.

2004-10-14  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/net/BindException.java,
	libraries/javalib/java/net/ConnectException.java,
	libraries/javalib/java/net/ContentHandler.java,
	libraries/javalib/java/net/ContentHandlerFactory.java,
	libraries/javalib/java/net/DatagramPacket.java,
	libraries/javalib/java/net/DatagramSocket.java,
	libraries/javalib/java/net/DatagramSocketImpl.java,
	libraries/javalib/java/net/DatagramSocketImplFactory.java,
	libraries/javalib/java/net/FileNameMap.java,
	libraries/javalib/java/net/JarURLConnection.java,
	libraries/javalib/java/net/MalformedURLException.java,
	libraries/javalib/java/net/MulticastSocket.java,
	libraries/javalib/java/net/NoRouteToHostException.java,
	libraries/javalib/java/net/PortUnreachableException.java,
	libraries/javalib/java/net/ProtocolException.java,
	libraries/javalib/java/net/SocketException.java,
	libraries/javalib/java/net/SocketImpl.java,
	libraries/javalib/java/net/SocketImplFactory.java,
	libraries/javalib/java/net/SocketOptions.java,
	libraries/javalib/java/net/SocketTimeoutException.java,
	libraries/javalib/java/net/URISyntaxException.java,
	libraries/javalib/java/net/URL.java,
	libraries/javalib/java/net/URLDecoder.java,
	libraries/javalib/java/net/URLEncoder.java,
	libraries/javalib/java/net/URLStreamHandlerFactory.java,
	libraries/javalib/java/net/UnknownHostException.java,
	libraries/javalib/java/net/UnknownServiceException.java:
	Resynced with GNU Classpath.

	2004-10-13  Michael Koch  <konqueror@gmx.de>

        * java/net/BindException.java, java/net/ConnectException.java,
        java/net/ContentHandler.java, java/net/ContentHandlerFactory.java,
        java/net/DatagramPacket.java, java/net/DatagramSocket.java,
        java/net/DatagramSocketImpl.java, java/net/DatagramSocketImplFactory.java,
        java/net/FileNameMap.java, java/net/JarURLConnection.java,
        java/net/MalformedURLException.java, java/net/MulticastSocket.java,
        java/net/NoRouteToHostException.java, java/net/PortUnreachableException.java,
        java/net/ProtocolException.java, java/net/SocketException.java,
        java/net/SocketImpl.java, java/net/SocketImplFactory.java,
        java/net/SocketOptions.java, java/net/SocketTimeoutException.java,
        java/net/URISyntaxException.java, java/net/URL.java,
        java/net/URLDecoder.java, java/net/URLEncoder.java,
        java/net/URLStreamHandlerFactory.java, java/net/UnknownHostException.java,
        java/net/UnknownServiceException.java:
        Fixed @author tags to be valid HTML.

2004-10-14  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/lang/Character.java,
	libraries/javalib/java/lang/Object.java,
	libraries/javalib/java/lang/StrictMath.java:
	Resynced with GNU Classpath.

	2004-10-13  Michael Koch  <konqueror@gmx.de>

        * java/lang/Character.java, java/lang/Object.java,
        java/lang/StrictMath.java:
        Reorganized import statements. Reworked modifiers.
        Fix @author tags to be valid HTML.

2004-10-14  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/math/BigDecimal.java,
	libraries/javalib/java/math/BigInteger.java:
        Resynced with GNU Classpath.

	2004-10-13  Michael Koch  <konqueror@gmx.de>

        * java/math/BigDecimal.java, java/math/BigInteger.java:
        Reorganized import statements, removed redundant and reorganized
        modifiers.

2004-10-14  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/util/zip/GZIPInputStream.java,
	libraries/javalib/java/util/zip/GZIPOutputStream.java:
        Resynced with GNU Classpath.

	2004-10-12  Michael Koch  <konqueror@gmx.de>

        * java/util/zip/GZIPInputStream.java
        (GZIP_MAGIC): Fixed value.
        (readHeader): Fixed GZIP_MAGIC handling.
        * java/util/zip/GZIPOutputStream.java
        (GZIPOutputStream): Likewise.

2004-10-14  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(tDump): Removed unaccessible debugging information (will be readded
	later).
	Removed unused occurrences of iLockRoot.

2004-10-14  Helmer Kraemer  <hkraemer@freenet.de>

	* libraries/clib/native/System.c (java_lang_System_initProperties): 
	don't crash if setlocale returns NULL
	
2004-10-12  Dalibor Topic <robilad@kaffe.org>

	*  libraries/javalib/java/lang/SecurityManager.java:
        Resynced with GNU Classpath.

	2004-10-12  Jeroen Frijters  <jeroen@frijters.net>

        * java/lang/SecurityManager.java
        (checkPackageAccess, checkPackageDefinition): Pass complete
        restriction.
        (checkPackageList): Simplified and corrected the code.

2004-10-12  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/util/Date.java:
	Resynced with GNU Classpath.

	2004-10-12  Jeroen Frijters  <jeroen@frijters.net>

        * java/util/Date.java
        (Date(int,int,int), Date(int,int,int,int,int)): Delegate to other
        constructor.
        (Date(int,int,int,int,int,int)): Fixed to handle out-of-range
        arguments.
        (getTimezoneOffset): Inverted sign.

2004-10-12  Guilhem Lavaux  <guilhem@kaffe.org>

	* kaffe/kaffevm/thread.c
	(startSpecialThread): Use arg to get the specific arguments to start
	the special thread.
	(createDaemon): Use the real argument to the thread instead of
	exceptObj and exceptPtr to pass arguments.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(activeThreadsLock, tLock): Use a native mutex lock instead of a kaffe
	lock for thread list.
	(TLOCK, TUNLOCK): Removed.
	(protectThreadList, unprotectThreadList): Added.
	(*): Replaced TLOCK and TUNLOCK by protectThreadList and
	unprotectThreadList.
	(jthread_walkLiveThreads): Protect the thread list while we are
	walking it.

2004-10-12  Dalibor Topic <robilad@kaffe.org>

	* libraries/clib/native/ZipFile.c:
	(java_util_zip_ZipFile_getZipData0) Cast size to size_t
	when invoking memcpy.

2004-10-12  Dalibor Topic <robilad@kaffe.org>

	* include/errors.h:
	Include support.h for execute_java_constructor prototype.
	(NEW_LANG_EXCEPTION, NEW_LANG_EXCEPTION_MESSAGE,
	NEW_IO_EXCEPTION, NEW_IO_EXCEPTION_MESSAGE) Added braces.

	* include/native.h:
	Include stddef.h for size_t.

	* kaffe/kaffevm/exception.c (throwException): Made prototype
	match declaration in header file exactly.

	* kaffe/kaffevm/exception.h:
	Include gtypes.h for uintp.

	* libraries/clib/native/ZipFile.c:
	Include errors.h, exception.h. Cleaned up includes.

2004-10-12  Dalibor Topic <robilad@kaffe.org>

	* include/native.h:
	(AllocArray) Changed prototype to use size_t for len. 
	Added parameter names.
	* kaffe/kaffevm/support.c:
	(AllocArray) Changed prototype to use size_t for len.
	Removed no longer necessary check for negative array size.
	* libraries/clib/native/ZipFile.c
	(java_util_zip_ZipFile_getZipData0):
	Check if zip entry size is negative first. Cast to size
	to size_t when invoking AllocArray.

2004-10-12  Dalibor Topic <robilad@kaffe.org>

	* libraries/clib/native/ZipFile.c
	(java_util_zip_ZipFile_getZipData0):
	Use '\0' for an empty string to fix compiler warning.

2004-10-12  Dalibor Topic <robilad@kaffe.org>

	* kaffe/kaffevm/systems/unix-pthreads/thread-internal.h
	(jthread_on_current_stack): De-inlined to fix compiler
	warnings.

	* kaffe/kaffevm/systems/unix-pthreads/thread-impl.c
	(jthread_on_current_stack): Moved over here.

2004-10-12  Dalibor Topic <robilad@kaffe.org>

	* kaffe/kaffevm/jar.c (initJarEntry, getCentralDirCount,
	getDataJarFile, openJarFile): Cast second parameter of
	jarSeek to off_t to fix warnings on platforms with 
	long offset support.

2004-10-12  Dalibor Topic <robilad@kaffe.org>

	* kaffe/kaffevm/jar.c (jarSeek): Don't inline.
	Fixes gcc warnings on ix86-linux.

2004-10-11  Dalibor Topic <robilad@kaffe.org>

	* kaffe/jvmpi/jvmpi_kaffe.c,
	libraries/clib/management/Classpath.c,
	libraries/clib/management/JIT.c,
	libraries/clib/management/XProfiler.c,
	libraries/clib/native/System.c,
	libraries/clib/native/ZipFile.c:
	Use gc_free instead of KFREE for strings allocated by
	stringJava2C.

2004-10-11  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/io/PrintStream.java:
	Resynced with GNU Classpath.

	2004-10-11  Jeroen Frijters  <jeroen@frijters.net>

        * java/io/PrintStream.java
        (ForwardStream): New inner class.
        (PrintStream(OutputStream,boolean),
        PrintStream(OutputStream,boolean,String)):
        Changed to use ForwardStream.
        (write(int), write(byte[],int,int)):
        Don't consume thread interrupts.

2004-10-11  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/util/logging/LogManager.java:
        Resynced with GNU Classpath.

	2004-10-11  Jeroen Frijters  <jeroen@frijters.net>

        * java/util/logging/LogManager.java
        (findAncestor): Fixed IndexOutOfBoundsException.

2004-10-11  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/lang/SecurityManager.java,
	libraries/javalib/java/security/Security.java:
	Resynced with GNU Classpath.

	2004-10-11  Jeroen Frijters  <jeroen@frijters.net>

        * java/lang/SecurityManager.java
        (checkPackageList): Use AccessController.doPrivileged to get
        security property.
        * java/security/Security.java
        (static): Use AccessController.doPrivileged to get system property.

2004-10-11  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/security/IdentityScope.java:
	Replaced by implementation from GNU Classpath.

	* libraries/javalib/java/awt/Button.java,
	libraries/javalib/java/awt/EventDispatchThread.java,
	libraries/javalib/java/awt/Frame.java,
	libraries/javalib/java/awt/Scrollbar.java,
	libraries/javalib/java/awt/TextArea.java,
	libraries/javalib/java/net/HttpURLConnection.java,
	libraries/javalib/java/security/Policy.java,
	libraries/javalib/java/util/Timer.java,
	libraries/javalib/java/util/logging/LogRecord.java,
	libraries/javalib/javax/naming/spi/NamingManager.java,
	libraries/javalib/javax/swing/JDialog.java,
	libraries/javalib/javax/swing/JFrame.java,
	libraries/javalib/javax/swing/plaf/basic/BasicScrollBarUI.java,
	libraries/javalib/javax/swing/plaf/basic/BasicToolBarUI.java:
	Resynced with GNU Classpath.

	2004-10-11  Jeroen Frijters  <jeroen@frijters.net>

        * java/awt/EventDispatchThread.java
        (dispatchThreadNum): Removed initializer.
        (EventDispatchThread): Pre-increment dispatchThreadNum.
        * java/awt/Button.java
        (next_button_number): Removed useless initializer.
        * java/awt/Frame.java
        (next_frame_number): Likewise.
        * java/awt/Scrollbar.java
        (next_scrollbar_number): Likewise.
        * java/awt/TextArea.java
        (next_text_number): Likewise.
        * java/io/ObjectInputStream.java
        (dump): Likewise.
        * java/security/Policy.java
        (currentPolicy): Likewise.
        * java/util/Timer.java
        (nr): Likewise.
        * java/util/logging/LogRecord.java
        (lastSeqNum): Likewise.
        * javax/naming/spi/NamingManager.java
        (icfb, ofb): Likewise.
        * javax/swing/JDialog.java
        (decorated): Likewise.
        * javax/swing/JFrame.java
        (defaultLookAndFeelDecorated): Likewise.
        * javax/swing/plaf/basic/BasicToolBarUI.java
        (offset, regular): Made final.
        * javax/swing/plaf/basic/BasicScrollBarUI.java
        (DECREASE_HIGHLIGHT, INCREASE_HIGHLIGHT, NO_HIGHLIGHT,
        POSITIVE_SCROLL, NEGATIVE_SCROLL): Made final.
        * java/net/HttpURLConnection.java
        (valid_methods): Made final.

2004-10-11  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/io/DataInputStream.java,
	libraries/javalib/java/io/DataOutputStream.java,
	libraries/javalib/java/io/InputStreamReader.java,
	libraries/javalib/java/io/ObjectInputStream.java,
	libraries/javalib/java/io/ObjectOutputStream.java:
	Resynced with GNU Classpath.

	2004-10-11  Michael Koch  <konqueror@gmx.de>

        * java/io/DataInputStream.java
        (readUTF): Reorder modifiers.
        * java/io/DataOutputStream.java
        (writeUTF): Likewise.
        * java/io/ObjectInputStream.java
        (GetField): Likewise.
        * java/io/ObjectOutputStream.java
        (PutField): Likewise.
        (BUFFER_SIZE): Likewise.
        * java/io/InputStreamReader.java:
        Merged file header.

2004-10-11  Dalibor Topic <robilad@kaffe.org>

	* libraries/javalib/java/nio/ByteBufferHelper.java:
	Resynced with GNU Classpath.

	2004-10-10  Sven de Marothy  <sven@physto.se>

        * java/nio/ByteBufferHelper.java
        (putDouble): Use Double.toRawLongBits instead (bug #9106)

2004-10-11  Noa Resare  <noa@resare.com>

	* libraries/clib/native/double.c:
	Use dynamic allocation when parsing.

2004-10-11  Dalibor Topic <robilad@kaffe.org>

	* THIRDPARTY: Added notice for inet_pton and inet_ntop
	replacement functions.

	Reported by:  Gerrit P. Haase <freeweb@nyckelpiga.de>

2004-10-09  Noa Resare  <noa@resare.com>

	* libraries/javalib/java/lang/String.java:
	removed wrapping of UnsupportedEncodingException in Error

2004-10-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/xml/dom/DomXPathExpression.java,
	libraries/javalib/gnu/xml/dom/DomXPathNSResolver.java:
	New files, taken from GNU JAXP.

	* libraries/clib/libxmlj/xmlj_error.c,
	libraries/clib/libxmlj/xmlj_util.c,
	libraries/javalib/gnu/xml/dom/DomDocument.java:
	Resynced with GNU JAXP.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenarated.

	2004-10-06  Chris Burdess  <dog@gnu.org>

        * dom: Added framework for XPath expression evaluation.

	2004-10-08  Chris Burdess <dog@gnu.org>

        * xmlj_util.c: String caching only by setting macro.

	2004-10-06  Chris Burdess <dog@gnu.org>

        * xmlj_util.c,xmlj_error.c: Call fflush after fprintf.

2004-10-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/gnu/inet/comsat/ComsatClient.java,
	libraries/javalib/gnu/inet/comsat/ComsatInfo.java:
	New files, taken from GNU inetlib.

	* libraries/javalib/gnu/inet/ftp/FTPConnection.java,
	libraries/javalib/gnu/inet/ftp/package.html,
	libraries/javalib/gnu/inet/http/ChunkedInputStream.java:
	Resynced with GNU inetlib.

	2004-10-05  Chris Burdess  <dog@bluezoo.org>

        * ChunkedInputStream.java: Permit EOF before CRLF.
        * FTPConnection.java: Implement FTP/TLS.
        * comsat: Experimental comsat client.

2004-10-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gdkfont.h,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c:
	Resynced with GNU Classpath.

	2004-10-10  Andreas Tobler  <a.tobler@schweiz.ch>

        * jni/gtk-peer/gdkfont.h: Mark native_text_layout_state_table extern.
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c: Use
        native_text_layout_state_table here.

2004-10-10  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/imageio/metadata/IIOInvalidTreeException.java,
	libraries/javalib/javax/imageio/metadata/IIOMetadataFormatImpl.java,
	libraries/javalib/javax/imageio/metadata/IIOMetadataNode.java,
	libraries/javalib/javax/imageio/stream/ImageInputStreamImpl.java,
	libraries/javalib/javax/imageio/stream/ImageOutputStreamImpl.java:
	New files taken from GNU Classpath.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	2004-10-09  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/metadata/IIOInvalidTreeException.java,
        javax/imageio/metadata/IIOMetadataFormatImpl.java,
        javax/imageio/metadata/IIOMetadataNode.java:
        New stub files.

	2004-10-09  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/stream/ImageInputStreamImpl.java,
        javax/imageio/stream/ImageOutputStreamImpl.java:
        New files.

2004-10-09  Dalibor Topic  <robilad@kaffe.org>

	* m4/ac_c_bigendian_cross.m4:
	New file, taken from ac-archive.sf.net.

	* configure.ac:
	Call AC_C_BIGENDIAN_CROSS for cross-compilation.

	* include/Makefile.am:
	(LIBGTKPEER_JNI_HDRS) Added gnu_java_awt_peer_gtk_GdkFontPeer.h
	and gnu_java_awt_peer_gtk_GdkTextLayout.h. Removed 
	gnu_java_awt_peer_gtk_GdkClasspathFontPeer.h and
	gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.c.

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c
	libraries/javalib/gnu/java/awt/peer/ClasspathTextLayoutPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkFontPeer.java, 
	libraries/javalib/gnu/java/awt/peer/gtk/GdkTextLayout.java:
	New files, taken from GNU Classpath.

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.c:
	Removed.

	* libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.am:
	(gtk_cairo_c_source_files) Removed gnu_java_awt_peer_gtk_GdkClasspathFontPeer.c and
	gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.c.
	(libgtkpeer_la_SOURCES) Added gnu_java_awt_peer_gtk_GdkFontPeer.c
	and gnu_java_awt_peer_gtk_GdkTextLayout.c.

	* libraries/clib/awt/classpath-gtk/gtk-peer/gdkfont.h,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollBarPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c,
	libraries/clib/awt/classpath-gtk/gtk-peer/gtkpeer.h,
	libraries/javalib/gnu/java/awt/ClasspathToolkit.java,
	libraries/javalib/gnu/java/awt/peer/ClasspathFontPeer.java,
	libraries/javalib/gnu/java/awt/peer/ClasspathTextLayoutPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkClasspathFontPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkClasspathFontPeerMetrics.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkFontMetrics.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkFontPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGlyphVector.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphics.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkTextLayout.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkComponentPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkContainerPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkListPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkPanelPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkScrollbarPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkTextAreaPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkTextFieldPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkToolkit.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkWindowPeer.java,
	libraries/javalib/gnu/java/rmi/server/UnicastConnectionManager.java,
	libraries/javalib/java/awt/Component.java,
	libraries/javalib/java/awt/Container.java,
	libraries/javalib/java/awt/Font.java,
	libraries/javalib/java/awt/KeyboardFocusManager.java,
	libraries/javalib/java/awt/font/TextLayout.java,
	libraries/javalib/java/util/Calendar.java,
	libraries/javalib/java/util/GregorianCalendar.java,
	libraries/javalib/javax/swing/plaf/basic/BasicGraphicsUtils.java,
	libraries/javalib/javax/swing/plaf/basic/BasicSliderUI.java,
	libraries/javalib/javax/swing/text/Utilities.java:
	Resynced with GNU Classpath.

	* Makefile.in,
	aclocal.m4,
	configure,
	config/Makefile.in,
	config/config.h.in,
	include/Makefile.in,
	kaffe/Makefile.in,
	kaffe/jvmpi/Makefile.in,
	kaffe/kaffe/Makefile.in,
	kaffe/kaffeh/Makefile.in,
	kaffe/kaffevm/Makefile.in,
	kaffe/kaffevm/boehm-gc/Makefile.in,
	kaffe/kaffevm/gcj/Makefile.in,
	kaffe/kaffevm/intrp/Makefile.in,
	kaffe/kaffevm/jit/Makefile.in,
	kaffe/kaffevm/jit3/Makefile.in,
	kaffe/kaffevm/jni/Makefile.in,
	kaffe/kaffevm/kaffe-gc/Makefile.in,
	kaffe/kaffevm/systems/Makefile.in,
	kaffe/kaffevm/systems/beos-native/Makefile.in,
	kaffe/kaffevm/systems/oskit-pthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-jthreads/Makefile.in,
	kaffe/kaffevm/systems/unix-pthreads/Makefile.in,
	kaffe/kaffevm/verifier/Makefile.in,
	kaffe/man/Makefile.in,
	kaffe/scripts/Makefile.in,
	kaffe/scripts/bat/Makefile.in,
	kaffe/scripts/compat/Makefile.in,
	kaffe/xprof/Makefile.in,
	libraries/Makefile.in,
	libraries/clib/Makefile.in,
	libraries/clib/awt/Makefile.in,
	libraries/clib/awt/X/Makefile.in,
	libraries/clib/awt/classpath-gtk/Makefile.in,
	libraries/clib/awt/classpath-gtk/classpath/Makefile.in,
	libraries/clib/awt/classpath-gtk/gtk-peer/Makefile.in,
	libraries/clib/awt/classpath-gtk/resource/Makefile.in,
	libraries/clib/awt/qt/Makefile.in,
	libraries/clib/io/Makefile.in,
	libraries/clib/libxmlj/Makefile.in,
	libraries/clib/management/Makefile.in,
	libraries/clib/math/Makefile.in,
	libraries/clib/native/Makefile.in,
	libraries/clib/net/Makefile.in,
	libraries/clib/nio/Makefile.in,
	libraries/clib/security/Makefile.in,
	libraries/clib/sound/Makefile.in,
	libraries/clib/sound/alsa/Makefile.in,
	libraries/clib/sound/common/Makefile.in,
	libraries/clib/sound/esd/Makefile.in,
	libraries/clib/zip/Makefile.in,
	libraries/extensions/Makefile.in,
	libraries/extensions/comm/Makefile.in,
	libraries/extensions/comm/javalib/Makefile.in,
	libraries/extensions/microsoft/Makefile.in,
	libraries/extensions/microsoft/clib/Makefile.in,
	libraries/extensions/microsoft/javalib/Makefile.in,
	libraries/extensions/pjava/Makefile.in,
	libraries/extensions/pjava/javalib/Makefile.in,
	libraries/extensions/servlet/Makefile.in,
	libraries/extensions/servlet/javalib/Makefile.in,
	libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files,
	libraries/javalib/awt-implementations/Makefile.in,
	libraries/javalib/awt-implementations/kaffe/Makefile.in,
	libraries/javalib/gmp-math/Makefile.in,
	replace/Makefile.in,
	test/Makefile.in,
	test/internal/Makefile.in,
	test/jni/Makefile.in,
	test/regression/Makefile.in,
	test/regression/compile_time/Makefile.in,
	test/regression/compiler/Makefile.in,
	test/regression/run_time/Makefile.in,
	tools/Makefile.in,
	tools/gjdoc/Makefile.in,
	tools/gjdoc/javalib/Makefile.in:
	Regenerated.

	2004-10-09  Mark Wielaard  <mark@klomp.org>

        * native/jni/gtk-peer/gdkfont.h: Include gtkpeer.h not gtkcairopeer.h.

	2004-10-09  Michael Koch  <konqueror@gmx.de>

        * gnu/java/rmi/server/UnicastConnectionManager.java:
        Fix file header.

	2004-10-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * javax/swing/JList.java (init): Revert accidental commit.

	2004-10-08  Bryce McKinlay  <mckinlay@redhat.com>

        * java/util/Calendar.java (set): Invalidate DST_OFFSET
        field as a DST boundary may have been crossed.
        * java/util/GregorianCalendar.java (add): Throw
        IllegalArgumentException on attempt to add to DST_OFFSET or
        ZONE_OFFSET fields. Update javadoc.

	2004-10-09  Michael Koch  <konqueror@gmx.de>

        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeer.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.c:
        Removed.
        * native/jni/gtk-peer/Makefile.am: Removed files.

	2004-10-09  Michael Koch  <konqueror@gmx.de>

        * gnu/java/awt/peer/gtk/GdkFontMetrics.java,
        gnu/java/awt/peer/gtk/GdkGraphics.java,
        gnu/java/awt/peer/gtk/GdkGraphics2D.java,
        gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java,
        gnu/java/awt/peer/gtk/GtkToolkit.java,
        java/awt/font/TextLayout.java,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c,
        native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c,
        native/jni/gtk-peer/gtkpeer.h:
        Merged whitespace stuff with java-gui-branch.

	2004-10-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkContainerPeer.java (endValidate):
        Don't call setParentAndBounds on GtkWindowPeers.

	2004-10-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * java/awt/Component.java (static): Don't set default keyboard
        focus manager.
        * java/awt/KeyboardFocusManager.java
        (getCurrentKeyboardFocusManager): If current keyboard focus
        manager is null set a default.

	2004-10-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GtkButtonPeer.java,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
        (gtkWidgetSetBackground): New method.
        (block_expose_events_cb): New function.
        (connectSignals): Block the AWT's expose event processing on
        button press and release.
        (gtkSetLabel): Set text on proper widget.
        (gtkWidgetModifyFont): Modify font on proper widget.
        (gtkWidgetSetBackground): Set normal, active and prelight
        colours.
        (gtkWidgetSetForeground): Set forground colour of proper widget.
        (gtkActivate): Activate the correct widget.
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c (clearRect):
        Only clear rectangle if the backing component is not an event
        box.
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c
        (beginNativeRepaintID): New variable.
        (endNativeRepaintID): Likewise.
        (gtkInit): Initialize new fields with method IDs.
        * jni/gtk-peer/gtkpeer.h (beginNativeRepaintID): Declare extern.
        (endNativeRepaintID): Likewise.

	2004-10-09  Michael Koch  <konqueror@gmx.de>

        * include/gnu_java_awt_peer_gtk_GtkButtonPeer.h: Regenerated.

	2004-10-09  Thomas Fitzsimmons  <fitzsim@redhat.com>

        * gnu/java/awt/peer/gtk/GdkGraphics.java,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c (GdkGraphics):
        Call initComponentGraphics or connectSignals depending on
        component's realization status.
        (realize_cb): New function.
        (initComponentGraphics): New method.
        (connectSignals): New method.
        (clipRect): Return immediately if component is not realized.
        (setClip): Likewise.
        (translate): Likewise.
        (drawImage variants): Return false immediately if component is
        not realized.
        * gnu/java/awt/peer/gtk/GdkGraphics2D.java,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
        (connectSignals): New method.
        (GdkGraphics2D): Call initComponentGraphics2D or connectSignals
        depending on component's realization status.  Move other
        initialization calls to ...
        (initComponentGraphics2D): New method.
        (realize_cb): New function.
        (cairoSetMatrix): Return immediately if gr is NULL.
        (cairoNewPath): Likewise.
        (cairoRectangle): Likewise.
        (cairoClip): Likewise.
        * gnu/java/awt/peer/gtk/GtkComponentPeer.java,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GtkComponentPeer.c
        (gtkWidgetRepaintArea): Remove method.
        (isRealized): New method.
        (GtkComponentPeer): Move setParent, connectJObject and setCursor
        calls to setParentAndBounds.  Call setParentAndBounds.
        (setParentAndBounds): New method.
        (setComponentBounds): Return immediately if bounds are all zero.
        (repaint): Remove call to gtkWidgetRepaintArea.  Return
        immediately if requested paint region is 0x0.
        (setCursor): New method.
        (gtkWidgetSetParent): Only set widget's parent if its parent is
        currently NULL.
        (setNativeBounds): Only set widget's bounds if it has a parent.
        (connectSignals): Don't call gtk_widget_realize.  Connect
        "realize" signal to connect_awt_hook_cb handler.
        * gnu/java/awt/peer/gtk/GtkContainerPeer.java (isValidating):
        New field.
        (beginValidate): Set isValidating true.
        (endValidate): Set parents and bounds for children first, then
        for this.  Set isValidating false.
        * gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GtkFileDialogPeer.c
        (connectJObject): Remove method.
        (connectSignals): Don't call gtk_widget_realize.
        * gnu/java/awt/peer/gtk/GtkListPeer.java,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GtkListPeer.c
        (connectJObject): Remove method.
        (connectSignals): Don't call gtk_widget_realize.
        * gnu/java/awt/peer/gtk/GtkPanelPeer.java,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GtkPanelPeer.c
        (connectJObject): Remove method.
        * gnu/java/awt/peer/gtk/GtkScrollbarPeer.java,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GtkScrollBarPeer.c
        (connectJObject): Remove method.
        * gnu/java/awt/peer/gtk/GtkWindowPeer.java,
        jni/gtk-peer/gnu_java_awt_peer_gtk_GtkWindowPeer.c
        (create): Don't call gtk_widget_realize.
        (connectJObject): Remove method.
        (connectSignals): Don't call gtk_widget_realize.  Connect
        "realize" signal to connect_awt_hook_cb handler.
        (nativeSetBounds): Don't attempt to move GDK window if it is
        NULL.
        * java/awt/Container.java (addImpl): Don't call comp.addNotify
        if peer is not null.
        (validateTree): Create peers for all children before calling
        doLayout.
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GtkButtonPeer.c
        (connectSignals): Don't call gtk_widget_realize.
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GtkEvents.c
        (connect_awt_hook_cb): New function.
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c
        (initComponentGraphicsID): New variable.
        (initComponentGraphics2DID): Likewise.
        (setCursorID): Likewise.
        (gtkInit): Initialize new fields with method IDs.
        * jni/gtk-peer/gtkpeer.h (initComponentGraphicsID): Declare
        extern.
        (initComponentGraphics2DID): Declare extern.
        (setCursorID): Likewise.
        (connect_awt_hook_cb): Declare function.

	2004-10-09  Graydon Hoare  <graydon@redhat.com>

        * jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
        (install_font_peer): Minor bug fixes to track cairo font
        semantics.

	2004-10-08  Graydon Hoare  <graydon@redhat.com>

        * gnu/java/awt/ClasspathToolkit.java
        (getClasspathTextLayoutPeer) Add.
        * gnu/java/awt/peer/ClasspathFontPeer.java
        (copyStyleToAttrs)
        (copySizeToAttrs): Make public.
        * gnu/java/awt/peer/ClasspathTextLayoutPeer.java: New file.
        * gnu/java/awt/peer/gtk/GdkClasspathFontPeer.java: Remove.
        * gnu/java/awt/peer/gtk/GdkClasspathFontPeerMetrics.java: Remove.
        * gnu/java/awt/peer/gtk/GdkFontMetrics.java: Rewrite.
        * gnu/java/awt/peer/gtk/GdkFontPeer.java: New file.
        * gnu/java/awt/peer/gtk/GdkGlyphVector.java: Adjust type names.
        * gnu/java/awt/peer/gtk/GdkGraphics.java
        (getFontPeer): New function.
        (drawString): Pass font peer to native side.
        * gnu/java/awt/peer/gtk/GdkGraphics2D.java
        (cairoSetFont)
        (cairoShowGlyphs)
        (PainterThread): Remove.
        (GdkGraphics2D): Set hints during construction.
        (shifted)
        (walkPath)
        (draw)
        (setRenderingHint)
        (setRenderingHints): Reimplement normalization logic.
        (getDefaultHints)
        (updateBufferedImage)
        (isBufferedImageGraphics)
        (updateImagePixels)
        (drawImage): Make final.
        (drawImage): Always paint synchronously.
        (drawString)
        (drawGlyphVector): Rewrite.
        (releasePeerGraphicResource)
        (getPeerTextMetrics)
        (getPeerFontMetrics)
        (drawGdkGlyphVector)
        (drawGdkTextLayout)
        (cairoDrawGdkGlyphVector)
        (cairoDrawGdkTextLayout)
        (cairoDrawString)
        (getFontPeer): New functions.
        * gnu/java/awt/peer/gtk/GdkTextLayout.java: New file.
        * gnu/java/awt/peer/gtk/GtkComponentPeer.java
        (getFontMetrics): Get metrics via toolkit, to hit cache.
        * gnu/java/awt/peer/gtk/GtkTextAreaPeer.java: Use getFontMetrics.
        * gnu/java/awt/peer/gtk/GtkTextFieldPeer.java: Likewise.
        * gnu/java/awt/peer/gtk/GtkToolkit.java (LRUCache): New class.
        (fontCache)
        (metricsCache)
        (imageCache): New members.
        (getFontMetrics)
        (getImage)
        (getClasspathFontPeer): Use caches.
        (getFontPeer): Route through getClasspathFontPeer.
        * java/awt/Font.java (attrsToMap): Remove, adjust ctors.
        * java/awt/font/TextLayout.java: Implement in terms of peer.
        * javax/swing/plaf/basic/BasicSliderUI.java
        (paintThumb): Use polyline rather than polygon.
        * javax/swing/plaf/basic/BasicGraphicsUtils.java:
        Update comment but, alas, still do not switch to using TextLayouts.
        * javax/swing/text/Utilities.java (drawTabbedText):
        Draw text run-at-a-time, not char-at-a-time.
        * jni/gtk-peer/gdkfont.h: Publicize some of the font interface, add
        layout table.
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeer.c:
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GdkClasspathFontPeerMetrics.c:
        Remove files.
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontMetrics.c: Rewrite to
        incorporate brains of old GdkClasspathFontPeerMetrics.
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c: Rewrite to
        incorporate brains of old GdkClasspathFontPeer.
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GdkTextLayout.c: New file.
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics.c
        (drawString): Rewrite to use persistent layout in peer font.
        Comment out extraneous gdk_flush calls.
        * jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
        (metrics_cairo)
        (metrics_surface): New static variables.
        (paint_glyph_run)
        (install_font_peer): New helper functions.
        (releasePeerGraphicResource)
        (getPeerTextMetrics)
        (getPeerFontMetrics)
        (cairoDrawGdkTextLayout)
        (cairoDrawGdkGlyphVector): New native methods.
        (cairoDrawString): Rewrite, leaving layout-based version
        commented out for the time being.
        * jni/gtk-peer/gtkpeer.h (graphics): Add fields for pango stuff.

	2004-10-08 Andreas Tobler <a.tobler@schweiz.ch>

        * configure.ac: Introduce AC_C_BIGENDIAN_CROSS for WORDS_BIGENDIAN.
        * native/jni/gtk-peer/gtkpeer.h (SWAPU32): Introduce macro to swap pixels.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GtkImagePainter.c: Moved SWAPU32
        macro to gtkpeer.h.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkGraphics2D.c
        (Java_gnu_java_awt_peer_gtk_GdkGraphics2D_getImagePixels): Convert
        pixels from  0xBBGGRRAA to 0xAARRGGBB only on Little Endian
        architectures.
        * native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkPixbufDecoder.c
        (area_updated): Likewise.

2004-10-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JScrollBar.java,
	libraries/javalib/javax/swing/JScrollPane.java,
	libraries/javalib/javax/swing/JTree.java:
	Resynced with GNU Classpath.

	2004-10-08  Paul Jenner  <psj.home@ntlworld.com>

        * javax/swing/JTree.java
        (isRootVisible): Fixed typo in method name.
        * javax/swing/JScrollBar.java
        (setValues): Likewise.
        * javax/swing/JScrollPane.java
        (createScrollListener): Call JScrollBar.setValues.

2004-10-09  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/image/BufferedImageFilter.java:
	New file from GNU Classpath.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	2004-10-07  Jerry Quinn  <jlquinn@optonline.net>

        * java/awt/image/BufferedImageFilter.java: Implement.

2004-10-08  Dalibor Topic  <robilad@kaffe.org>

	* developers/patch-libtool-openbsd33.diff:
	Fix for litbool on openbsd 3.3.

	Patch by: Gary V. Vaughan  <gary@gnu.org>

	Reported by: Riccardo Mottola <rmottola@users.sf.net>

	* configure,
	developers/autogen.sh,
	libltdl/acinclude.m4,
	libltdl/configure,
	m4/libtool.m4:
	Regenerated.

2004-10-07  Noa Resare  <noa@resare.com>

	* libraries/clib/awt/classpath-gtk/gtk-peer/gnu_java_awt_peer_gtk_GtkMainThread.c:
	Fix for weird locale handling in kaffe.

2004-10-07  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libraries/javalib/kaffe/io/ConverterAlias.java:
	Added missing change to CP1046.

2004-10-07  Ito Kazumitsu  <kaz@maczuka.gcd.org>

	* libraries/javalib/kaffe/io/ByteToCharConverter.java,
	libraries/javalib/kaffe/io/CharToByteConverter.java,
	libraries/javalib/kaffe/io/ConverterAlias.java:
	When to use iconv, use encoding names defined in iconv.
	New method iconvAlias in ConverterAlias.java returns such
	names.

2004-10-05  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/imageio/spi/ImageReaderSpi.java,
	libraries/javalib/javax/imageio/spi/ImageWriterSpi.java:
	New files taken from GNU Classpath.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/javax/imageio/IIOParam.java,
	libraries/javalib/javax/imageio/ImageIO.java,
	libraries/javalib/javax/imageio/ImageReadParam.java,
	libraries/javalib/javax/imageio/ImageReader.java,
	libraries/javalib/javax/imageio/ImageWriter.java:
	Resynced with GNU Classpath.

	2004-10-05  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/ImageIO.java:
        Added much new methods.

	2004-10-05  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/ImageReader.java,
        javax/imageio/ImageWriter.java,
        javax/imageio/spi/ImageWriterSpi.java:
        Add SOME new methods.

	2004-10-05  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/IIOParam.java,
        javax/imageio/ImageReadParam.java,
        javax/imageio/ImageReader.java,
        javax/imageio/ImageWriter.java:
        Mostly implemented.
        * javax/imageio/spi/ImageReaderSpi.java,
        javax/imageio/spi/ImageWriterSpi.java:
        New files.

2004-10-05  Djordje Nikolic  <dmn@ict-tower.com>

	* kaffe/kaffeh/mem.c
	Proper GC_Ops initialization

2004-10-05  Noa Resare  <noa@resare.com>

	* test/regression/TestScript.in:
	Increased stack size to 512K when compiling with kjc.

2004-10-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/inet/imap/Namespaces.java,
	libraries/javalib/gnu/inet/imap/Quota.java:
	New files, taken from GNU inetlib.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/gnu/inet/finger/FingerConnection.java,
	libraries/javalib/gnu/inet/finger/FingerURLConnection.java,
	libraries/javalib/gnu/inet/finger/Handler.java,
	libraries/javalib/gnu/inet/ftp/ActiveModeDTP.java,
	libraries/javalib/gnu/inet/ftp/BlockInputStream.java,
	libraries/javalib/gnu/inet/ftp/BlockOutputStream.java,
	libraries/javalib/gnu/inet/ftp/CompressedInputStream.java,
	libraries/javalib/gnu/inet/ftp/CompressedOutputStream.java,
	libraries/javalib/gnu/inet/ftp/DTP.java,
	libraries/javalib/gnu/inet/ftp/DTPInputStream.java,
	libraries/javalib/gnu/inet/ftp/DTPOutputStream.java,
	libraries/javalib/gnu/inet/ftp/FTPConnection.java,
	libraries/javalib/gnu/inet/ftp/FTPException.java,
	libraries/javalib/gnu/inet/ftp/FTPResponse.java,
	libraries/javalib/gnu/inet/ftp/FTPURLConnection.java,
	libraries/javalib/gnu/inet/ftp/Handler.java,
	libraries/javalib/gnu/inet/ftp/PassiveModeDTP.java,
	libraries/javalib/gnu/inet/ftp/StreamInputStream.java,
	libraries/javalib/gnu/inet/ftp/StreamOutputStream.java,
	libraries/javalib/gnu/inet/gopher/DirectoryEntry.java,
	libraries/javalib/gnu/inet/gopher/DirectoryListing.java,
	libraries/javalib/gnu/inet/gopher/GopherConnection.java,
	libraries/javalib/gnu/inet/gopher/GopherContentHandler.java,
	libraries/javalib/gnu/inet/gopher/GopherURLConnection.java,
	libraries/javalib/gnu/inet/gopher/Handler.java,
	libraries/javalib/gnu/inet/http/Authenticator.java,
	libraries/javalib/gnu/inet/http/ByteArrayRequestBodyWriter.java,
	libraries/javalib/gnu/inet/http/ByteArrayResponseBodyReader.java,
	libraries/javalib/gnu/inet/http/ChunkedInputStream.java,
	libraries/javalib/gnu/inet/http/Credentials.java,
	libraries/javalib/gnu/inet/http/HTTPConnection.java,
	libraries/javalib/gnu/inet/http/HTTPURLConnection.java,
	libraries/javalib/gnu/inet/http/Handler.java,
	libraries/javalib/gnu/inet/http/Headers.java,
	libraries/javalib/gnu/inet/http/Request.java,
	libraries/javalib/gnu/inet/http/RequestBodyWriter.java,
	libraries/javalib/gnu/inet/http/Response.java,
	libraries/javalib/gnu/inet/http/ResponseBodyReader.java,
	libraries/javalib/gnu/inet/http/ResponseHeaderHandler.java,
	libraries/javalib/gnu/inet/http/event/ConnectionEvent.java,
	libraries/javalib/gnu/inet/http/event/ConnectionListener.java,
	libraries/javalib/gnu/inet/http/event/RequestEvent.java,
	libraries/javalib/gnu/inet/http/event/RequestListener.java,
	libraries/javalib/gnu/inet/https/Handler.java,
	libraries/javalib/gnu/inet/imap/IMAPConnection.java,
	libraries/javalib/gnu/inet/imap/IMAPConstants.java,
	libraries/javalib/gnu/inet/imap/IMAPException.java,
	libraries/javalib/gnu/inet/imap/IMAPResponse.java,
	libraries/javalib/gnu/inet/imap/IMAPResponseTokenizer.java,
	libraries/javalib/gnu/inet/imap/ListEntry.java,
	libraries/javalib/gnu/inet/imap/MailboxStatus.java,
	libraries/javalib/gnu/inet/imap/MessageStatus.java,
	libraries/javalib/gnu/inet/imap/Pair.java,
	libraries/javalib/gnu/inet/imap/UTF7imap.java,
	libraries/javalib/gnu/inet/imap/package.html,
	libraries/javalib/gnu/inet/ldap/BERDecoder.java,
	libraries/javalib/gnu/inet/ldap/BEREncoder.java,
	libraries/javalib/gnu/inet/ldap/LDAPConnection.java,
	libraries/javalib/gnu/inet/nntp/ActiveTime.java,
	libraries/javalib/gnu/inet/nntp/ActiveTimesIterator.java,
	libraries/javalib/gnu/inet/nntp/ArticleNumberIterator.java,
	libraries/javalib/gnu/inet/nntp/ArticleResponse.java,
	libraries/javalib/gnu/inet/nntp/ArticleStream.java,
	libraries/javalib/gnu/inet/nntp/FileNewsrc.java,
	libraries/javalib/gnu/inet/nntp/Group.java,
	libraries/javalib/gnu/inet/nntp/GroupIterator.java,
	libraries/javalib/gnu/inet/nntp/GroupResponse.java,
	libraries/javalib/gnu/inet/nntp/HeaderEntry.java,
	libraries/javalib/gnu/inet/nntp/HeaderIterator.java,
	libraries/javalib/gnu/inet/nntp/LineIterator.java,
	libraries/javalib/gnu/inet/nntp/NNTPConnection.java,
	libraries/javalib/gnu/inet/nntp/NNTPConstants.java,
	libraries/javalib/gnu/inet/nntp/NNTPException.java,
	libraries/javalib/gnu/inet/nntp/Newsrc.java,
	libraries/javalib/gnu/inet/nntp/Overview.java,
	libraries/javalib/gnu/inet/nntp/OverviewIterator.java,
	libraries/javalib/gnu/inet/nntp/Pair.java,
	libraries/javalib/gnu/inet/nntp/PairIterator.java,
	libraries/javalib/gnu/inet/nntp/PendingData.java,
	libraries/javalib/gnu/inet/nntp/PostStream.java,
	libraries/javalib/gnu/inet/nntp/Range.java,
	libraries/javalib/gnu/inet/nntp/StatusResponse.java,
	libraries/javalib/gnu/inet/pop3/POP3Connection.java,
	libraries/javalib/gnu/inet/smtp/Parameter.java,
	libraries/javalib/gnu/inet/smtp/ParameterList.java,
	libraries/javalib/gnu/inet/smtp/SMTPConnection.java,
	libraries/javalib/gnu/inet/util/BASE64.java,
	libraries/javalib/gnu/inet/util/CRLFInputStream.java,
	libraries/javalib/gnu/inet/util/CRLFOutputStream.java,
	libraries/javalib/gnu/inet/util/EmptyX509TrustManager.java,
	libraries/javalib/gnu/inet/util/GetLocalHostAction.java,
	libraries/javalib/gnu/inet/util/GetSystemPropertyAction.java,
	libraries/javalib/gnu/inet/util/LineInputStream.java,
	libraries/javalib/gnu/inet/util/Logger.java,
	libraries/javalib/gnu/inet/util/MessageInputStream.java,
	libraries/javalib/gnu/inet/util/MessageOutputStream.java,
	libraries/javalib/gnu/inet/util/SaslCallbackHandler.java,
	libraries/javalib/gnu/inet/util/SaslInputStream.java,
	libraries/javalib/gnu/inet/util/SaslLogin.java,
	libraries/javalib/gnu/inet/util/SaslOutputStream.java,
	libraries/javalib/gnu/inet/util/SaslPlain.java,
	libraries/javalib/gnu/inet/util/StderrLogger.java:
	Resynced with GNU inetlib.

	2004-10-04  Chris Burdess  <dog@bluezoo.org>

        * LDAPConnection.java: LDAP anonymous binding.

	2004-09-29  Chris Burdess  <dog@bluezoo.org>

        * IMAPConnection.java,Quota.java: Implement IMAP ACLs and quotas.
        * ldap: LDAP debugging.
        * http: Implement gzip and deflate content-codings.

	2004-09-28  Chris Burdess  <dog@bluezoo.org>

        * IMAPConnection.java,Namespaces.java: Implement IMAP namespaces.

	2004-09-26  Chris Burdess  <dog@bluezoo.org>

        * BASE64.java: Revert padding characters regression.

	2004-09-24  Chris Burdess  <dog@bluezoo.org>

        * SaslPlain.java: Fix for authorised principal.

2004-10-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/imageio/IIOImage.java,
	libraries/javalib/javax/imageio/IIOParam.java,
	libraries/javalib/javax/imageio/IIOParamController.java,
	libraries/javalib/javax/imageio/ImageIO.java,
	libraries/javalib/javax/imageio/ImageReadParam.java,
	libraries/javalib/javax/imageio/ImageTypeSpecifier.java,
	libraries/javalib/javax/imageio/ImageWriteParam.java,
	libraries/javalib/javax/imageio/metadata/IIOMetadata.java,
	libraries/javalib/javax/imageio/metadata/IIOMetadataController.java,
	libraries/javalib/javax/imageio/metadata/IIOMetadataFormat.java,
	libraries/javalib/javax/imageio/spi/IIORegistry.java:
	New files from GNU Classpath.

	* libraries/javalib/Makefile.am,
	libraries/javalib/Makefile.in,
	libraries/javalib/all.files:
	Regenerated.

	* libraries/javalib/javax/imageio/ImageTranscoder.java,
	libraries/javalib/javax/imageio/spi/ImageInputStreamSpi.java,
	libraries/javalib/javax/imageio/spi/ImageOutputStreamSpi.java,
	libraries/javalib/javax/imageio/spi/ServiceRegistry.java,
	libraries/javalib/javax/imageio/stream/ImageInputStream.java,
	libraries/javalib/javax/imageio/stream/ImageOutputStream.java:
	Resynced with GNU Classpath.

	2004-10-04  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/ImageWriteParam.java,
        javax/imageio/metadata/IIOMetadataFormat.java:
        Implemented.

	2004-10-04  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/ImageTypeSpecifier.java:
        Mostly implemented.

	2004-10-04  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/metadata/IIOMetadata.java:
        Mostly implemented.

	2004-10-04  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/IIOImage.java,
        javax/imageio/ImageReadParam.java,
        javax/imageio/metadata/IIOMetadataController.java,
        javax/imageio/metadata/IIOMetadataFormat.java:
        New files.
        * javax/imageio/stream/ImageOutputStream.java:
        Implemented.

	2004-10-04  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/IIOParam.java,
        javax/imageio/IIOParamController.java,
        javax/imageio/ImageTypeSpecifier.java,
        javax/imageio/ImageWriteParam.java,
        javax/imageio/metadata/IIOMetadata.java:
        New files.
        * javax/imageio/ImageTranscoder.java:
        Implemented.

	2004-10-04  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/spi/ImageInputStreamSpi.java,
        javax/imageio/spi/ImageOutputStreamSpi.java:
        Reworked import startments.
        * javax/imageio/spi/ServiceRegistry.java:
        Reworked import startments. Fixed XHTML in javadocs.
        (ServiceRegistry): Added @param tag to javadoc.
        * javax/imageio/stream/ImageInputStream.java
        (mark): Doesn't throws IOException;

	2004-10-04  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/ImageIO.java:
        New file.

	2004-10-04  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/spi/IIORegistry.java
        (static): Don't register ImageReaderSpi.class and
        ImageWriterSpi.class yet.

	2004-10-03  Michael Koch  <konqueror@gmx.de>

        * javax/imageio/spi/IIORegistry.java:
        New file.

2004-10-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/rmi/rmic/RMIC.java,
	libraries/javalib/gnu/java/rmi/server/RMIDefaultSocketFactory.java,
	libraries/javalib/gnu/java/rmi/server/RMIHashes.java,
	libraries/javalib/gnu/java/rmi/server/RMIObjectInputStream.java,
	libraries/javalib/gnu/java/rmi/server/RMIObjectOutputStream.java,
	libraries/javalib/gnu/java/rmi/server/UnicastConnection.java,
	libraries/javalib/gnu/java/rmi/server/UnicastConnectionManager.java,
	libraries/javalib/gnu/java/rmi/server/UnicastRemoteCall.java,
	libraries/javalib/gnu/java/rmi/server/UnicastRemoteStub.java,
	libraries/javalib/gnu/java/rmi/server/UnicastServerRef.java,
	libraries/javalib/java/io/CharArrayWriter.java,
	libraries/javalib/java/io/FileDescriptor.java,
	libraries/javalib/java/io/FileInputStream.java,
	libraries/javalib/java/io/FileOutputStream.java,
	libraries/javalib/java/io/ObjectOutputStream.java,
	libraries/javalib/java/io/ObjectStreamClass.java,
	libraries/javalib/java/io/PipedInputStream.java,
	libraries/javalib/java/io/RandomAccessFile.java:
	Resynced with GNU Classpath.

	2004-10-02  Michael Koch  <konqueror@gmx.de>

        * java/io/CharArrayWriter.java
        (resize): Remove redundant final modifier.
        * java/io/FileDescriptor.java,
        java/io/FileInputStream.java,
        java/io/FileOutputStream.java,
        java/io/ObjectOutputStream.java,
        java/io/ObjectStreamClass.java,
        java/io/PipedInputStream.java,
        java/io/RandomAccessFile.java:
        Reworked import statements.

	2004-10-02  Michael Koch  <konqueror@gmx.de>

        * gnu/java/rmi/rmic/RMIC.java,
        gnu/java/rmi/server/RMIHashes.java,
        gnu/java/rmi/server/RMIObjectInputStream.java,
        gnu/java/rmi/server/UnicastConnection.java,
        gnu/java/rmi/server/UnicastConnectionManager.java,
        gnu/java/rmi/server/UnicastRemoteCall.java,
        gnu/java/rmi/server/UnicastServerRef.java:
        Import statements cleaned up.

2004-10-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/io/DataInputStream.java:
	Resynced with GNU Classpath.

	2004-10-01  Michael Koch  <konqueror@gmx.de>

        * java/io/DataInputStream.java
        (readFully): Throw IndexOutOfBoundsException if len is negative.

2004-10-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/gnu/java/awt/peer/gtk/GdkClasspathFontPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkClasspathFontPeerMetrics.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGlyphVector.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphics2D.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GdkPixbufDecoder.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkButtonPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkClipboard.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkDialogPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkFontPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkListPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkMenuItemPeer.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkToolkit.java,
	libraries/javalib/gnu/java/awt/peer/gtk/GtkWindowPeer.java,
	libraries/javalib/java/awt/geom/AffineTransform.java,
	libraries/javalib/java/awt/image/AffineTransformOp.java,
	libraries/javalib/java/awt/image/ComponentColorModel.java,
	libraries/javalib/java/awt/image/IndexColorModel.java,
	libraries/javalib/java/awt/print/Printable.java:
        Resynced with GNU Classpath.

	2004-10-02  Michael Koch  <konqueror@gmx.de>

        * gnu/java/awt/peer/gtk/GdkClasspathFontPeer.java,
        gnu/java/awt/peer/gtk/GdkClasspathFontPeerMetrics.java,
        gnu/java/awt/peer/gtk/GdkGlyphVector.java,
        gnu/java/awt/peer/gtk/GdkGraphics2D.java,
        gnu/java/awt/peer/gtk/GdkGraphicsEnvironment.java,
        gnu/java/awt/peer/gtk/GdkPixbufDecoder.java,
        gnu/java/awt/peer/gtk/GtkButtonPeer.java,
        gnu/java/awt/peer/gtk/GtkClipboard.java,
        gnu/java/awt/peer/gtk/GtkDialogPeer.java,
        gnu/java/awt/peer/gtk/GtkFileDialogPeer.java,
        gnu/java/awt/peer/gtk/GtkFontPeer.java,
        gnu/java/awt/peer/gtk/GtkListPeer.java,
        gnu/java/awt/peer/gtk/GtkMenuItemPeer.java,
        gnu/java/awt/peer/gtk/GtkToolkit.java,
        gnu/java/awt/peer/gtk/GtkWindowPeer.java: Import statements reworked.
        Some little reformattings.

	2004-10-01  Michael Koch  <konqueror@gmx.de>

        * java/awt/image/AffineTransformOp.java
        (TYPE_BILINEAR): Initialize with 2.
        * java/awt/print/Printable.java: Jalopied.
        (PAGE_EXISTS): Initialize with 0;
        (NO_SUCH_PAGE): Initialized with 1.

	2004-10-01  David Gilbert  <david.gilbert@object-refinery.com>

        * java/awt/geom/AffineTransform.java:
        Fixed javadocs overall.

	2004-10-01  Jerry Quinn  <jlquinn@optonline.net>

        * java/awt/image/IndexColorModel.java: Fix use of immutable
        BigIntegers.
        * java/awt/image/ComponentColorModel.java: Remove FIXME comment
        since it's correct.

2004-10-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/net/InetAddress.java:
        Resynced with GNU Classpath.

	2004-09-30  Michael Koch  <konqueror@gmx.de>

        * java/net/InetAddress.java: Reformatted.
        Removed redundant parenthesis.
        (getHostAddress): Merged with version from llibgcj.

2004-10-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/beans/EventHandler.java,
	libraries/javalib/java/beans/PropertyChangeSupport.java,
	libraries/javalib/java/beans/VetoableChangeSupport.java,
	libraries/javalib/java/beans/beancontext/BeanContextChildSupport.java,
	libraries/javalib/java/beans/beancontext/BeanContextMembershipEvent.java:
        Resynced with GNU Classpath.

	2004-09-30  Michael Koch  <konqueror@gmx.de>

        * java/beans/Beans.java,
        java/beans/EventHandler.java,
        java/beans/EventSetDescriptor.java,
        java/beans/Introspector.java,
        java/beans/PropertyEditorManager.java,
        java/beans/beancontext/BeanContext.java,
        java/beans/beancontext/BeanContextChild.java,
        java/beans/beancontext/BeanContextChildSupport.java,
        java/beans/beancontext/BeanContextMembershipEvent.java:
        Reordered import statements and removed redundant modifiers.

2004-10-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/image/RescaleOp.java,
	libraries/javalib/javax/swing/plaf/basic/BasicComboPopup.java,
	libraries/javalib/javax/swing/plaf/basic/BasicOptionPaneUI.java:
        Resynced with GNU Classpath.

	2004-09-30   Olga Rodimina  <rodimina@redhat.com>

        * javax/swing/plaf/basic/BasicComboPopup.java
        (SCROLL_DOWN): made final.
        (SCROLL_UP): made final.

	2004-09-30  Jerry Quinn  <jlquinn@optonline.net>

        * java/awt/image/RescaleOp.java: Fix formatting.

	2004-09-30  Tom Tromey  <tromey@redhat.com>

        * javax/swing/plaf/basic/BasicOptionPaneUI.java (MessageIcon):
        Renamed from 'messageIcon'.
        (errorIcon, infoIcon, warningIcon, questionIcon): Updated.

2004-10-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/net/URLConnection.java,
	libraries/javalib/java/text/MessageFormat.java,
	libraries/javalib/javax/crypto/MacSpi.java:
        Resynced with GNU Classpath.

	2004-09-28  Tom Tromey  <tromey@redhat.com>

        * java/text/MessageFormat.java (Field): Constructor now
        protected.

        * java/net/URLConnection.java (setFileNameMap): Now synchronized.

        * javax/crypto/MacSpi.java: Fixed typo.

	2004-09-28  Michael Koch  <konqueror@gmx.de>

        * java/net/URLConnection.java:
        Reformatted.
        (getContent): Make sure we are connected. Moved code to get content
        handler to getContentHandler() method for easier merging with libgcj's
        version.
        (getContentHandler): New method.

2004-10-04  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/net/URLClassLoader.java:
	Resynced with GNU Classpath.

	2004-09-28  Michael Koch  <konqueror@gmx.de>

        * java/net/URLClassLoader.java:
        Reformated.
        (addURLImpl): Partly merged with libgcj's version.

2004-10-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/java/awt/image/RescaleOp.java:
	New file takes from GNU Classpath.

	* libraries/javalib/java/awt/AWTKeyStroke.java,
	libraries/javalib/java/awt/Canvas.java,
	libraries/javalib/java/awt/CardLayout.java,
	libraries/javalib/java/awt/CheckboxMenuItem.java,
	libraries/javalib/java/awt/Component.java,
	libraries/javalib/java/awt/Container.java,
	libraries/javalib/java/awt/DefaultKeyboardFocusManager.java,
	libraries/javalib/java/awt/EventDispatchThread.java,
	libraries/javalib/java/awt/FileDialog.java,
	libraries/javalib/java/awt/FlowLayout.java,
	libraries/javalib/java/awt/Font.java,
	libraries/javalib/java/awt/Frame.java,
	libraries/javalib/java/awt/Graphics2D.java,
	libraries/javalib/java/awt/GraphicsEnvironment.java,
	libraries/javalib/java/awt/GridBagConstraints.java,
	libraries/javalib/java/awt/GridBagLayout.java,
	libraries/javalib/java/awt/GridLayout.java,
	libraries/javalib/java/awt/Image.java,
	libraries/javalib/java/awt/KeyboardFocusManager.java,
	libraries/javalib/java/awt/Label.java,
	libraries/javalib/java/awt/List.java,
	libraries/javalib/java/awt/MediaTracker.java,
	libraries/javalib/java/awt/Menu.java,
	libraries/javalib/java/awt/MenuComponent.java,
	libraries/javalib/java/awt/Panel.java,
	libraries/javalib/java/awt/PopupMenu.java,
	libraries/javalib/java/awt/ScrollPane.java,
	libraries/javalib/java/awt/Scrollbar.java,
	libraries/javalib/java/awt/SystemColor.java,
	libraries/javalib/java/awt/TextArea.java,
	libraries/javalib/java/awt/TextField.java,
	libraries/javalib/java/awt/Toolkit.java,
	libraries/javalib/java/awt/Window.java,
	libraries/javalib/java/awt/color/ICC_Profile.java,
	libraries/javalib/java/awt/datatransfer/DataFlavor.java,
	libraries/javalib/java/awt/datatransfer/StringSelection.java,
	libraries/javalib/java/awt/datatransfer/SystemFlavorMap.java,
	libraries/javalib/java/awt/dnd/Autoscroll.java,
	libraries/javalib/java/awt/dnd/DropTarget.java,
	libraries/javalib/java/awt/dnd/DropTargetContext.java,
	libraries/javalib/java/awt/dnd/DropTargetDragEvent.java,
	libraries/javalib/java/awt/event/AdjustmentEvent.java,
	libraries/javalib/java/awt/event/InputEvent.java,
	libraries/javalib/java/awt/event/InvocationEvent.java,
	libraries/javalib/java/awt/event/KeyEvent.java,
	libraries/javalib/java/awt/event/MouseEvent.java,
	libraries/javalib/java/awt/font/TextLayout.java,
	libraries/javalib/java/awt/geom/GeneralPath.java,
	libraries/javalib/java/awt/geom/Point2D.java,
	libraries/javalib/java/awt/im/InputContext.java,
	libraries/javalib/java/awt/image/AffineTransformOp.java,
	libraries/javalib/java/awt/image/BufferedImage.java,
	libraries/javalib/java/awt/image/CropImageFilter.java,
	libraries/javalib/java/awt/image/DirectColorModel.java,
	libraries/javalib/java/awt/image/MemoryImageSource.java,
	libraries/javalib/java/awt/image/PackedColorModel.java,
	libraries/javalib/java/awt/image/PixelGrabber.java,
	libraries/javalib/java/awt/image/RasterOp.java:
	Resynced with GNU Classpath.

	2004-09-28  Jerry Quinn  <jlquinn@optonline.net>

        * java/awt/image/IndexColorModel.java: Add class docs.
        (getRGBs, convertToIntDiscrete): Implement.
        (isValid, getValidPixels): Implement.
        * java/awt/image/RescaleOp.java: Implement.

	2004-09-27  Michael Koch  <konqueror@gmx.de>

        * java/awt/AWTKeyStroke.java,
        java/awt/Canvas.java,
        java/awt/CardLayout.java,
        java/awt/CheckboxMenuItem.java,
        java/awt/Component.java,
        java/awt/Container.java,
        java/awt/DefaultKeyboardFocusManager.java,
        java/awt/EventDispatchThread.java,
        java/awt/FileDialog.java,
        java/awt/FlowLayout.java,
        java/awt/Font.java,
        java/awt/Frame.java,
        java/awt/Graphics2D.java,
        java/awt/GraphicsEnvironment.java,
        java/awt/GridBagConstraints.java,
        java/awt/GridBagLayout.java,
        java/awt/GridLayout.java,
        java/awt/Image.java,
        java/awt/KeyboardFocusManager.java,
        java/awt/Label.java,
        java/awt/List.java,
        java/awt/MediaTracker.java,
        java/awt/Menu.java,
        java/awt/MenuBar.java,
        java/awt/MenuComponent.java,
        java/awt/Panel.java,
        java/awt/PopupMenu.java,
        java/awt/ScrollPane.java,
        java/awt/Scrollbar.java,
        java/awt/SystemColor.java,
        java/awt/TextArea.java,
        java/awt/TextField.java,
        java/awt/Toolkit.java,
        java/awt/Window.java,
        java/awt/color/ICC_Profile.java,
        java/awt/datatransfer/DataFlavor.java,
        java/awt/datatransfer/StringSelection.java,
        java/awt/datatransfer/SystemFlavorMap.java,
        java/awt/dnd/Autoscroll.java,
        java/awt/dnd/DropTarget.java,
        java/awt/dnd/DropTargetContext.java,
        java/awt/dnd/DropTargetDragEvent.java,
        java/awt/dnd/peer/DropTargetContextPeer.java,
        java/awt/event/AdjustmentEvent.java,
        java/awt/event/InputEvent.java,
        java/awt/event/InvocationEvent.java,
        java/awt/event/KeyEvent.java,
        java/awt/event/MouseEvent.java,
        java/awt/font/TextLayout.java,
        java/awt/geom/GeneralPath.java,
        java/awt/geom/Point2D.java,
        java/awt/im/InputContext.java,
        java/awt/im/spi/InputMethodContext.java,
        java/awt/image/AffineTransformOp.java,
        java/awt/image/BufferedImage.java,
        java/awt/image/ColorModel.java,
        java/awt/image/ComponentColorModel.java,
        java/awt/image/CropImageFilter.java,
        java/awt/image/DirectColorModel.java,
        java/awt/image/MemoryImageSource.java,
        java/awt/image/PackedColorModel.java,
        java/awt/image/PixelGrabber.java,
        java/awt/image/RasterOp.java,
        java/awt/peer/MenuBarPeer.java:
        Some fixes for checkstyle. Import statement and modifier order
        redordering.

2004-10-03  Dalibor Topic  <robilad@kaffe.org>

	* libraries/javalib/javax/swing/JTable.java:
	Resynced with GNU Classpath.

	2004-09-27  Michael Koch  <konqueror@gmx.de>

        * javax/swing/JTable.java
        (setModel): Reimplemented.
	
	2004-09-27  Michael Koch  <konqueror@gmx.de>

        * javax/swing/JTextArea.java
        (insert): Renaming of method local variables.

2004-10-02  Dalibor Topic  <robilad@kaffe.org>

	* test/regression/TestScript.in:
	Fixed URL of java.security file for regressiopn tests.
	Added JAVA_TEST_FLAGS environment variable.

See ChangeLog.13 for earlier changes.
